linux-nvidia (6.8.0-1056.59) noble; urgency=medium

  * noble/linux-nvidia: 6.8.0-1056.59 -proposed tracker (LP: #2151929)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.nvidia/dkms-versions -- update from kernel-versions
      (main/2026.05.18)

  [ Ubuntu: 6.8.0-130.130 ]

  * noble/linux: 6.8.0-130.130 -proposed tracker (LP: #2154560)
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465)
    - Revert "UBUNTU: SAUCE: Fix skb_vlan_inet_prepare() usage"
  * Kernel regression (6.8.0-117.generic) (LP: #2153556)
    - net: bonding: update the slave array for broadcast mode
    - bonding: do not set usable_slaves for broadcast mode
  * perf_cpu_map__merge fails to compile on ppc46el, s390x on noble linux
    (LP: #2152194)
    - SAUCE: temporary fix attempt for size eceed
  * Some powerpc test from ubuntu_kernel_selftests timeout with 45 seconds
    (LP: #2141536)
    - selftests/powerpc: Lower run time of count_stcx_fail test
    - selftests/powerpc: Give all tests 2 minutes timeout
  * Noble update: upstream stable patchset 2026-05-01 (LP: #2150809)
    - auxdisplay: arm-charlcd: fix release_mem_region() size
    - hfsplus: return error when node already exists in hfs_bnode_create
    - rcu: s/boost_kthread_mutex/kthread_mutex
    - rcu/exp: Move expedited kthread worker creation functions above
      rcutree_prepare_cpu()
    - rcu: Refactor expedited handling check in rcu_read_unlock_special()
    - rcu: Remove local_irq_save/restore() in
      rcu_preempt_deferred_qs_handler()
    - rcu: Fix rcu_read_unlock() deadloop due to softirq
    - audit: move the compat_xxx_class[] extern declarations to audit_arch.h
    - i3c: Move device name assignment after i3c_bus_init
    - fs: add <linux/init_task.h> for 'init_fs'
    - i3c: master: Update hot-join flag only on success
    - gfs2: Retries missing in gfs2_{rename,exchange}
    - gfs2: Fix use-after-free in iomap inline data write path
    - i3c: dw: Initialize spinlock to avoid upsetting lockdep
    - tpm: tpm_i2c_infineon: Fix locality leak on get_burstcount() failure
    - tpm: st33zp24: Fix missing cleanup on get_burstcount() error
    - btrfs: qgroup: return correct error when deleting qgroup relation item
    - btrfs: fix block_group_tree dirty_list corruption
    - smb: client: fix potential UAF and double free in smb2_open_file()
    - xen/virtio: Don't use grant-dma-ops when running as Dom0
    - ACPICA: Fix NULL pointer dereference in acpi_ev_address_space_dispatch()
    - io_uring/sync: validate passed in offset
    - cpuidle: menu: Cleanup after loadavg removal
    - cpuidle: governors: menu: Always check timers with tick stopped
    - md/raid10: fix any_working flag handling in raid10_sync_request
    - iomap: fix submission side handling of completion side errors
    - ublk: Validate SQE128 flag before accessing the cmd
    - x86/xen: make some functions static
    - Partial revert "x86/xen: fix balloon target initialization for PVH dom0"
    - PM: wakeup: Handle empty list in wakeup_sources_walk_start()
    - perf: arm_spe: Properly set hw.state on failures
    - PM: sleep: wakeirq: harden dev_pm_clear_wake_irq() against races
    - s390/cio: Fix device lifecycle handling in css_alloc_subchannel()
    - crypto: qat - fix warning on adf_pfvf_pf_proto.c
    - selftests/bpf: veristat: fix printing order in output_stats()
    - libbpf: Fix OOB read in btf_dump_get_bitfield_value
    - ARM: VDSO: Patch out __vdso_clock_getres() if unavailable
    - crypto: cavium - fix dma_free_coherent() size
    - crypto: octeontx - fix dma_free_coherent() size
    - crypto: hisilicon/zip - adjust the way to obtain the req in the callback
      function
    - crypto: hisilicon/sec2 - support skcipher/aead fallback for hardware
      queue unavailable
    - hrtimer: Fix trace oddity
    - bpf, sockmap: Fix incorrect copied_seq calculation
    - bpf, sockmap: Fix FIONREAD for sockmap
    - crypto: hisilicon/trng - modifying the order of header files
    - crypto: hisilicon/trng - support tfms sharing the device
    - bpf: Fix bpf_xdp_store_bytes proto for read-only arg
    - scsi: efct: Use IRQF_ONESHOT and default primary handler
    - EDAC/altera: Remove IRQF_ONESHOT
    - mfd: wm8350-core: Use IRQF_ONESHOT
    - sched/rt: Skip currently executing CPU in rto_next_cpu()
    - pstore/ram: fix buffer overflow in persistent_ram_save_old()
    - soc: qcom: smem: handle ENOMEM error during probe
    - EDAC/i5000: Fix snprintf() size calculation in calculate_dimm_size()
    - EDAC/i5400: Fix snprintf() limit calculation in calculate_dimm_size()
    - arm64: dts: tqma8mpql-mba8mpxl: Fix HDMI CEC pad control settings
    - clk: qcom: Return correct error code in qcom_cc_probe_by_index()
    - arm64: dts: qcom: sdm630: fix gpu_speed_bin size
    - arm64: dts: qcom: sdm845-oneplus: Don't mark ts supply boot-on
    - ARM: dts: allwinner: sun5i-a13-utoo-p66: delete "power-gpios" property
    - powerpc/uaccess: Move barrier_nospec() out of
      allow_read_{from/write}_user()
    - soc: qcom: cmd-db: Use devm_memremap() to fix memory leak in
      cmd_db_dev_probe
    - soc: mediatek: svs: Fix memory leak in svs_enable_debug_write()
    - powerpc/eeh: fix recursive pci_lock_rescan_remove locking in EEH event
      handling
    - ARM: dts: lpc32xx: Set motor PWM #pwm-cells property value to 3 cells
    - arm: dts: lpc32xx: add clocks property to Motor Control PWM device tree
      node
    - arm64: dts: amlogic: axg: assign the MMC signal clocks
    - arm64: dts: amlogic: gx: assign the MMC signal clocks
    - arm64: dts: amlogic: g12: assign the MMC B and C signal clocks
    - arm64: dts: amlogic: g12: assign the MMC A signal clock
    - arm64: dts: qcom: sdm845-db845c: drop CS from SPIO0
    - arm64: dts: qcom: sdm845-db845c: specify power for WiFi CH1
    - arm64: dts: qcom: sm6115: Add CX_MEM/DBGC GPU regions
    - workqueue: Factor out assign_rescuer_work()
    - workqueue: Only assign rescuer work when really needed
    - workqueue: Process rescuer work items one-by-one using a cursor
    - smack: /smack/doi must be > 0
    - smack: /smack/doi: accept previously used values
    - ASoC: nau8821: Consistently clear interrupts before unmasking
    - ASoC: nau8821: Avoid unnecessary blocking in IRQ handler
    - ASoC: nau8821: Fixup nau8821_enable_jack_detect()
    - drm/amdgpu: Use explicit VCN instance 0 in SR-IOV init
    - drm/msm/disp/dpu: add merge3d support for sc7280
    - regulator: core: move supply check earlier in set_machine_constraints()
    - HID: playstation: Add missing check for input_ff_create_memless
    - drm/msm/dpu: fix CMD panels on DPU 1.x - 3.x
    - media: ccs: Accommodate C-PHY into the calculation
    - drm/msm/a2xx: fix pixel shader start on A225
    - platform/chrome: cros_typec_switch: Don't touch struct
      fwnode_handle::dev
    - media: uvcvideo: Fix allocation for small frame sizes
    - platform/chrome: cros_ec_lightbar: Fix response size initialization
    - spi: tools: Add include folder to .gitignore
    - Revert "hwmon: (ibmpex) fix use-after-free in high/low store"
    - PCI: mediatek: Fix IRQ domain leak when MSI allocation fails
    - Documentation: PCI: endpoint: Fix ntb/vntb copy & paste errors
    - PCI/PM: Avoid redundant delays on D3hot->D3cold
    - PCI/P2PDMA: Release per-CPU pgmap ref when vm_insert_page() fails
    - Documentation: tracing: Add ring-buffer mapping
    - docs: fix WARNING document not included in any toctree
    - Documentation: trace: Refactor toctree
    - Documentation: tracing: Add PCI tracepoint documentation
    - PCI: Do not attempt to set ExtTag for VFs
    - PCI/portdrv: Fix potential resource leak
    - quota: fix livelock between quotactl and freeze_super
    - net: mctp-i2c: fix duplicate reception of old data
    - mctp i2c: initialise event handler read bytes
    - wifi: cfg80211: stop NAN and P2P in cfg80211_leave
    - netfilter: nf_tables: reset table validation state on abort
    - netfilter: nf_conncount: make nf_conncount_gc_list() to disable BH
    - netfilter: nf_conncount: increase the connection clean up limit to 64
    - netfilter: nft_compat: add more restrictions on netlink attributes
    - netfilter: nf_conncount: fix tracking of connections from localhost
    - module: add helper function for reading module_buildid()
    - kallsyms/ftrace: set module buildid in ftrace_mod_address_lookup()
    - PCI: Mark 3ware-9650SA Root Port Extended Tags as broken
    - iommu/vt-d: Flush cache for PASID table before using it
    - dm: use bio_clone_blkg_association
    - nfsd: never defer requests during idmap lookup
    - fat: avoid parent link count underflow in rmdir
    - tcp: tcp_tx_timestamp() must look at the rtx queue
    - wifi: ath10k: sdio: add missing lock protection in
      ath10k_sdio_fw_crashed_dump()
    - PCI: Initialize RCB from pci_configure_device()
    - PCI: Add PCIE_MSG_CODE_ASSERT_INTx message macros
    - PCI: Add defines for bridge window indexing
    - PCI/ACPI: Restrict program_hpx_type2() to AER bits
    - ipc: don't audit capability check in ipc_permissions()
    - ucount: check for CAP_SYS_RESOURCE using ns_capable_noaudit()
    - of: unittest: fix possible null-pointer dereferences in
      of_unittest_property_copy()
    - mptcp: fix receive space timestamp initialization
    - octeontx2-af: Fix PF driver crash with kexec kernel booting
    - bonding: only set speed/duplex to unknown, if getting speed failed
    - inet: RAW sockets using IPPROTO_RAW MUST drop incoming ICMP
    - nfc: hci: shdlc: Stop timers and work before freeing context
    - netfilter: nft_set_hash: fix get operation on big endian
    - netfilter: nft_counter: fix reset of counters on 32bit archs
    - netfilter: nft_set_rbtree: check for partial overlaps in anonymous sets
    - PCI: Add ACS quirk for Pericom PI7C9X2G404 switches [12d8:b404]
    - net: hns3: fix double free issue for tx spare buffer
    - procfs: fix missing RCU protection when reading real_parent in
      do_task_stat()
    - smb: client: correct value for smbd_max_fragmented_recv_size
    - net: sunhme: Fix sbus regression
    - net: Add skb_dstref_steal and skb_dstref_restore
    - net: Switch to skb_dstref_steal/skb_dstref_restore for ip_route_input
      callers
    - xfrm: fix ip_rt_bug race in icmp_route_lookup reverse path
    - serial: caif: fix use-after-free in caif_serial ldisc_close()
    - octeon_ep: disable per ring interrupts
    - octeon_ep: ensure dbell BADDR updation
    - ionic: Rate limit unknown xcvr type messages
    - octeontx2-pf: Unregister devlink on probe failure
    - RDMA/rtrs: server: remove dead code
    - IB/cache: update gid cache on client reregister event
    - RDMA/hns: Fix WQ_MEM_RECLAIM warning
    - RDMA/hns: Notify ULP of remaining soft-WCs during reset
    - power: supply: ab8500: Fix use-after-free in power_supply_changed()
    - power: supply: act8945a: Fix use-after-free in power_supply_changed()
    - power: supply: bq256xx: Fix use-after-free in power_supply_changed()
    - power: supply: bq25980: Fix use-after-free in power_supply_changed()
    - power: supply: cpcap-battery: Fix use-after-free in
      power_supply_changed()
    - power: supply: goldfish: Fix use-after-free in power_supply_changed()
    - power: supply: rt9455: Fix use-after-free in power_supply_changed()
    - power: supply: sbs-battery: Fix use-after-free in power_supply_changed()
    - power: reset: nvmem-reboot-mode: respect cell size for nvmem_cell_write
    - power: supply: bq27xxx: fix wrong errno when bus ops are unsupported
    - power: supply: wm97xx: Fix NULL pointer dereference in
      power_supply_changed()
    - RDMA/rtrs-srv: fix SG mapping
    - RDMA/rxe: Fix double free in rxe_srq_from_init
    - tools/power/x86/intel-speed-select: Fix file descriptor leak in
      isolate_cpus()
    - mtd: rawnand: cadence: Fix return type of CDMA send-and-wait helper
    - crypto: ccp - Add an S4 restore flow
    - crypto: ccp - Factor out ring destroy handling to a helper
    - crypto: ccp - Send PSP_CMD_TEE_RING_DESTROY when PSP_CMD_TEE_RING_INIT
      fails
    - mtd: parsers: Fix memory leak in mtd_parser_tplink_safeloader_parse()
    - RDMA/uverbs: Validate wqe_size before using it in ib_uverbs_post_send
    - RDMA/rxe: Fix race condition in QP timer handlers
    - svcrdma: Increase the per-transport rw_ctx count
    - svcrdma: Reduce the number of rdma_rw contexts per-QP
    - RDMA/core: add rdma_rw_max_sge() helper for SQ sizing
    - cxl: Fix premature commit_end increment on decoder commit failure
    - mtd: parsers: ofpart: fix OF node refcount leak in
      parse_fixed_partitions()
    - mtd: spinand: Fix kernel doc
    - power: supply: qcom_battmgr: Recognize "LiP" as lithium-polymer
    - RDMA/uverbs: Add __GFP_NOWARN to ib_uverbs_unmarshall_recv() kmalloc
    - pNFS: fix a missing wake up while waiting on NFS_LAYOUT_DRAIN
    - scsi: smartpqi: Fix memory leak in pqi_report_phys_luns()
    - scsi: ufs: host: mediatek: Require CONFIG_PM
    - scsi: csiostor: Fix dereference of null pointer rn
    - nvdimm: virtio_pmem: serialize flush requests
    - fs/nfs: Fix readdir slow-start regression
    - tracing: Properly process error handling in event_hist_trigger_parse()
    - tracing: Remove duplicate ENABLE_EVENT_STR and DISABLE_EVENT_STR macros
    - fbdev: of_display_timing: Fix device node reference leak in
      of_get_display_timings()
    - fbdev: au1200fb: Fix a memory leak in au1200fb_drv_probe()
    - clk: qcom: gcc-sm8550: Use floor ops for SDCC RCGs
    - clk: qcom: rcg2: compute 2d using duty fraction directly
    - clk: meson: gxbb: Limit the HDMI PLL OD to /4 on GXL/GXM SoCs
    - clk: qcom: gcc-sm8450: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-sdx75: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-qdu1000: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-msm8953: Remove ALWAYS_ON flag from cpp_gdsc
    - clk: qcom: gcc-msm8917: Remove ALWAYS_ON flag from cpp_gdsc
    - clk: qcom: gcc-ipq5018: flag sleep clock as critical
    - clk: Move clk_{save,restore}_context() to COMMON_CLK section
    - clk: qcom: dispcc-sdm845: Enable parents for pixel clocks
    - clk: qcom: gfx3d: add parent to parent request map
    - clk: mediatek: Fix error handling in runtime PM setup
    - dmaengine: mediatek: uart-apdma: Fix above 4G addressing TX/RX
    - dma: dma-axi-dmac: fix SW cyclic transfers
    - staging: greybus: lights: avoid NULL deref
    - serial: imx: change SERIAL_IMX_CONSOLE to bool
    - serial: SH_SCI: improve "DMA support" prompt
    - mmc: rtsx_pci_sdmmc: increase power-on settling delay to 5ms
    - iio: pressure: mprls0025pa: fix scan_type struct
    - watchdog: starfive-wdt: Fix PM reference leak in probe error path
    - coresight: etm3x: Fix cpulocked warning on cpuhp
    - Revert "mmc: rtsx_pci_sdmmc: increase power-on settling delay to 5ms"
    - mfd: arizona: Fix regulator resource leak on
      wm5102_clear_write_sequencer() failure
    - mfd: simple-mfd-i2c: Add MAX77705 support
    - mfd: simple-mfd-i2c: Add compatible strings for Layerscape QIXIS FPGA
    - mfd: simple-mfd-i2c: Add SpacemiT P1 support
    - mfd: simple-mfd-i2c: Keep compatible strings in alphabetical order
    - mfd: simple-mfd-i2c: Add Delta TN48M CPLD support
    - [Config] Disable new Delta TN48M CPLD support by default
    - drivers: iio: mpu3050: use dev_err_probe for regulator request
    - usb: bdc: fix sleep during atomic
    - pinctrl: equilibrium: Fix device node reference leak in pinbank_init()
    - ovl: Fix uninit-value in ovl_fill_real
    - iio: sca3000: Fix a resource leak in sca3000_probe()
    - pinctrl: qcom: sm8250-lpass-lpi: Fix i2s2_data_groups definition
    - pinctrl: single: fix refcount leak in pcs_add_gpio_func()
    - leds: qcom-lpg: Check the return value of regmap_bulk_write()
    - backlight: qcom-wled: Support ovp values for PMI8994
    - backlight: qcom-wled: Change PM8950 WLED configurations
    - dmaengine: fsl-edma: don't explicitly disable clocks in .remove()
    - io_uring/cancel: de-unionize file and user_data in struct io_cancel_data
    - fs/ntfs3: prevent infinite loops caused by the next valid being the same
    - fs/ntfs3: Fix slab-out-of-bounds read in DeleteIndexEntryRoot
    - ACPI: CPPC: Fix remaining for_each_possible_cpu() to use online CPUs
    - powercap: intel_rapl_tpmi: Remove FW_BUG from invalid version check
    - kbuild: Add objtool to top-level clean target
    - selftests/memfd: delete unused declarations
    - selftests/memfd: use IPC semaphore instead of SIGSTOP/SIGCONT
    - ACPI: PM: Add unused power resource quirk for THUNDEROBOT ZERO
    - cpuidle: Skip governor when only one idle state is available
    - selftests: mlxsw: tc_restrictions: Fix test failure with new iproute2
    - net: sparx5/lan969x: fix DWRR cost max to match hardware register width
    - net: mscc: ocelot: extract ocelot_xmit_timestamp() helper
    - net: mscc: ocelot: split xmit into FDMA and register injection paths
    - net: mscc: ocelot: add missing lock protection in ocelot_port_xmit_inj()
    - ipv6: Fix out-of-bound access in fib6_add_rt2node().
    - net: sparx5/lan969x: fix PTP clock max_adj value
    - net: usb: catc: enable basic endpoint checking
    - xen-netback: reject zero-queue configuration from guest
    - net/rds: rds_sendmsg should not discard payload_len
    - net: bridge: mcast: always update mdb_n_entries for vlan contexts
    - selftests: forwarding: vxlan_bridge_1d: fix test failure with
      br_netfilter enabled
    - selftests: forwarding: vxlan_bridge_1d_ipv6: fix test failure with
      br_netfilter enabled
    - netfilter: nf_conntrack_h323: don't pass uninitialised l3num value
    - net: remove WARN_ON_ONCE when accessing forward path array
    - ipv6: fix a race in ip6_sock_set_v6only()
    - bpftool: Fix truncated netlink dumps
    - ping: annotate data-races in ping_lookup()
    - icmp: move icmp_global.credit and icmp_global.stamp to per netns storage
    - icmp: icmp_msgs_per_sec and icmp_msgs_burst sysctls become per netns
    - icmp: prevent possible overflow in icmp_global_allow()
    - cache: add __cacheline_group_{begin, end}_aligned() (+ couple more)
    - inet: move icmp_global_{credit,stamp} to a separate cache line
    - octeontx2-af: Fix default entries mcam entry action
    - bonding: alb: fix UAF in rlb_arp_recv during bond up/down
    - net/mlx5: Fix multiport device check over light SFs
    - apparmor: fix NULL sock in aa_sock_file_perm
    - apparmor: return -ENOMEM in unpack_perms_table upon alloc failure
    - apparmor: fix rlimit for posix cpu timers
    - apparmor: remove apply_modes_to_perms from label_match
    - apparmor: make label_match return a consistent value
    - apparmor: fix invalid deref of rawdata when export_binary is unset
    - apparmor: fix aa_label to return state from compount and component match
    - drm/amdgpu: Fix memory leak in amdgpu_acpi_enumerate_xcc()
    - drm/amdgpu: Fix memory leak in amdgpu_ras_init()
    - drm/i915/acpi: free _DSM package when no connectors
    - ASoC: codecs: aw88261: Fix erroneous bitmask logic in Awinic init
    - drm/amdkfd: fix debug watchpoints for logical devices
    - drm/amdkfd: Fix watch_id bounds checking in debug address watch v2
    - spi: wpcm-fiu: Use devm_platform_ioremap_resource_byname()
    - spi: wpcm-fiu: Fix uninitialized res
    - spi: wpcm-fiu: Simplify with dev_err_probe()
    - spi: wpcm-fiu: Fix potential NULL pointer dereference in
      wpcm_fiu_probe()
    - s390/kexec: Make KEXEC_SIG available when CONFIG_MODULES=n
    - efi: Fix reservation of unaccepted memory table
    - btrfs: fix invalid leaf access in btrfs_quota_enable() if ref key not
      found
    - x86/hyperv: Fix error pointer dereference
    - ASoC: rockchip: i2s-tdm: Use param rate if not provided by set_sysclk
    - drm/amd/display: Use same max plane scaling limits for all 64 bpp
      formats
    - MIPS: Work around LLVM bug when gp is used as global register variable
    - ext4: don't cache extent during splitting extent
    - ext4: fix memory leak in ext4_ext_shift_extents()
    - ext4: use optimized mballoc scanning regardless of inode format
    - ata: pata_ftide010: Fix some DMA timings
    - ata: libata-scsi: refactor ata_scsi_translate()
    - SUNRPC: auth_gss: fix memory leaks in XDR decoding error paths
    - SUNRPC: fix gss_auth kref leak in gss_alloc_msg error path
    - ASoC: dt-bindings: asahi-kasei,ak4458: Fix the supply names
    - ASoC: dt-bindings: asahi-kasei,ak5558: Fix the supply names
    - perf test stat: Update test expectations and events
    - perf test stat tests: Fix for virtualized machines
    - perf unwind-libdw: Fix invalid reference counts
    - perf callchain: Fix srcline printing with inlines
    - libsubcmd: Fix null intersection case in exclude_cmds()
    - libperf: Don't remove -g when EXTRA_CFLAGS are used
    - libperf build: Always place libperf includes first
    - rtc: interface: Alarm race handling should not discard preceding error
    - hfsplus: fix volume corruption issue for generic/498
    - fs/buffer: add alert in try_to_free_buffers() for folios without buffers
    - hfsplus: pretend special inodes as regular files
    - i3c: master: svc: Initialize 'dev' to NULL in svc_i3c_master_ibi_isr()
    - minix: Add required sanity checking to minix_check_superblock()
    - btrfs: handle user interrupt properly in btrfs_trim_fs()
    - smb: client: add proper locking around ses->iface_last_update
    - gfs2: fiemap page fault fix
    - smb: client: prevent races in ->query_interfaces()
    - tools/power cpupower: Reset errno before strtoull()
    - s390/purgatory: Add -Wno-default-const-init-unsafe to KBUILD_CFLAGS
    - perf/arm-cmn: Support CMN-600AE
    - arm64: Add support for TSV110 Spectre-BHB mitigation
    - rnbd-srv: Zero the rsp buffer before using it
    - x86/xen/pvh: Enable PAE mode for 32-bit guest only when CONFIG_X86_PAE
      is set
    - EFI/CPER: don't dump the entire memory region
    - APEI/GHES: ensure that won't go past CPER allocated record
    - EFI/CPER: don't go past the ARM processor CPER record buffer
    - ACPI: processor: Fix NULL-pointer dereference in
      acpi_processor_errata_piix4()
    - ACPICA: Abort AML bytecode execution when executing AML_FATAL_OP
    - md-cluster: fix NULL pointer dereference in process_metadata_update
    - cpufreq: dt-platdev: Block the driver from probing on more QC platforms
    - s390/perf: Disable register readout on sampling events
    - perf/cxlpmu: Replace IRQF_ONESHOT with IRQF_NO_THREAD
    - xenbus: Use .freeze/.thaw to handle xenbus devices
    - blk-mq-debugfs: add missing debugfs_mutex in
      blk_mq_debugfs_register_hctxs()
    - sparc: Synchronize user stack on fork and clone
    - sparc: don't reference obsolete termio struct for TC* constants
    - bpf: verifier improvement in 32bit shift sign extension pattern
    - clocksource/drivers/sh_tmu: Always leave device running after probe
    - clocksource/drivers/timer-integrator-ap: Add missing Kconfig dependency
      on OF
    - PCI/MSI: Unmap MSI-X region on error
    - crypto: hisilicon/qm - move the barrier before writing to the mailbox
      register
    - mailbox: bcm-ferxrm-mailbox: Use default primary handler
    - char: tpm: cr50: Remove IRQF_ONESHOT
    - pstore: ram_core: fix incorrect success return when vmap() fails
    - arm64: tegra: smaug: Add usb-role-switch support
    - parisc: Prevent interrupts during reboot
    - drm/display/dp_mst: Add protection against 0 vcpi
    - spi-geni-qcom: initialize mode related registers to 0
    - spi-geni-qcom: use xfer->bits_per_word for can_dma()
    - media: dvb-core: dmxdevfilter must always flush bufs
    - spi: stm32: fix Overrun issue at < 8bpw
    - drm/v3d: Set DMA segment size to avoid debug warnings
    - media: omap3isp: isp_video_mbus_to_pix/pix_to_mbus fixes
    - media: omap3isp: isppreview: always clamp in preview_try_format()
    - media: omap3isp: set initial format
    - media: mediatek: vcodec: Don't try to decode 422/444 VP9
    - drm/amdgpu: add support for HDP IP version 6.1.1
    - drm/amdgpu: avoid a warning in timedout job handler
    - HID: apple: Add "SONiX KN85 Keyboard" to the list of non-apple keyboards
    - ASoC: wm8962: Add WM8962_ADC_MONOMIX to "3D Coefficients" mask
    - ASoC: wm8962: Don't report a microphone if it's shorted to ground on
      plug
    - spi: spi-mem: Limit octal DTR constraints to octal DTR situations
    - media: amphion: Clear last_buffer_dequeued flag for DEC_CMD_START
    - media: adv7180: fix frame interval in progressive mode
    - media: pvrusb2: fix URB leak in pvr2_send_request_ex
    - media: solo6x10: Check for out of bounds chip_id
    - media: cx25821: Fix a resource leak in cx25821_dev_setup()
    - media: v4l2-async: Fix error handling on steps after finding a match
    - drm/amdkfd: Fix GART PTE for non-4K pagesize in svm_migrate_gart_map()
    - drm: Account property blob allocations to memcg
    - hyper-v: Mark inner union in hv_kvp_exchg_msg_value as packed
    - virt: vbox: uapi: Mark inner unions in packed structs as packed
    - drm/atmel-hlcdc: fix memory leak from the atomic_destroy_state callback
    - drm/atmel-hlcdc: don't reject the commit if the src rect has fractional
      parts
    - drm/atmel-hlcdc: fix use-after-free of drm_crtc_commit after release
    - media: rkisp1: Fix filter mode register configuration
    - HID: multitouch: add eGalaxTouch EXC3188 support
    - HID: elecom: Add support for ELECOM HUGE Plus M-HT1MRBK
    - ALSA: hda/conexant: Add headset mic fix for MECHREVO Wujie 15X Pro
    - gpio: aspeed-sgpio: Change the macro to support deferred probe
    - ASoC: sunxi: sun50i-dmic: Add missing check for devm_regmap_init_mmio
    - spi: spi-mem: Protect dirmap_create() with spi_mem_access_start/end
    - ASoC: codecs: max98390: Check return value of devm_gpiod_get_optional()
      in max98390_i2c_probe()
    - hwmon: (nct6775) Add ASUS Pro WS WRX90E-SAGE SE
    - hwmon: (f71882fg) Add F81968 support
    - ASoC: es8328: Add error unwind in resume
    - modpost: Amend ppc64 save/restfpr symnames for -Os build
    - ALSA: usb-audio: Add iface reset and delay quirk for AB13X USB Audio
    - jfs: Add missing set_freezable() for freezable kthread
    - jfs: nlink overflow in jfs_rename
    - wifi: rtw88: fix DTIM period handling when conf->dtim_period is zero
    - wifi: rtw88: 8822b: Avoid WARNING in rtw8822b_config_trx_mode()
    - wifi: rtw88: rtw8821cu: Add ID for Mercusys MU6H
    - dm: replace -EEXIST with -EBUSY
    - dm: remove fake timeout to avoid leak request
    - iommu/arm-smmu-v3: Improve CMDQ lock fairness and efficiency
    - wifi: libertas: fix WARNING in usb_tx_block
    - iommu/amd: move wait_on_sem() out of spinlock
    - wifi: rtw89: wow: add reason codes for disassociation in WoWLAN mode
    - PCI: dw-rockchip: Disable BAR 0 and BAR 1 for Root Port
    - wifi: ath11k: add pm quirk for Thinkpad Z13/Z16 Gen1
    - wifi: ath12k: fix preferred hardware mode calculation
    - ipv6: annotate data-races in ip6_multipath_hash_{policy,fields}()
    - ipv6: exthdrs: annotate data-race over multiple sysctl
    - ext4: mark group add fast-commit ineligible
    - ext4: move ext4_percpu_param_init() before ext4_mb_init()
    - ext4: mark group extend fast-commit ineligible
    - netfilter: nf_conntrack: Add allow_clash to generic protocol handler
    - netfilter: xt_tcpmss: check remaining length before reading optlen
    - openrisc: define arch-specific version of nop()
    - net: usb: r8152: fix transmit queue timeout
    - wifi: iwlwifi: mvm: check the validity of noa_len
    - net/rds: No shortcut out of RDS_CONN_ERROR
    - gro: change the BUG_ON() in gro_pull_from_frag0()
    - ipv4: igmp: annotate data-races around idev->mr_maxdelay
    - net: hns3: extend HCLGE_FD_AD_QID to 11 bits
    - wifi: iwlegacy: add missing mutex protection in il4965_store_tx_power()
    - wifi: iwlegacy: add missing mutex protection in
      il3945_store_measurement()
    - ipv4: fib: Annotate access to struct fib_alias.fa_state.
    - Bluetooth: hci_conn: Set link_policy on incoming ACL connections
    - Bluetooth: hci_conn: use mod_delayed_work for active mode timeout
    - Bluetooth: btusb: Add new VID/PID for RTL8852CE
    - Bluetooth: btusb: Add device ID for Realtek RTL8761BU
    - octeontx2-af: Workaround SQM/PSE stalls by disabling sticky
    - wifi: rtw89: pci: restore LDO setting after device resume
    - wifi: ath10k: fix lock protection in
      ath10k_wmi_event_peer_sta_ps_state_chg()
    - net: usb: sr9700: remove code to drive nonexistent multicast filter
    - vmw_vsock: bypass false-positive Wnonnull warning with gcc-16
    - net/rds: Clear reconnect pending bit
    - PCI: Mark ASM1164 SATA controller to avoid bus reset
    - PCI: Fix pci_slot_lock () device locking
    - PCI: Enable ACS after configuring IOMMU for OF platforms
    - PCI: Add ACS quirk for Qualcomm Hamoa & Glymur
    - PCI: Mark Nvidia GB10 to avoid bus reset
    - myri10ge: avoid uninitialized variable use
    - nfc: nxp-nci: remove interrupt trigger type
    - RDMA/rtrs-clt: For conn rejection use actual err number
    - ata: libata: avoid long timeouts on hot-unplugged SATA DAS
    - hisi_acc_vfio_pci: update status after RAS error
    - scsi: buslogic: Reduce stack usage
    - vhost: fix caching attributes of MMIO regions by setting them explicitly
    - tracing: Fix false sharing in hwlat get_sample()
    - remoteproc: imx_dsp_rproc: Skip RP_MBOX_SUSPEND_SYSTEM when mailbox TX
      channel is uninitialized
    - mailbox: pcc: Remove spurious IRQF_ONESHOT usage
    - mailbox: imx: Skip the suspend flag for i.MX7ULP
    - mailbox: sprd: mask interrupts that are not handled
    - remoteproc: mediatek: Break lock dependency to `prepare_lock`
    - mailbox: sprd: clear delivery flag before handling TX done
    - clk: microchip: core: correct return value on *_get_parent()
    - m68k: nommu: fix memmove() with differently aligned src and dest for
      68000
    - soundwire: dmi-quirks: add mapping for Avell B.ON (OEM rebranded of
      NUC15)
    - staging: rtl8723bs: fix missing status update on sdio_alloc_irq()
      failure
    - serial: 8250_dw: handle clock enable errors in runtime_resume
    - usb: typec: ucsi: psy: Fix voltage and current max for non-Fixed PDOs
    - fpga: of-fpga-region: Fail if any bridge is missing
    - dmaengine: sun6i: Choose appropriate burst length under maxburst
    - dmaengine: stm32-mdma: initialize m2m_hw_period and ccr to fix warnings
    - misc: bcm_vk: Fix possible null-pointer dereferences in bcm_vk_read()
    - misc: eeprom: Fix EWEN/EWDS/ERAL commands for 93xx56 and 93xx66
    - staging: rtl8723bs: fix memory leak on failure path
    - serial: 8250: 8250_omap.c: Clear DMA RX running status only after DMA
      termination is done
    - fix it87_wdt early reboot by reporting running timer
    - binder: don't use %pK through printk
    - watchdog: imx7ulp_wdt: handle the nowayout option
    - phy: mvebu-cp110-utmi: fix dr_mode property read from dts
    - phy: fsl-imx8mq-usb: disable bind/unbind platform driver feature
    - Revert "mfd: da9052-spi: Change read-mask to write-mask"
    - iio: Use IRQF_NO_THREAD
    - iio: magnetometer: Remove IRQF_ONESHOT
    - MIPS: Loongson: Make cpumask_of_node() robust against NUMA_NO_NODE
    - fs/ntfs3: drop preallocated clusters for sparse and compressed files
    - fs/ntfs3: avoid calling run_get_entry() when run == NULL in
      ntfs_read_run_nb_ra()
    - ceph: supply snapshot context in ceph_uninline_data()
    - libceph: define and enforce CEPH_MAX_KEY_LEN
    - thermal: int340x: Fix sysfs group leak on DLVR registration failure
    - include: uapi: netfilter_bridge.h: Cover for musl libc
    - ARM: 9467/1: mm: Don't use %pK through printk
    - drm/amd/display: Avoid updating surface with the same surface under MPO
    - drm/amdgpu: Adjust usleep_range in fence wait
    - ALSA: usb-audio: Update the number of packets properly at receiving
    - drm/amdgpu: Add HAINAN clock adjustment
    - drm/radeon: Add HAINAN clock adjustment
    - ALSA: usb-audio: Add sanity check for OOB writes at silencing
    - btrfs: replace BUG() with error handling in __btrfs_balance()
    - drm/amd/display: Remove conditional for shaper 3DLUT power-on
    - rtc: zynqmp: correct frequency value
    - ntb: ntb_hw_switchtec: Fix array-index-out-of-bounds access
    - ntb: ntb_hw_switchtec: Fix shift-out-of-bounds for 0 mw lut
    - xfrm6: fix uninitialized saddr in xfrm6_get_saddr()
    - xfrm: skip templates check for packet offload tunnel mode
    - ipmi: ipmb: initialise event handler read bytes
    - xfrm: always flush state and policy upon NETDEV_UNREGISTER event
    - net: usb: kaweth: remove TX queue manipulation in kaweth_set_rx_mode
    - net: usb: lan78xx: scan all MDIO addresses on LAN7801
    - net: ixp4xx_eth: convert to ndo_hwtstamp_get() and ndo_hwtstamp_set()
    - net: ethernet: xscale: Check for PTP support properly
    - wifi: cfg80211: wext: fix IGTK key ID off-by-one
    - Remove WARN_ALL_UNSEEDED_RANDOM kernel config option
    - [Config] Remove WARN_ALL_UNSEEDED_RANDOM
    - Bluetooth: L2CAP: Fix invalid response to L2CAP_ECRED_RECONF_REQ
    - Bluetooth: hci_qca: Cleanup on all setup failures
    - Bluetooth: L2CAP: Fix response to L2CAP_ECRED_CONN_REQ
    - Bluetooth: L2CAP: Fix not checking output MTU is acceptable on
      L2CAP_ECRED_CONN_REQ
    - Bluetooth: L2CAP: Fix missing key size check for L2CAP_LE_CONN_REQ
    - tipc: fix duplicate publication key in tipc_service_insert_publ()
    - RDMA/core: Fix stale RoCE GIDs during netdev events at registration
    - net: wan: farsync: Fix use-after-free bugs caused by unfinished tasklets
    - RDMA/efa: Fix typo in efa_alloc_mr()
    - net: usb: pegasus: enable basic endpoint checking
    - RDMA/umem: Fix double dma_buf_unpin in failure path
    - net/mlx5: DR, Fix circular locking dependency in dump
    - net/mlx5: Fix missing devlink lock in SRIOV enable error path
    - net: consume xmit errors of GSO frames
    - dpaa2-switch: validate num_ifs to prevent out-of-bounds write
    - netfilter: nf_conntrack_h323: fix OOB read in decode_choice()
    - rpmsg: core: fix race in driver_override_show() and use core helper
    - clk: renesas: rzg2l: Fix intin variable size
    - clk: renesas: rzg2l: Select correct div round macro
    - ASoC: SOF: ipc4-control: If there is no data do not send bytes update
    - ASoC: SOF: ipc4-topology: Correct the allocation size for bytes controls
    - ASoC: SOF: ipc4-control: Use the correct size for
      scontrol->ipc_control_data
    - ASoC: SOF: ipc4-control: Keep the payload size up to date
    - fpga: dfl: use subsys_initcall to allow built-in drivers to be added
    - dm-verity: correctly handle dm_bufio_client_create() failure
    - media: mediatek: encoder: Fix uninitialized scalar variable issue
    - media: mtk-mdp: Fix error handling in probe function
    - media: mtk-mdp: Fix a reference leak bug in mtk_mdp_remove()
    - media: verisilicon: AV1: Fix enable cdef computation
    - media: verisilicon: AV1: Fix tx mode bit setting
    - ARM: omap2: Fix reference count leaks in omap_control_init()
    - KVM: nSVM: Remove a user-triggerable WARN on nested_svm_load_cr3()
      succeeding
    - arm64: Disable branch profiling for all arm64 code
    - HID: hid-pl: handle probe errors
    - HID: magicmouse: Do not crash on missing msc->input
    - HID: prodikeys: Check presence of pm->input_ep82
    - HID: logitech-hidpp: Check maxfield in hidpp_get_report_length()
    - arm64: dts: apple: t8112-j473: Keep the HDMI port powered on
    - media: verisilicon: AV1: Set IDR flag for intra_only frame type
    - media: radio-keene: fix memory leak in error path
    - media: cx88: Add missing unmap in snd_cx88_hw_params()
    - media: cx23885: Add missing unmap in snd_cx23885_hw_params()
    - media: cx25821: Add missing unmap in snd_cx25821_hw_params()
    - media: i2c/tw9903: Fix potential memory leak in tw9903_probe()
    - media: i2c/tw9906: Fix potential memory leak in tw9906_probe()
    - media: i2c: ov01a10: Fix the horizontal flip control
    - media: i2c: ov01a10: Fix reported pixel-rate value
    - media: i2c: ov01a10: Fix analogue gain range
    - media: i2c: ov01a10: Add missing v4l2_subdev_cleanup() calls
    - media: i2c: ov01a10: Fix test-pattern disabling
    - media: qcom: camss: vfe: Fix out-of-bounds access in
      vfe_isr_reg_update()
    - media: ccs: Avoid possible division by zero
    - media: i2c: ov5647: Initialize subdev before controls
    - media: i2c: ov5647: Correct pixel array offset
    - media: i2c: ov5647: Correct minimum VBLANK value
    - media: i2c: ov5647: Sensor should report RAW color space
    - media: i2c: ov5647: Fix PIXEL_RATE value for VGA mode
    - media: i2c: ov5647: use our own mutex for the ctrl lock
    - dm-integrity: fix a typo in the code for write/discard race
    - dm: clear cloned request bio pointer when last clone bio completes
    - soc: ti: k3-socinfo: Fix regmap leak on probe failure
    - soc: ti: pruss: Fix double free in pruss_clk_mux_setup()
    - KVM: nSVM: Always use vmcb01 in VMLOAD/VMSAVE emulation
    - clk: clk-apple-nco: Add "apple,t8103-nco" compatible
    - media: i2c: ov01a10: Fix digital gain range
    - clk: tegra: tegra124-emc: Fix potential memory leak in
      tegra124_clk_register_emc()
    - s390/pci: Handle futile config accesses of disabled devices directly
    - dm-integrity: fix recalculation in bitmap mode
    - dm-unstripe: fix mapping bug when there are multiple targets in a table
    - arm64: dts: rockchip: Do not enable hdmi_sound node on Pinebook Pro
    - media: venus: vdec: fix error state assignment for zero bytesused
    - media: venus: vdec: restrict EOS addr quirk to IRIS2 only
    - drm: of: drm_of_panel_bridge_remove(): fix device_node leak
    - mm, page_alloc, thp: prevent reclaim for __GFP_THISNODE THP allocations
    - selftests/mm/charge_reserved_hugetlb: drop mount size for hugetlbfs
    - xfs: mark data structures corrupt on EIO and ENODATA
    - media: verisilicon: AV1: Fix tile info buffer size
    - iommu/vt-d: Flush dev-IOTLB only when PCIe device is accessible in
      scalable mode
    - mfd: core: Add locking around 'mfd_of_node_list'
    - xfs: delete attr leaf freemap entries when empty
    - xfs: fix freemap adjustments when adding xattrs to leaf blocks
    - xfs: fix remote xattr valuelblk check
    - KVM: x86: Add SRCU protection for reading PDPTRs in __get_sregs2()
    - PCI: endpoint: Fix swapped parameters in
      pci_{primary/secondary}_epc_epf_unlink() functions
    - md/bitmap: fix GPF in write_page caused by resize race
    - nfsd: fix return error code for nfsd_map_name_to_[ug]id
    - nvmem: Drop OF node reference on nvmem_add_one_cell() failure
    - usb: gadget: tegra-xudc: Add handling for BLCG_COREPLL_PWRDN
    - bus: fsl-mc: fix an error handling in fsl_mc_device_add()
    - dm mpath: make pg_init_delay_msecs settable
    - tools: Fix bitfield dependency failure
    - powerpc/smp: Add check for kcalloc() failure in parse_thread_groups()
    - iio: gyro: itg3200: Fix unchecked return value in read_raw
    - mm/highmem: fix __kmap_to_page() build error
    - rapidio: replace rio_free_net() with kfree() in rio_scan_alloc_net()
    - ocfs2: fix reflink preserve cleanup issue
    - kexec: derive purgatory entry from symbol
    - Revert "PCI/IOV: Add PCI rescan-remove locking when enabling/disabling
      SR-IOV"
    - PCI/IOV: Fix race between SR-IOV enable/disable and hotplug
    - arm64: Fix non-atomic __READ_ONCE() with CONFIG_LTO=y
    - btrfs: continue trimming remaining devices on failure
    - remoteproc: imx_rproc: Fix invalid loaded resource table detection
    - perf/arm-cmn: Reject unsupported hardware configurations
    - scsi: ufs: core: Flush exception handling work when RPM level is zero
    - usb: dwc3: gadget: Move vbus draw to workqueue context
    - usb: dwc2: fix resume failure if dr_mode is host
    - mtd: rawnand: pl353: Fix software ECC support
    - tipc: fix RCU dereference race in tipc_aead_users_dec()
    - drm/amdkfd: Fix out-of-bounds write in kfd_event_page_set()
    - net: cpsw_new: Fix unnecessary netdev unregistration in cpsw_probe()
      error path
    - PCI: Fix pci_slot_trylock() error handling
    - parisc: kernel: replace kfree() with put_device() in create_tree_node()
    - staging: rtl8723bs: fix null dereference in find_network
    - cifs: Fix locking usage for tcon fields
    - MIPS: rb532: Fix MMIO UART resource registration
    - ceph: supply snapshot context in ceph_zero_partial_object()
    - LoongArch: Make cpumask_of_node() robust against NUMA_NO_NODE
    - LoongArch: Prefer top-down allocation after arch_mem_init()
    - LoongArch: Guard percpu handler under !CONFIG_PREEMPT_RT
    - LoongArch: Disable instrumentation for setup_ptwalker()
    - net: ethernet: marvell: skge: remove incorrect conflicting PCI ID
    - net: wan/fsl_ucc_hdlc: Fix dma_free_coherent() in uhdlc_memclean()
    - octeontx2-af: CGX: fix bitmap leaks
    - net: macb: Fix tx/rx malfunction after phy link down and up
    - tracing: Fix to set write permission to per-cpu buffer_size_kb
    - io_uring/filetable: clamp alloc_hint to the configured alloc range
    - net: intel: fix PCI device ID conflict between i40e and ipw2200
    - atm: fore200e: fix use-after-free in tasklets during device removal
    - ipv6: ioam: fix heap buffer overflow in __ioam6_fill_trace_data()
    - fbcon: check return value of con2fb_acquire_newinfo()
    - fbdev: vt8500lcdfb: fix missing dma_free_coherent()
    - fbdev: of: display_timing: fix refcount leak in of_get_display_timings()
    - fbdev: ffb: fix corrupted video output on Sun FFB1
    - fbcon: Remove struct fbcon_display.inverse
    - cifs: some missing initializations on replay
    - ASoC: amd: yc: Add DMI quirk for ASUS Vivobook Pro 15X M6501RR
    - net: ethernet: ec_bhf: Fix dma_free_coherent() dma handle
    - net/sched: act_skbedit: fix divide-by-zero in tcf_skbedit_hash()
    - x86/kexec: Copy ACPI root pointer address from config table
    - arm64: Force the use of CNTVCT_EL0 in __delay()
    - net: nfc: nci: Fix parameter validation for packet data
    - tracing: Fix checking of freed trace_event_file for hist files
    - tracing: Wake up poll waiters for hist files when removing an event
    - NTB: ntb_transport: Fix too small buffer for debugfs_name
    - drm/i915/wakeref: clean up INTEL_WAKEREF_PUT_* flag macros
    - arm64: Fix sampling the "stable" virtual counter in preemptible section
    - gfs2: Fix slab-use-after-free in qd_put
    - io_uring: use release-acquire ordering for IORING_SETUP_R_DISABLED
    - thermal: intel: x86_pkg_temp_thermal: Handle invalid temperature
    - OPP: Return correct value in dev_pm_opp_get_level
    - cpufreq: scmi: Fix device_node reference leak in scmi_cpu_domain_id()
    - perf/x86/core: Do not set bit width for unavailable counters
    - genirq: Set IRQF_COND_ONESHOT in devm_request_irq().
    - platform/x86: int0002: Remove IRQF_ONESHOT from request_irq()
    - media: pci: mg4b: Use IRQF_NO_THREAD
    - firmware: arm_ffa: Correct 32-bit response handling in
      NOTIFICATION_INFO_GET
    - arm64: dts: qcom: msm8994-octagon: Fix Analog Devices vendor prefix of
      AD7147
    - arm64: dts: mediatek: mt8183-jacuzzi-pico6: Fix typo in pinmux node
    - arm64: dts: qcom: qrb4210-rb2: Fix UART3 wakeup IRQ storm
    - arm64: dts: qcom: x1e: bus is 40-bits (fix 64GB models)
    - media: chips-media: wave5: Fix memory leak on codec_info allocation
      failure
    - drm/amd: Drop "amdgpu kernel modesetting enabled" message
    - drm/amdkfd: Fix signal_eviction_fence() bool return value
    - drm/xe: Unregister drm device on probe error
    - HID: intel-ish-hid: fix NULL-ptr-deref in ishtp_bus_remove_all_clients
    - wifi: cfg80211: Fix use_for flag update on BSS refresh
    - PCI: Check parent for NULL in of_pci_bus_release_domain_nr()
    - netfilter: nfnetlink_queue: optimize verdict lookup with hash table
    - netfilter: nfnetlink_queue: do shared-unconfirmed check before
      segmentation
    - netfilter: nft_set_rbtree: fix bogus EEXIST with NLM_F_CREATE with null
      interval
    - power: supply: pm8916_bms_vm: Fix use-after-free in
      power_supply_changed()
    - power: supply: pm8916_lbc: Fix use-after-free in power_supply_changed()
    - RDMA/mlx5: Fix UMR hang in LAG error state unload
    - IB/mlx5: Fix port speed query for representors
    - platform/x86/amd/pmf: Prevent TEE errors after hibernate
    - crypto: ccp - Declare PSP dead if PSP_CMD_TEE_RING_INIT fails
    - power: supply: pm8916_lbc: Fix use-after-free for extcon in IRQ handler
    - clk: qcom: gcc-sm8650: Use floor ops for SDCC RCGs
    - clk: qcom: gcc-sm4450: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-x1e80100: Update the SDCC RCGs to use shared_floor_ops
    - dma: dma-axi-dmac: fix HW scatter-gather not looking at the queue
    - iio: pressure: mprls0025pa: fix interrupt flag
    - objpool: fix the overestimation of object pooling metadata size
    - ipvs: do not keep dest_dst if dev is going down
    - net/mlx5e: Use unsigned for mlx5e_get_max_num_channels
    - AppArmor: Allow apparmor to handle unaligned dfa tables
    - apparmor: Fix & Optimize table creation from possibly unaligned memory
    - apparmor: avoid per-cpu hold underflow in aa_get_buffer
    - drm/amd/display: Fix out-of-bounds stream encoder index v3
    - btrfs: use the correct type to initialize block reserve for delayed refs
    - Drivers: hv: vmbus: Use kthread for vmbus interrupts on PREEMPT_RT
    - i3c: mipi-i3c-hci: Reset RING_OPERATION1 fields during init
    - APEI/GHES: ARM processor Error: don't go past allocated memory
    - ACPI: resource: Add JWIPC JVC9100 to irq1_level_low_skip_override[]
    - powercap: intel_rapl: Add PL4 support for Ice Lake
    - alpha: fix user-space corruption during memory compaction
    - ACPI: x86: s2idle: Invoke Microsoft _DSM Function 9 (Turn On Display)
    - ACPI: battery: fix incorrect charging status when current is zero
    - perf/x86/msr: Add Airmont NP
    - perf/x86/cstate: Add Airmont NP
    - bpf: Recognize special arithmetic shift in the verifier
    - firmware: arm_ffa: Unmap Rx/Tx buffers on init failure
    - gpu/panel-edp: add AUO panel entry for B140HAN06.4
    - drm/amdgpu: fix NULL pointer issue buffer funcs
    - ASoC: SOF: ipc4: Support for sending payload along with LARGE_CONFIG_GET
    - media: chips-media: wave5: Fix conditional in start_streaming
    - media: chips-media: wave5: Process ready frames when CMD_STOP sent to
      Encoder
    - drm/amd/display: Fix dsc eDP issue
    - drm/panel: Fix a possible null-pointer dereference in
      jdi_panel_dsi_remove()
    - media: mt9m114: Avoid a reset low spike during probe()
    - media: mt9m114: Return -EPROBE_DEFER if no endpoint is found
    - ALSA: hda/realtek: add HP Victus 16-e0xxx mute LED quirk
    - PCI: Add Intel Nova Lake audio Device ID
    - drm/amd/display: Disable FEC when powering down encoders
    - drm/amd/display: avoid dig reg access timeout on usb4 link training fail
    - hwmon: (dell-smm) Add support for Dell OptiPlex 7080
    - HID: logitech-hidpp: Add support for Logitech K980
    - ASoC: SOF: Intel: hda: Fix NULL pointer dereference
    - spi: geni-qcom: Fix abort sequence execution for serial engine errors
    - ALSA: hda/realtek - Enable mute LEDs on HP ENVY x360 15-es0xxx
    - wifi: rtw89: 8922a: set random mac if efuse contains zeroes
    - wifi: rtw89: ser: enable error IMR after recovering from L1
    - wifi: rtw88: Use devm_kmemdup() in rtw_set_supported_band()
    - wifi: rtw89: mac: correct page number for CSI response
    - wifi: ath11k: Fix failure to connect to a 6 GHz AP
    - ipv6: annotate data-races over sysctl.flowlabel_reflect
    - ext4: use reserved metadata blocks when splitting extent on endio
    - Bluetooth: btusb: Add support for MediaTek7920 0489:e158
    - net: sfp: add quirk for Lantech 8330-265D
    - PCI/AER: Clear stale errors on reporting agents upon probe
    - scsi: ufs: mediatek: Fix page faults in ufs_mtk_clk_scale() trace event
    - riscv: vector: init vector context with proper vlenb
    - HID: i2c-hid: Add FocalTech FT8112
    - 9p/xen: protect xen_9pfs_front_free against concurrent calls
    - soundwire: intel_auxdevice: add cs42l45 codec to wake_capable_list
    - most: remove usage of the deprecated ida_simple_xx() API
    - most: core: fix resource leak in most_register_interface error paths
    - usb: chipidea: udc: fix DMA and SG cleanup in _ep_nuke()
    - serial: 8250: 8250_omap.c: Add support for handling UART error
      conditions
    - mfd: intel-lpss: Add Intel Nova Lake-S PCI IDs
    - ACPI: x86: Force enabling of PWM2 on the Yogabook YB1-X90
    - drm/amd/display: Fix writeback on DCN 3.2+
    - drm/amd/display: Fix system resume lag issue
    - drm/amd/display: bypass post csc for additional color spaces in dal
    - spi: spidev: fix lock inversion between spi_lock and buf_lock
    - Bluetooth: L2CAP: Avoid -Wflex-array-member-not-at-end warnings
    - Bluetooth: L2CAP: Fix result of L2CAP_ECRED_CONN_RSP when MTU is too
      short
    - kcm: fix zero-frag skb in frag_list on partial sendmsg error
    - net/mlx5: E-switch, Clear legacy flag when moving to switchdev
    - net/mlx5e: Separate address related variables to be in struct
    - net/mlx5e: Support routed networks during IPsec MACs initialization
    - net/mlx5e: Fix "scheduling while atomic" in IPsec MAC address query
    - drm/tests: shmem: Swap names of export tests
    - KVM: x86: Return "unsupported" instead of "invalid" on access to
      unsupported PV MSR
    - media: amphion: Drop min_queued_buffers assignment
    - media: rockchip: rga: Fix possible ERR_PTR dereference in rga_buf_init()
    - media: i2c: ov01a10: Fix passing stream instead of pad to
      v4l2_subdev_state_get_format()
    - media: ccs: Fix setting initial sub-device state
    - platform/x86: ISST: Add missing write block check
    - bus: omap-ocp2scp: fix OF populate on driver rebind
    - media: stm32: dcmipp: bytecap: clear all interrupts upon stream stop
    - drm/buddy: Prevent BUG_ON by validating rounded allocation
    - xfs: remove xfs_attr_leaf_hasname
    - mfd: qcom-pm8xxx: Fix OF populate on driver rebind
    - mfd: omap-usb-host: Fix OF populate on driver rebind
    - xfs: fix the xattr scrub to detect freemap/entries array collisions
    - pinctrl: intel: Add code name documentation
    - vhost: move vdpa group bound check to vhost_vdpa
    - clk: rs9: Reserve 8 struct clk_hw slots for for 9FGV0841
    - mm/slab: use unsigned long for orig_size to ensure proper metadata align
    - drm/amd/display: Increase DCN35 SR enter/exit latency
    - drm/amdgpu: fix sync handling in amdgpu_dma_buf_move_notify
    - mm: numa_memblks: Identify the accurate NUMA ID of CFMW
    - drm/amdgpu: keep vga memory on MacBooks with switchable graphics
    - most: core: fix leak on early registration failure
    - Bluetooth: L2CAP: Fix stack-out-of-bounds read in l2cap_ecred_conn_req
    - Upstream stable to v6.6.128, v6.12.75
  * Noble update: upstream stable patchset 2026-05-01 (LP: #2150809) //
    CVE-2026-23249
    - xfs: check for deleted cursors when revalidating two btrees
  * Noble update: upstream stable patchset 2026-05-01 (LP: #2150809) //
    CVE-2025-71267
    - fs: ntfs3: fix infinite loop triggered by zero-sized ATTR_LIST
  * Noble update: upstream stable patchset 2026-05-01 (LP: #2150809) //
    CVE-2025-71265
    - fs: ntfs3: fix infinite loop in attr_load_runs_range on inconsistent
      metadata
  * Noble update: upstream stable patchset 2026-05-01 (LP: #2150809) //
    CVE-2025-71266
    - fs: ntfs3: check return value of indx_find to avoid infinite loop
  * Noble update: upstream stable patchset 2026-05-01 (LP: #2150809) //
    CVE-2026-23241
    - audit: add missing syscalls to read class
  * Noble update: upstream stable patchset 2026-05-01 (LP: #2150809) //
    CVE-2025-71239
    - audit: add fchmodat2() to change attributes class
  * Noble update: upstream stable patchset 2026-05-01 (LP: #2150809) //
    CVE-2026-31411
    - net: atm: fix crash due to unvalidated vcc pointer in sigd_send()
  * Noble update: upstream stable patchset 2026-05-01 (LP: #2150809) //
    CVE-2026-23243
    - RDMA/umad: Reject negative data_len in ib_umad_write
  * Noble update: upstream stable patchset 2026-05-01 (LP: #2150809) //
    CVE-2026-23242
    - RDMA/siw: Fix potential NULL pointer dereference in header processing
  * Noble update: upstream stable patchset 2026-04-17 (LP: #2148714)
    - scsi: qla2xxx: Fix bsg_done() causing double free
    - PCI: endpoint: Remove unused field in struct pci_epf_group
    - bus: fsl-mc: Replace snprintf and sprintf with sysfs_emit in sysfs show
      functions
    - bus: fsl-mc: fix use-after-free in driver_override_show()
    - ASoC: amd: yc: Add ASUS ExpertBook PM1503CDA to quirks list
    - gpio: sprd: Change sprd_gpio lock to raw_spin_lock
    - ALSA: hda/realtek: Add quirk for Inspur S14-G1
    - ASoC: cs35l45: Corrects ASP_TX5 DAPM widget channel
    - romfs: check sb_set_blocksize() return value
    - drm/tegra: hdmi: sor: Fix error: variable ‘j’ set but not used
    - platform/x86: classmate-laptop: Add missing NULL pointer checks
    - ASoC: Intel: sof_es8336: Add DMI quirk for Huawei BOD-WXX9
    - ASoC: amd: yc: Add quirk for HP 200 G2a 16
    - platform/x86/amd/pmc: Add quirk for MECHREVO Wujie 15X Pro
    - platform/x86: panasonic-laptop: Fix sysfs group leak in error path
    - ASoC: cs42l43: Correct handling of 3-pole jack load detection
    - ASoC: fsl_xcvr: fix missing lock in fsl_xcvr_mode_put()
    - gpiolib: acpi: Fix gpio count with string references
    - LoongArch: Rework KASAN initialization for PTW-enabled systems
    - Revert "wireguard: device: enable threaded NAPI"
    - mm/hugetlb: fix copy_hugetlb_page_range() to use ->pt_share_count
    - mm/hugetlb: fix hugetlb_pmd_shared()
    - mm/hugetlb: fix two comments related to huge_pmd_unshare()
    - mm/hugetlb: fix excessive IPI broadcasts when unsharing PMD tables using
      mmu_gather
    - cpuset: Fix missing adaptation for cpuset_is_populated
    - LoongArch: Add writecombine support for DMW-based ioremap()
    - fbdev: rivafb: fix divide error in nv3_arb()
    - fbdev: smscufx: properly copy ioctl memory to kernelspace
    - f2fs: fix to add gc count stat in f2fs_gc_range
    - f2fs: fix out-of-bounds access in sysfs attribute read/write
    - f2fs: fix IS_CHECKPOINTED flag inconsistency issue caused by concurrent
      atomic commit and checkpoint writes
    - f2fs: fix to avoid UAF in f2fs_write_end_io()
    - f2fs: fix to avoid mapping wrong physical block for swapfile
    - USB: serial: option: add Telit FN920C04 RNDIS compositions
    - bnxt_en: Change FW message timeout warning
    - bnxt_en: hide CONFIG_DETECT_HUNG_TASK specific code
    - ALSA: hda/realtek: Enable headset mic for Acer Nitro 5
    - drm/amd/display: remove assert around dpp_base replacement
    - ASoC: fsl_xcvr: Revert fix missing lock in fsl_xcvr_mode_put()
    - Upstream stable to v6.6.126, v6.6.127, v6.12.73, v6.12.74
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260)
    - Bluetooth: btusb: Add USB ID 7392:e611 for Edimax EW-7611UXB
    - crypto: octeontx - Fix length check to avoid truncation in
      ucode_load_store
    - crypto: virtio - Remove duplicated virtqueue_kick in
      virtio_crypto_skcipher_crypt_req
    - scsi: qla2xxx: Allow recovery for tape devices
    - scsi: qla2xxx: Query FW again before proceeding with login
    - Revert "netfilter: nf_tables: missing objects with no memcg accounting"
    - netfilter: nf_tables: missing objects with no memcg accounting
    - vsock/test: verify socket options after setting them
    - selftests: mptcp: pm: ensure unknown flags are ignored
    - gpio: omap: do not register driver in probe()
    - net: tunnel: make skb_vlan_inet_prepare() return drop reasons
    - Upstream stable to v6.6.125, v6.12.71, v6.12.72
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2025-71233
    - PCI: endpoint: Avoid creating sub-groups asynchronously
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2025-71231
    - crypto: iaa - Fix out-of-bounds index in find_empty_iaa_compression_mode
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2026-23169
    - mptcp: fix race in mptcp_pm_nl_flush_addrs_doit()
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2025-40005
    - spi: cadence-quadspi: Implement refcount to handle unbind during busy
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2025-71232
    - scsi: qla2xxx: Free sp in error path to fix system crash
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2025-71235
    - scsi: qla2xxx: Delay module unload while fabric scan in progress
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2025-71236
    - scsi: qla2xxx: Validate sp before freeing associated memory
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2025-71229
    - wifi: rtw88: Fix alignment fault in rtw_core_enable_beacon()
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2025-71237
    - nilfs2: Fix potential block overflow that cause system hang
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2026-23229
    - crypto: virtio - Add spinlock protection with virtqueue notification
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2026-23222
    - crypto: omap - Allocate OMAP_CRYPTO_FORCE_COPY scatterlists correctly
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2026-23228
    - smb: server: fix leak of active_num_conn in ksmbd_tcp_new_connection()
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2026-23220
    - ksmbd: fix infinite loop caused by next_smb2_rcv_hdr_off reset in error
      paths
  * Noble update: upstream stable patchset 2026-04-13 (LP: #2148260) //
    CVE-2026-23230
    - smb: client: split cached_fid bitfields to avoid shared-byte RMW races
  * CVE-2026-23272
    - netfilter: nf_tables: unconditionally bump set->nelems before insertion
  * CVE-2026-31418
    - netfilter: ipset: drop logically empty buckets in mtype_del
  * CVE-2026-23392
    - netfilter: nf_tables: release flowtable after rcu grace period on error
  * CVE-2026-23278
    - netfilter: nf_tables: always walk all pending catchall elements
  * GRO managed-frag use-after-free leading to local privilege escalation
    (LP: #2154172)
    - net: gro: don't merge zcopy skbs
  * AppArmor Vulnerabilities  (LP: #2151747)
    - apparmor: Fix incorrect profile->signal range check
    - SAUCE: apparmor: pass big_resp to handler
    - SAUCE: apparmor: remove redundant kref_init for listener->count
    - SAUCE: apparmor: fix NULL pointer dereference in unpack_pdb
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47337
    - SAUCE: apparmor: fix NULL pointer dereference in bind_map_addr
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47336
    - SAUCE: apparmor: fix use of unintialized variable in net opt level
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47335
    - SAUCE: apparmor: fix possible NULL pointer dereference by adding a NULL
      check
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47334
    - SAUCE: apparmor: fix sleep prone memory allocation under a spin_lock
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47333
    - SAUCE: apparmor: fix dfa unpacking size of the notification filter
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47332
    - SAUCE: apparmor: fix size check against type instead of pointer
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47331
    - SAUCE: apparmor: fix changing rules list without a lock
  * apparmor: LLVM/clang build failure due to uninitialized variable in
    notify.c (LP: #2148809) // CVE-2026-47330
    - SAUCE: apparmor: initialize variable used in uninitialized context
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47329
    - SAUCE: apparmor: fix name validation bypass on notification
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47327 //
    CVE-2026-47328
    - SAUCE: apparmor: fix glob memory leak after kstrdup
  * AppArmor Vulnerabilities  (LP: #2151747) // CVE-2026-47326
    - SAUCE: apparmor: fix inverted NULL check after aa_get_buffer
  * CVE-2026-46300
    - net: skbuff: preserve shared-frag marker during coalescing
    - net: skbuff: propagate shared-frag marker through frag-transfer helpers
  * net/rds: reset op_nents when zerocopy page pin fails (LP: #2153962)
    - net/rds: reset op_nents when zerocopy page pin fails
  * CVE-2026-46333
    - ptrace: slightly saner 'get_dumpable()' logic
  * CVE-2026-43500
    - rxrpc: Fix conn-level packet handling to unshare RESPONSE packets
    - rxrpc: Parse received packets before dealing with timeouts
    - rxrpc: Fix potential UAF after skb_unshare() failure
    - rxrpc: Fix rxrpc_input_call_event() to only unshare DATA packets
    - rxrpc: Also unshare DATA/RESPONSE packets when paged frags are present
  * CVE-2026-31676 // CVE-2026-43500
    - rxrpc: only handle RESPONSE during service challenge
  * CVE-2026-43284
    - xfrm: esp: avoid in-place decrypt on shared skb frags
  * CVE-2026-31419
    - net: bonding: fix use-after-free in bond_xmit_broadcast()
  * CVE-2026-31431
    - crypto: scatterwalk - Backport memcpy_sglist()
    - crypto: algif_aead - use memcpy_sglist() instead of null skcipher
    - crypto: algif_aead - Revert to operating out-of-place
    - crypto: algif_aead - snapshot IV for async AEAD requests
    - crypto: authenc - use memcpy_sglist() instead of null skcipher
    - crypto: authencesn - Do not place hiseq at end of dst for out-of-place
      decryption
    - crypto: authencesn - Fix src offset when decrypting in-place
    - crypto: af_alg - Fix page reassignment overflow in af_alg_pull_tsgl
    - crypto: algif_aead - Fix minimum RX size check for decryption
  * CVE-2026-31533
    - net/tls: fix use-after-free in -EBUSY error path of tls_do_encryption
  * CVE-2026-31504
    - net: fix fanout UAF in packet_release() via NETDEV_UP race

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 04 Jun 2026 10:45:59 -0500

linux-nvidia (6.8.0-1055.58) noble; urgency=medium

  [ Ubuntu: 6.8.0-124.124 ]

  * GRO managed-frag use-after-free leading to local privilege escalation
    (LP: #2154172)
    - net: gro: don't merge zcopy skbs

  [ Ubuntu: 6.8.0-121.121 ]

  * apparmor (LP: #2151747)
    - apparmor: Fix incorrect profile->signal range check
    - SAUCE: apparmor: pass big_resp to handler
    - SAUCE: apparmor: remove redundant kref_init for listener->count
    - SAUCE: apparmor: fix NULL pointer dereference in unpack_pdb
  * apparmor (LP: #2151747) // CVE-2026-47337
    - SAUCE: apparmor: fix NULL pointer dereference in bind_map_addr
  * apparmor (LP: #2151747) // CVE-2026-47336
    - SAUCE: apparmor: fix use of unintialized variable in net opt level
  * apparmor (LP: #2151747) // CVE-2026-47335
    - SAUCE: apparmor: fix possible NULL pointer dereference by adding a NULL
      check
  * apparmor (LP: #2151747) // CVE-2026-47334
    - SAUCE: apparmor: fix sleep prone memory allocation under a spin_lock
  * apparmor (LP: #2151747) // CVE-2026-47333
    - SAUCE: apparmor: fix dfa unpacking size of the notification filter
  * apparmor (LP: #2151747) // CVE-2026-47332
    - SAUCE: apparmor: fix size check against type instead of pointer
  * apparmor (LP: #2151747) // CVE-2026-47331
    - SAUCE: apparmor: fix changing rules list without a lock
  * apparmor: LLVM/clang build failure due to uninitialized variable in
    notify.c (LP: #2148809) // CVE-2026-47330
    - SAUCE: apparmor: initialize variable used in uninitialized context
  * apparmor (LP: #2151747) // CVE-2026-47329
    - SAUCE: apparmor: fix name validation bypass on notification
  * apparmor (LP: #2151747) // CVE-2026-47327 // CVE-2026-47328
    - SAUCE: apparmor: fix glob memory leak after kstrdup
  * apparmor (LP: #2151747) // CVE-2026-47326
    - SAUCE: apparmor: fix inverted NULL check after aa_get_buffer

  [ Ubuntu: 6.8.0-120.120 ]

  * noble/linux: 6.8.0-120.120 -proposed tracker (LP: #2153733)
  * Packaging resync (LP: #1786013)
    - [Packaging] update annotations scripts
  * CVE-2026-46300
    - net: skbuff: preserve shared-frag marker during coalescing
    - net: skbuff: propagate shared-frag marker through frag-transfer helpers
  * net/rds: reset op_nents when zerocopy page pin fails (LP: #2153962)
    - net/rds: reset op_nents when zerocopy page pin fails
  * CVE-2026-46333
    - ptrace: slightly saner 'get_dumpable()' logic
  * CVE-2026-43500
    - rxrpc: Fix conn-level packet handling to unshare RESPONSE packets
    - rxrpc: Parse received packets before dealing with timeouts
    - rxrpc: Fix potential UAF after skb_unshare() failure
    - rxrpc: Fix rxrpc_input_call_event() to only unshare DATA packets
    - rxrpc: Also unshare DATA/RESPONSE packets when paged frags are present
  * CVE-2026-31676 // CVE-2026-43500
    - rxrpc: only handle RESPONSE during service challenge
  * CVE-2026-43284
    - xfrm: esp: avoid in-place decrypt on shared skb frags

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 26 May 2026 11:08:16 -0500

linux-nvidia (6.8.0-1054.57) noble; urgency=medium

  * noble/linux-nvidia: 6.8.0-1054.57 -proposed tracker (LP: #2151050)

  [ Ubuntu: 6.8.0-117.117 ]

  * noble/linux: 6.8.0-117.117 -proposed tracker (LP: #2151070)
  * CVE-2026-31419
    - net: bonding: fix use-after-free in bond_xmit_broadcast()
  * CVE-2026-31431
    - crypto: scatterwalk - Backport memcpy_sglist()
    - crypto: algif_aead - use memcpy_sglist() instead of null skcipher
    - crypto: algif_aead - Revert to operating out-of-place
    - crypto: algif_aead - snapshot IV for async AEAD requests
    - crypto: authenc - use memcpy_sglist() instead of null skcipher
    - crypto: authencesn - Do not place hiseq at end of dst for out-of-place
      decryption
    - crypto: authencesn - Fix src offset when decrypting in-place
    - crypto: af_alg - Fix page reassignment overflow in af_alg_pull_tsgl
    - crypto: algif_aead - Fix minimum RX size check for decryption
  * CVE-2026-31533
    - net/tls: fix use-after-free in -EBUSY error path of tls_do_encryption
  * CVE-2026-31504
    - net: fix fanout UAF in packet_release() via NETDEV_UP race

 -- Jacob Martin <jacob.martin@canonical.com>  Wed, 06 May 2026 10:21:01 -0500

linux-nvidia (6.8.0-1053.56) noble; urgency=medium

  * noble/linux-nvidia: 6.8.0-1053.56 -proposed tracker (LP: #2150029)

  [ Ubuntu: 6.8.0-116.116 ]

  * noble/linux: 6.8.0-116.116 -proposed tracker (LP: #2150048)
  * Linux kernel  6.17.0-22.22  breaks amdxdna (LP: #2149766)
    - Revert "iommu: disable SVA when CONFIG_X86 is set"
  * Revert "netfilter: conntrack: fix erronous removal of offload bit"
    (LP: #2149762)
    - Revert "netfilter: conntrack: fix erronous removal of offload bit"

  [ Ubuntu: 6.8.0-114.114 ]

  * noble/linux: 6.8.0-114.114 -proposed tracker (LP: #2148397)
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465)
    - SAUCE: Fix skb_vlan_inet_prepare() usage

  [ Ubuntu: 6.8.0-112.112 ]

  * noble/linux: 6.8.0-112.112 -proposed tracker (LP: #2147982)
  * Canonical Kmod 2025 key rotation (LP: #2147447)
    - [Packaging] ubuntu-compatible-signing -- make Ubuntu-Compatible-Signing
      extensible
    - [Packaging] ubuntu-compatible-signing -- allow consumption of positive
      certs
    - [Packaging] ubuntu-compatible-signing -- report the livepatch:2025 key
    - [Config] prepare for Canonical Kmod key rotation
    - [Packaging] ubuntu-compatible-signing -- report the kmod:2025 key
  * Remount ext4 to readonly with data=journal mode may dump call trace
    (LP: #2147400)
    - ext4: fix stale xarray tags after writeback
  * Compile error due to nonexistent struct member with CONFIG_PCI_EPF_TEST
    (LP: #2147065)
    - SAUCE: Revert "PCI: endpoint: pci-epf-test: Limit PCIe BAR size for
      fixed BARs"
  * BUG: kernel NULL pointer dereference in amdgpu (LP: #2144577)
    - drm/amdgpu: validate the flush_gpu_tlb_pasid()
    - drm/amdgpu: Fix validating flush_gpu_tlb_pasid()
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841)
    - x86/kfence: fix booting on 32bit non-PAE systems
    - platform/x86: intel_telemetry: Fix swapped arrays in PSS output
    - pmdomain: qcom: rpmpd: fix off-by-one error in clamping to the highest
      state
    - pmdomain: imx8mp-blk-ctrl: Keep gpc power domain on for system wakeup
    - pmdomain: imx: gpcv2: Fix the imx8mm gpu hang due to wrong adb400 reset
    - pmdomain: imx8mp-blk-ctrl: Keep usb phy power domain on for system
      wakeup
    - rbd: check for EOD after exclusive lock is ensured to be held
    - ARM: 9468/1: fix memset64() on big-endian
    - hfsplus: fix slab-out-of-bounds read in hfsplus_uni2asc()
    - binder: fix BR_FROZEN_REPLY error log
    - binderfs: fix ida_alloc_max() upper bound
    - KVM: selftests: Add -U_FORTIFY_SOURCE to avoid some unpredictable test
      failures
    - tracing: Fix ftrace event field alignments
    - net: usb: sr9700: support devices with virtual driver CD
    - block,bfq: fix aux stat accumulation destination
    - LoongArch: Set correct protection_map[] for VM_NONE/VM_SHARED
    - HID: intel-ish-hid: Update ishtp bus match to support device ID table
    - HID: multitouch: add MT_QUIRK_STICKY_FINGERS to MT_CLS_VTL
    - HID: intel-ish-hid: Reset enum_devices_done before enumeration
    - HID: playstation: Center initial joystick axes to prevent spurious
      events
    - ALSA: hda/realtek: add HP Laptop 15s-eq1xxx mute LED quirk
    - netfilter: replace -EEXIST with -EBUSY
    - HID: quirks: Add another Chicony HP 5MP Cameras to hid_ignore_list
    - HID: Apply quirk HID_QUIRK_ALWAYS_POLL to Edifier QR30 (2d99:a101)
    - ring-buffer: Avoid softlockup in ring_buffer_resize() during memory free
    - wifi: mac80211: collect station statistics earlier when disconnect
    - ASoC: davinci-evm: Fix reference leak in davinci_evm_probe
    - ASoC: amd: yc: Fix microphone on ASUS M6500RE
    - ASoC: tlv320adcx140: Propagate error codes during probe
    - spi: hisi-kunpeng: Fixed the wrong debugfs node name in hisi_spi debugfs
      initialization
    - wifi: cfg80211: Fix bitrate calculation overflow for HE rates
    - ALSA: hda/realtek: Fix headset mic for TongFang X6AR55xU
    - wifi: mac80211: correctly check if CSA is active
    - wifi: mac80211: don't increment crypto_tx_tailroom_needed_cnt twice
    - platform/x86: intel_telemetry: Fix PSS event register mask
    - platform/x86: hp-bioscfg: Skip empty attribute names
    - net: add skb_header_pointer_careful() helper
    - net: don't touch dev->stats in BPF redirect paths
    - tipc: use kfree_sensitive() for session key material
    - net: ethernet: adi: adin1110: Check return value of
      devm_gpiod_get_optional() in adin1110_check_spi()
    - drm/mgag200: fix mgag200_bmc_stop_scanout()
    - hwmon: (occ) Mark occ_init_attribute() as __printf
    - ipv6: Fix ECMP sibling count mismatch when clearing RTF_ADDRCONF
    - gve: Correct ethtool rx_dropped calculation
    - spi: tegra210-quad: Return IRQ_HANDLED when timeout already processed
      transfer
    - spi: tegra210-quad: Move curr_xfer read inside spinlock
    - spi: tegra210-quad: Protect curr_xfer assignment in
      tegra_qspi_setup_transfer_one
    - spi: tegra210-quad: Protect curr_xfer in tegra_qspi_combined_seq_xfer
    - spi: tegra210-quad: Protect curr_xfer clearing in
      tegra_qspi_non_combined_seq_xfer
    - spi: tegra114: Preserve SPI mode bits in def_command1_reg
    - ALSA: hda/realtek: Really fix headset mic for TongFang X6AR55xU.
    - PCI/ERR: Ensure error recoverability at all times
    - ALSA: hda/realtek: Add quirk for Acer Nitro AN517-55
    - PCI: qcom: Remove ASPM L0s support for MSM8996 SoC
    - HID: logitech: add HID++ support for Logitech MX Anywhere 3S
    - ALSA: hda/realtek: ALC269 fixup for Lenovo Yoga Book 9i 13IRU8 audio
    - net: phy: add phy_interface_weight()
    - net: phy: add phy_interface_copy()
    - net: sfp: pre-parse the module support
    - net: sfp: enhance quirk for Fibrestore 2.5G copper SFP module
    - net: sfp: convert sfp quirks to modify struct sfp_module_support
    - net: sfp: Fix quirk for Ubiquiti U-Fiber Instant SFP module
    - drm/amd/display: fix wrong color value mapping on MCM shaper LUT
    - drm/xe/query: Fix topology query pointer advance
    - ALSA: usb-audio: fix broken logic in snd_audigy2nx_led_update()
    - gpiolib-acpi: Update file references in the Documentation and
      MAINTAINERS
    - Upstream stable to v6.6.124, v6.12.70
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23214
    - btrfs: reject new transactions if the fs is fully read-only
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23213
    - drm/amd/pm: Disable MMIO access during SMU Mode 1 reset
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2025-71225
    - md: suspend array while updating raid_disks via sysfs
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2025-68823
    - ublk: fix deadlock when reading partition table
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23191
    - ALSA: aloop: Fix racy access at PCM trigger
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23215
    - x86/vmware: Fix hypercall clobbers
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23182
    - spi: tegra: Fix a memory leak in tegra_slink_probe()
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23190
    - ASoC: amd: fix memory leak in acp3x pdm dma ops
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23254
    - net: gro: fix outer network offset
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23180
    - dpaa2-switch: add bounds check for if_id in IRQ handler
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23256
    - net: liquidio: Fix off-by-one error in VF setup_nic_devices() cleanup
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23257
    - net: liquidio: Fix off-by-one error in PF setup_nic_devices() cleanup
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23258
    - net: liquidio: Initialize netdev pointer before queue setup
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23206
    - dpaa2-switch: prevent ZERO_SIZE_PTR dereference when num_ifs is zero
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23204
    - net/sched: cls_u32: use skb_header_pointer_careful()
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23205
    - smb/client: fix memory leak in smb2_open_file()
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23176
    - platform/x86: toshiba_haps: Fix memory leaks in add/remove routines
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23216
    - scsi: target: iscsi: Fix use-after-free in iscsit_dec_conn_usage_count()
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23193
    - scsi: target: iscsi: Fix use-after-free in
      iscsit_dec_session_usage_count()
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23260
    - regmap: maple: free entry on mas_store_gfp() failure
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23179
    - nvmet-tcp: fixup hang in nvmet_tcp_listen_data_ready()
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23261
    - nvme-fc: release admin tagset if init fails
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23178
    - HID: i2c-hid: fix potential buffer overflow in i2c_hid_get_report()
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2025-71268
    - btrfs: fix reservation leak in some error paths when inserting inline
      extent
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2025-71270
    - LoongArch: Enable exception fixup for specific ADE subcode
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2025-71220
    - smb/server: call ksmbd_session_rpc_close() on error path in
      create_smb2_pipe()
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2025-71222
    - wifi: wlcore: ensure skb headroom before skb_push
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2025-71224
    - wifi: mac80211: ocb: skip rx_no_sta when interface is not joined
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23262
    - gve: Fix stats report corruption on queue count change
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2025-38201
    - netfilter: nft_set_pipapo: clamp maximum map bucket size to INT_MAX
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23198
    - KVM: Don't clobber irqfd routing type when deassigning irqfd
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23264
    - Revert "drm/amd: Check if ASPM is enabled from PCIe subsystem"
  * Noble update: upstream stable patchset 2026-04-10 (LP: #2147841) //
    CVE-2026-23187
    - pmdomain: imx8m-blk-ctrl: fix out-of-range access of bc->domains
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543)
    - net/mlx5: Fix memory leak in esw_acl_ingress_lgcy_setup()
    - can: gs_usb: gs_usb_receive_bulk_callback(): fix error message
    - net: bcmasp: fix early exit leak with fixed phy
    - net: mvpp2: cls: Fix memory leak in mvpp2_ethtool_cls_rule_ins()
    - ipv6: use the right ifindex when replying to icmpv6 from localhost
    - ice: stop counting UDP csum mismatch as rx_errors
    - net/mlx5e: Report rx_discards_phy via rx_dropped
    - net/mlx5e: Account for netdev stats in ndo_get_stats64
    - net: bridge: fix static key check
    - net/mlx5e: Skip ESN replay window setup for IPsec crypto offload
    - scsi: firewire: sbp-target: Fix overflow in sbp_make_tpg()
    - ASoC: Intel: sof_es8336: fix headphone GPIO logic inversion
    - gpiolib: acpi: use BIT_ULL() for u64 mask in address space handler
    - dma/pool: distinguish between missing and exhausted atomic pools
    - pinctrl: meson: mark the GPIO controller as sleeping
    - riscv: compat: fix COMPAT_UTS_MACHINE definition
    - rust: kbuild: give `--config-path` to `rustfmt` in `.rsi` target
    - ASoC: fsl: imx-card: Do not force slot width to sample width
    - scsi: be2iscsi: Fix a memory leak in beiscsi_boot_get_sinfo()
    - ASoC: amd: yc: Add DMI quirk for Acer TravelMate P216-41-TCO
    - gpio: pca953x: mask interrupts in irq shutdown
    - scsi: qla2xxx: edif: Fix dma_free_coherent() size
    - mptcp: only reset subflow errors when propagated
    - selftests: mptcp: check no dup close events after error
    - selftests: mptcp: check subflow errors in close events
    - selftests: mptcp: join: fix local endp not being tracked
    - scripts: generate_rust_analyzer: Add compiler_builtins -> core dep
    - drm/amdgpu/soc21: fix xclk for APUs
    - drm/amdgpu/gfx10: fix wptr reset in KGQ init
    - drm/amdgpu/gfx11: fix wptr reset in KGQ init
    - mm/kfence: randomize the freelist on initialization
    - arm64/fpsimd: signal: Mandate SVE payload for streaming-mode state
    - arm64/fpsimd: signal: Consistently read FPSIMD context
    - btrfs: prevent use-after-free on page private data in
      btrfs_subpage_clear_uptodate()
    - net/sched: act_ife: convert comma to semicolon
    - pinctrl: lpass-lpi: implement .get_direction() for the GPIO driver
    - drm/msm/a6xx: fix bogus hwcg register updates
    - writeback: fix 100% CPU usage when dirtytime_expire_interval is 0
    - mptcp: avoid dup SUB_CLOSED events after disconnect
    - ksmbd: fix recursive locking in RPC handle list access
    - bpf/selftests: test_select_reuseport_kern: Remove unused header
    - can: at91_can: Fix memory leak in at91_can_probe()
    - net: phy: micrel: fix clk warning when removing the driver
    - net/mlx5: fs, Fix inverted cap check in tx flow table root disconnect
    - net/mlx5: Initialize events outside devlink lock
    - net/mlx5: Fix vhca_id access call trace use before alloc
    - bcache: fix improper use of bi_end_io
    - bcache: use bio cloning for detached device requests
    - bcache: fix I/O accounting leak in detached_dev_do_request
    - gpio: rockchip: Stop calling pinctrl for set_direction
    - mm/memory-failure: improve memory failure action_result messages
    - mm/memory-failure: fix redundant updates for already poisoned pages
    - mm/memory-failure: fix missing ->mf_stats count in hugetlb poison
    - mm/memory-failure: teach kill_accessing_process to accept hugetlb tail
      page pfn
    - gpiolib: acpi: Fix potential out-of-boundary left shift
    - rust: kbuild: support `-Cjump-tables=n` for Rust 1.93.0
    - pinctrl: qcom: sm8350-lpass-lpi: Merge with SC7280 to fix I2S2 and SWR
      TX pins
    - [Config] remove PINCTRL_SM8350_LPASS_LPI
    - Upstream stable to v6.6.123, v6.12.69
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23148
    - nvmet: fix race in nvmet_bio_done() leading to NULL pointer dereference
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23166
    - ice: Fix NULL pointer dereference in ice_vsi_set_napi_queues
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23151
    - Bluetooth: MGMT: Fix memory leak in set_ssp_complete
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23163
    - drm/amdgpu: fix NULL pointer dereference in
      amdgpu_gmc_filter_faults_remove
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23159
    - perf: sched: Fix perf crash with new is_user_task() helper
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2024-58096
    - wifi: ath11k: add srng->lock for ath11k_hal_srng_* in monitor mode
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2025-40039
    - ksmbd: Fix race condition in RPC handle list access
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23093
    - ksmbd: smbd: fix dma_unmap_sg() nents
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23102
    - arm64/fpsimd: signal: Fix restoration of SVE context
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23170
    - drm/imx/tve: fix probe device leak
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23168
    - flex_proportions: make fprop_new_period() hardirq safe
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23156
    - efivarfs: fix error propagation in efivar_entry_get()
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23167
    - nfc: nci: Fix race between rfkill and nci_unregister_device().
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23173
    - net/mlx5e: TC, delete flows only for existing peers
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23150
    - nfc: llcp: Fix memleak in nfc_llcp_send_ui_frame().
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23164
    - rocker: fix memory leak in rocker_world_port_post_fini()
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23172
    - net: wwan: t7xx: fix potential skb->frags overflow in RX path
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23212
    - bonding: annotate data-races around slave->last_rx
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23160
    - octeon_ep: Fix memory leak in octep_device_setup()
  * Noble update: upstream stable patchset 2026-04-08 (LP: #2147543) //
    CVE-2026-23146
    - Bluetooth: hci_uart: fix null-ptr-deref in hci_uart_write_work
  * CVE-2026-23394
    - af_unix: Give up GC if MSG_PEEK intervened.
  * [SRU] MIPI camera is not working after upgrading to 6.17-oem
    (LP: #2145171)
    - SAUCE: ACPI: respect items already in honor_dep before skipping
  * ADATA SU680 causes repeated SATA resets and I/O errors on Ubuntu unless
    link power management is forced to max_performance (LP: #2144060)
    - ata: libata-core: disable LPM on ADATA SU680 SSD
  *  intel_idle: add Clearwater Forest SoC support (LP: #2144006)
    - intel_idle: add Clearwater Forest SoC support
  * Noble kernel 6.8.0-108 does not compile when KASAN enabled (LP: #2144914)
    - mm/kasan: fix incorrect unpoisoning in vrealloc for KASAN
  * Generic noble linux throws warning from file tegra-i2c.c (LP: #2143152)
    - i2c: tegra: Use internal reset when reset property is not available
  * [SRU] Duplicated entries in /proc/<pid>/mountinfo (LP: #2143083)
    - namespace: fix proc mount iteration
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465)
    - firmware: imx: scu-irq: Set mu_resource_id before get handle
    - efi/cper: Fix cper_bits_to_str buffer handling and return value
    - ASoC: codecs: wsa884x: fix codec initialisation
    - xfrm: Fix inner mode lookup in tunnel mode GSO segmentation
    - net: bridge: annotate data-races around fdb->{updated,used}
    - net: update netdev_lock_{type,name}
    - vsock/test: add a final full barrier after run all tests
    - net/mlx5e: Restore destroying state bit after profile cleanup
    - btrfs: store fs_info in space_info
    - btrfs: factor out init_space_info() from create_space_info()
    - btrfs: factor out check_removing_space_info() from
      btrfs_free_block_groups()
    - btrfs: introduce btrfs_space_info sub-group
    - btrfs: fix memory leaks in create_space_info() error paths
    - selftests: drv-net: fix RPS mask handling for high CPU numbers
    - ASoC: tlv320adcx140: fix word length
    - textsearch: describe @list member in ts_ops search
    - mm, kfence: describe @slab parameter in __kfence_obj_info()
    - dmaengine: xilinx_dma: Fix uninitialized addr_width when
      "xlnx,addrwidth" property is missing
    - phy: fsl-imx8mq-usb: Clear the PCS_TX_SWING_FULL field before using it
    - phy: phy-snps-eusb2: refactor constructs names
    - phy: drop probe registration printks
    - phy: broadcom: ns-usb3: Fix Wvoid-pointer-to-enum-cast warning (again)
    - i2c: qcom-geni: make sure I2C hub controllers can't use SE DMA
    - HID: usbhid: paper over wrong bNumDescriptor field
    - scsi: core: Fix error handler encryption support
    - ALSA: pcm: Improve the fix for race of buffer access at PCM OSS layer
    - can: ctucanfd: fix SSP_SRC in cases when bit-rate is higher than 1 MBit.
    - x86/kaslr: Recognize all ZONE_DEVICE users as physaddr consumers
    - phy: rockchip: inno-usb2: fix communication disruption in gadget mode
    - phy: freescale: imx8m-pcie: assert phy reset during power on
    - phy: rockchip: inno-usb2: fix disconnection in gadget mode
    - phy: tegra: xusb: Explicitly configure HS_DISCON_LEVEL to 0x7
    - usb: dwc3: Check for USB4 IP_NAME
    - usb: core: add USB_QUIRK_NO_BOS for devices that hang on BOS descriptor
    - USB: OHCI/UHCI: Add soft dependencies on ehci_platform
    - USB: serial: option: add Telit LE910 MBIM composition
    - USB: serial: ftdi_sio: add support for PICAXE AXE027 cable
    - nvme-pci: disable secondary temp for Wodposit WPBSNM8
    - hrtimer: Fix softirq base check in update_needs_ipi()
    - EDAC/x38: Fix a resource leak in x38_probe1()
    - EDAC/i3200: Fix a resource leak in i3200_probe1()
    - tcpm: allow looking for role_sw device in the main node
    - x86/resctrl: Add missing resctrl initialization for Hygon
    - x86/resctrl: Fix memory bandwidth counter width for Hygon
    - mm/page_alloc: make percpu_pagelist_high_fraction reads lock-free
    - LoongArch: Fix PMU counter allocation for mixed-type event groups
    - drm/amd/display: Bump the HDMI clock to 340MHz
    - drm/amd: Clean up kfd node on surprise disconnect
    - drm/amdkfd: fix a memory leak in device_queue_manager_init()
    - drm/nouveau/disp/nv50-: Set lock_core in curs507a_prepare
    - drm/vmwgfx: Fix an error return check in vmw_compat_shader_add()
    - dmaengine: apple-admac: Add "apple,t8103-admac" compatible
    - dmaengine: sh: rz-dmac: Fix rz_dmac_terminate_all()
    - dmaengine: ti: dma-crossbar: fix device leak on dra7x route allocation
    - dmaengine: ti: k3-udma: fix device leak on udma lookup
    - io_uring: move local task_work in exit cancel loop
    - posix-clock: Store file pointer in struct posix_clock_context
    - ptp: Add PHC file mode checks. Allow RO adjtime() without FMODE_WRITE.
    - selftest/ptp: update ptp selftest to exercise the gettimex options
    - testptp: Add option to open PHC in readonly mode
    - arm64: dts: qcom: sc8280xp: Add missing VDD_MXC links
    - hyperv-tlfs: Change prefix of generic HV_REGISTER_* MSRs to HV_MSR_*
    - Drivers: hv: Always do Hyper-V panic notification in hv_kmsg_dump()
    - btrfs: fix missing fields in superblock backup with BLOCK_GROUP_TREE
    - dt-bindings: power: qcom,rpmpd: document the SM8750 RPMh Power Domains
    - dt-bindings: power: qcom,rpmpd: add Turbo L5 corner
    - dt-bindings: power: qcom-rpmpd: split RPMh domains definitions
    - dt-bindings: power: qcom,rpmpd: Add SC8280XP_MXC_AO
    - pmdomain: qcom: rpmhpd: Add MXC to SC8280XP
    - ata: libata: Add cpr_log to ata_dev_print_features() early return
    - ata: libata-core: Introduce ata_dev_config_lpm()
    - ata: libata: Call ata_dev_config_lpm() for ATAPI devices
    - ata: libata: Print features also for ATAPI devices
    - ice: initialize ring_stats->syncp
    - ice: Avoid detrimental cleanup for bond during interface stop
    - igc: fix race condition in TX timestamp read for register 0
    - net: usb: dm9601: remove broken SR9700 support
    - selftests: net: fib-onlink-tests: Convert to use namespaces by default
    - can: gs_usb: gs_usb_receive_bulk_callback(): unanchor URL on
      usb_submit_urb() error
    - amd-xgbe: avoid misleading per-packet error log
    - tools: ynl: Specify --no-line-number in ynl-regen.sh.
    - veth: fix data race in veth_get_ethtool_stats
    - octeontx2: cn10k: fix RX flowid TCAM mask handling
    - serial: 8250_pci: Fix broken RS485 for F81504/508/512
    - comedi: dmm32at: serialize use of paged registers
    - w1: fix redundant counter decrement in w1_attach_slave_device()
    - Revert "nfc/nci: Add the inconsistency check between the input data
      length and count"
    - Input: i8042 - add quirks for MECHREVO Wujie 15X Pro
    - Input: i8042 - add quirk for ASUS Zenbook UX425QA_UM425QA
    - scsi: storvsc: Process unsupported MODE_SENSE_10
    - arm64: dts: rockchip: remove dangerous max-link-speed from helios64
    - arm64: dts: rockchip: Fix voltage threshold for volume keys for
      Pinephone Pro
    - x86/kfence: avoid writing L1TF-vulnerable PTEs
    - comedi: Fix getting range information for subdevices 16 to 255
    - iio: adc: ad7280a: handle spi_setup() errors in probe()
    - kconfig: fix static linking of nconf
    - riscv: clocksource: Fix stimecmp update hazard on RV32
    - ALSA: usb: Increase volume range that triggers a warning
    - net: hns3: fix data race in hns3_fetch_stats
    - be2net: fix data race in be_get_new_eqd
    - net: hns3: fix wrong GENMASK() for HCLGE_FD_AD_COUNTER_NUM_M
    - net: hns3: fix the HCLGE_FD_AD_NXT_KEY error setting issue
    - usbnet: limit max_mtu based on device's hard_mtu
    - drm/amd/pm: Don't clear SI SMC table when setting power limit
    - drm/amd/pm: Workaround SI powertune issue on Radeon 430 (v2)
    - selftests: net: amt: wait longer for connection before sending packets
    - net: dsa: fix off-by-one in maximum bridge ID determination
    - octeontx2-af: Fix error handling
    - net: openvswitch: fix data race in ovs_vport_get_upcall_stats
    - vsock/test: fix seqpacket message bounds test
    - x86: make page fault handling disable interrupts properly
    - of: fix reference count leak in of_alias_scan()
    - of: platform: Use default match table for /firmware
    - iio: accel: iis328dq: fix gain values
    - iio: adc: ad9467: fix ad9434 vref mask
    - iio: chemical: scd4x: fix reported channel endianness
    - iio: dac: ad5686: add AD5695R to ad5686_chip_info_tbl
    - mmc: rtsx_pci_sdmmc: implement sdmmc_card_busy function
    - wifi: mwifiex: Fix a loop in mwifiex_update_ampdu_rxwinsize()
    - octeontx2: Fix otx2_dma_map_page() error return code
    - slimbus: core: fix runtime PM imbalance on report present
    - platform/x86: hp-bioscfg: Fix automatic module loading
    - perf/x86/intel: Do not enable BTS for guests
    - selftests/bpf: Check for timeout in perf_link test
    - mm/damon/sysfs-scheme: cleanup quotas subdirs on scheme dir setup
      failure
    - iio: core: add missing mutex_destroy in iio_dev_release()
    - iio: core: add separate lockdep class for info_exist_lock
    - mm/rmap: fix two comments related to huge_pmd_unshare()
    - arm64: dts: rockchip: remove redundant max-link-speed from nanopi-r4s
    - iio: adc: exynos_adc: fix OF populate on driver rebind
    - dmaengine: stm32: dmamux: fix OF node leak on route allocation failure
    - mm: kmsan: fix poisoning of high-order non-compound pages
    - phy: phy-rockchip-inno-usb2: Use dev_err_probe() in the probe path
    - ASoC: codecs: wsa881x: Drop unused version readout
    - ASoC: codecs: wsa881x: fix unnecessary initialisation
    - ASoC: codecs: wsa883x: fix unnecessary initialisation
    - nvme-fc: rename free_ctrl callback to match name pattern
    - nvme-pci: do not directly handle subsys reset fallout
    - nvme: fix PCIe subsystem reset controller state transition
    - net: phy: fix phy_uses_state_machine()
    - pnfs/blocklayout: Fix memory leak in bl_parse_scsi()
    - drm/vmwgfx: Merge vmw_bo_release and vmw_bo_free functions
    - ALSA: hda/cirrus_scodec_test: Fix incorrect setup of gpiochip
    - ASoC: sdw_utils: cs42l43: Enable Headphone pin for LINEOUT jack type
    - selftests/landlock: Fix TCP bind(AF_UNSPEC) test case
    - xfs: Fix the return value of xfs_rtcopy_summary()
    - phy: ti: gmii-sel: fix regmap leak on probe failure
    - LoongArch: dts: loongson-2k0500: Add default interrupt controller
      address cells
    - LoongArch: dts: loongson-2k1000: Add default interrupt controller
      address cells
    - LoongArch: dts: loongson-2k1000: Fix i2c-gpio node names
    - LoongArch: dts: loongson-2k2000: Add default interrupt controller
      address cells
    - HID: intel-ish-hid: Use dedicated unbound workqueues to prevent resume
      blocking
    - HID: intel-ish-hid: Fix -Wcast-function-type-strict in
      devm_ishtp_alloc_workqueue()
    - xfs: set max_agbno to allow sparse alloc of last full inode chunk
    - selftests/bpf: Test invalid narrower ctx load
    - mm/page_alloc/vmstat: simplify refresh_cpu_vm_stats change detection
    - mm/page_alloc: batch page freeing in decay_pcp_high
    - ata: libata-sata: Improve link_power_management_supported sysfs
      attribute
    - igc: Restore default Qbv schedule when changing channels
    - vsock/virtio: Coalesce only linear skb
    - platform/x86/amd: Fix memory leak in wbrf_record()
    - drm/imagination: Wait for FW trace update command completion
    - ice: Fix persistent failure in ice_get_rxfh
    - sched/fair: Fix pelt clock sync when entering idle
    - drm/nouveau: add missing DCB connector types
    - drm/nouveau: implement missing DCB connector types; gracefully handle
      unknown connectors
    - dpll: Prevent duplicate registrations
    - mei: trace: treat reg parameter as string
    - s390/ap: Fix wrong APQN fill calculation
    - net: sfp: add potron quirk to the H-COM SPP425H-GAB4 SFP+ Stick
    - gpio: cdev: Correct return code on memory allocation failure
    - dmaengine: ti: k3-udma: Enable second resource range for BCDMA and
      PKTDMA
    - exfat: fix refcount leak in exfat_find
    - accel/ivpu: Fix race condition when unbinding BOs
    - btrfs: fix racy bitfield write in btrfs_clear_space_info_full()
    - vsock/virtio: Move length check to callers of virtio_vsock_skb_rx_put()
    - vsock/virtio: Rename virtio_vsock_alloc_skb()
    - vsock/virtio: Move SKB allocation lower-bound check to callers
    - vsock/virtio: Rename virtio_vsock_skb_rx_put()
    - vhost/vsock: Allocate nonlinear SKBs for handling large receive buffers
    - vsock/virtio: Allocate nonlinear SKBs for handling large transmit
      buffers
    - net: Introduce skb_copy_datagram_from_iter_full()
    - vsock/virtio: Fix message iterator handling on transmit path
    - Upstream stable to v6.6.122, v6.12.67, v6.12.68
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-38591
    - bpf: Reject narrower access to pointer ctx fields
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23035
    - net/mlx5e: Pass netdev to mlx5e_destroy_netdev instead of priv
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-22996
    - net/mlx5e: Don't store mlx5e_priv in mlx5e_dev devlink priv
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23000
    - net/mlx5e: Fix crash on profile change rollback failure
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23053
    - NFS: Fix a deadlock involving nfs_release_folio()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23050
    - pNFS: Fix a deadlock when returning a delegation during open()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23005
    - x86/fpu: Clear XSTATE_BV[i] in guest XSAVE state whenever XFD[i]=1
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2024-58097
    - wifi: ath11k: fix RCU stall while reaping monitor destination ring
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-68365
    - fs/ntfs3: Initialize allocated memory before use
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-37926
    - ksmbd: fix use-after-free in ksmbd_session_rpc_open
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23030
    - phy: rockchip: inno-usb2: Fix a double free bug in
      rockchip_usb2phy_probe()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23025
    - mm/page_alloc: prevent pcp corruption with SMP=n
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71186
    - dmaengine: stm32: dmamux: fix device leak on route allocation
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23078
    - ALSA: scarlett2: Fix buffer overflow in config retrieval
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23142
    - mm/damon/sysfs-scheme: cleanup access_pattern subdirs on scheme dir
      setup failure
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23075
    - can: esd_usb: esd_usb_read_bulk_callback(): fix URB memory leak
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-68725
    - bpf: Do not let BPF test infra emit invalid GSO types to stack
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23097
    - migrate: correct lock ordering for hugetlb file folios
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23108
    - can: usb_8dev: usb_8dev_read_bulk_callback(): fix URB memory leak
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23080
    - can: mcba_usb: mcba_usb_read_bulk_callback(): fix URB memory leak
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23061
    - can: kvaser_usb: kvaser_usb_read_bulk_callback(): fix URB memory leak
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23058
    - can: ems_usb: ems_usb_read_bulk_callback(): fix URB memory leak
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23085
    - irqchip/gic-v3-its: Avoid truncating memory addresses
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23116
    - pmdomain: imx8m-blk-ctrl: Remove separate rst and clk mask for 8mq vpu
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23098
    - netrom: fix double-free in nr_route_frame()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23063
    - uacce: ensure safe queue release with state management
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23056
    - uacce: implement mremap in uacce_vm_ops to return -EPERM
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23094
    - uacce: fix isolate sysfs check condition
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23096
    - uacce: fix cdev handling in the cleanup path
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23091
    - intel_th: fix device leak on output open()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23088
    - tracing: Fix crash on synthetic stacktrace field usage
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23090
    - slimbus: core: fix device reference leak on report present
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23128
    - arm64: Set __nocfi on swsusp_arch_resume()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23107
    - arm64/fpsimd: signal: Allocate SSVE storage when restoring ZA
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23073
    - wifi: rsi: Fix memory corruption due to not set vif driver data size
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23135
    - wifi: ath12k: fix dma_free_coherent() pointer
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23133
    - wifi: ath10k: fix dma_free_coherent() pointer
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71200
    - mmc: sdhci-of-dwcmshc: Prevent illegal clock reduction in HS200/HS400
      mode
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23089
    - ALSA: usb-audio: Fix use-after-free in snd_usb_mixer_free()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23076
    - ALSA: ctxfi: Fix potential OOB access in audio mixer handling
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71199
    - iio: adc: at91-sama5d2_adc: Fix potential use-after-free in sama5d2_adc
      driver
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23101
    - leds: led-class: Only Add LED to leds_list when it is fully ready
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23064
    - net/sched: act_ife: avoid possible NULL deref
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23086
    - vsock/virtio: cap TX credit to local buffer size
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23069
    - vsock/virtio: fix potential underflow in virtio_transport_get_credit()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23119
    - bonding: provide a net pointer to __skb_flow_dissect()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23084
    - be2net: Fix NULL pointer dereference in be_cmd_get_mac_from_list
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23124
    - ipv6: annotate data-race in ndisc_router_discovery()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23121
    - mISDN: annotate data-race around dev->work
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23126
    - netdevsim: fix a race issue related to the operation on bpf_bound_progs
      list
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23059
    - scsi: qla2xxx: Sanitize payload size to prevent member overflow
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23110
    - scsi: core: Wake up the error handler when final completions race
      against each other
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23071
    - regmap: Fix race condition in hwspinlock irqsave routine
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23068
    - spi: spi-sprd-adi: Fix double free in probe error path
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23123
    - interconnect: debugfs: initialize src_node and dst_node to empty strings
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71198
    - iio: imu: st_lsm6dsx: fix iio_chan_spec for sensors without event
      detection
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23113
    - io_uring/io-wq: check IO_WQ_BIT_EXIT inside work run loop
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23062
    - platform/x86: hp-bioscfg: Fix kernel panic in GET_INSTANCE_ID macro
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23131
    - platform/x86: hp-bioscfg: Fix kobject warnings for empty attribute names
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23087
    - scsi: xen: scsiback: Fix potential memory leak in scsiback_remove()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71197
    - w1: therm: Fix off-by-one buffer overflow in alarms_store
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23105
    - net/sched: qfq: Use cl_is_active to determine whether class is active in
      qfq_rm_from_ag
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23103
    - ipvlan: Make the addrs_lock be per port
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23120
    - l2tp: avoid one data-race in l2tp_tunnel_del_work()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23083
    - fou: Don't allow 0 for FOU_ATTR_IPPROTO.
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23095
    - gue: Fix skb memleak with inner IP protocol 0.
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23125
    - sctp: move SCTP_CMD_ASSOC_SHKEY right after SCTP_CMD_PEER_INIT
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23099
    - bonding: limit BOND_MODE_8023AD to Ethernet devices
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71194
    - btrfs: fix deadlock in wait_current_trans() due to ignored transaction
      type
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71185
    - dmaengine: ti: dma-crossbar: fix device leak on am335x route allocation
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23026
    - dmaengine: qcom: gpi: Fix memory leak in gpi_peripheral_config()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71188
    - dmaengine: lpc18xx-dmamux: fix device leak on route allocation
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71163
    - dmaengine: idxd: fix device leaks on compat bind and unbind
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71189
    - dmaengine: dw: dmamux: fix OF node leak on route allocation failure
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71190
    - dmaengine: bcm-sba-raid: fix device leak on probe
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71191
    - dmaengine: at_hdmac: fix device leak on of_dma_xlate()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23049
    - drm/panel-simple: fix connector type for DataImage SCF0700C48GGU18 panel
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23144
    - mm/damon/sysfs: cleanup attrs subdirs on context dir setup failure
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23145
    - ext4: fix iloc.bh leak in ext4_xattr_inode_update_ref
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-22997
    - net: can: j1939: j1939_xtp_rx_rts_session_active(): deactivate session
      upon receiving the second rts
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23031
    - can: gs_usb: gs_usb_receive_bulk_callback(): fix URB memory leak
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23032
    - null_blk: fix kmemleak by releasing references to fault configfs items
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23033
    - dmaengine: omap-dma: fix dma_pool resource leak in error paths
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71196
    - phy: stm32-usphyc: Fix off by one in probe()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71193
    - phy: qcom-qusb2: Fix NULL pointer dereference on early suspend
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71162
    - dmaengine: tegra-adma: Fix use-after-free
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2025-71195
    - dmaengine: xilinx: xdma: Fix regmap max_register
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23006
    - ASoC: tlv320adcx140: fix null pointer
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-22999
    - net/sched: sch_qfq: do not free existing class in qfq_change_class()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23010
    - ipv6: Fix use-after-free in inet6_addr_del().
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23054
    - net: hv_netvsc: reject RSS hash key programming without RX indirection
      table
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23011
    - ipv4: ip_gre: make ipgre_header() robust
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23001
    - macvlan: fix possible UAF in macvlan_forward_source()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23003
    - ip6_tunnel: use skb_vlan_inet_prepare() in __ip6_tnl_rcv()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23141
    - btrfs: send: check for inline extents in range_is_hole_in_parent()
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-22998
    - nvme-tcp: fix NULL pointer dereferences in nvmet_tcp_build_pdu_iovec
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23037
    - can: etas_es58x: allow partial RX URB allocation to succeed
  * Noble update: upstream stable patchset 2026-03-26 (LP: #2146465) //
    CVE-2026-23038
    - pnfs/flexfiles: Fix memory leak in nfs4_ff_alloc_deviceid_node()
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058)
    - NFSD: Fix permission check for read access to executable-only files
    - atm: Fix dma_free_coherent() size
    - mei: me: add nova lake point S DID
    - lib/crypto: aes: Fix missing MMU protection for AES S-box
    - counter: 104-quad-8: Fix incorrect return value in IRQ handler
    - drm/pl111: Fix error handling in pl111_amba_probe
    - drm/radeon: Remove __counted_by from ClockInfoArray.clockInfo[]
    - gpio: rockchip: mark the GPIO controller as sleeping
    - pinctrl: qcom: lpass-lpi: mark the GPIO controller as sleeping
    - net: Add locking to protect skb->dev access in ip_output
    - nfsd: Fix a regression in nfsd_setattr()
    - nfsd: Fix NFSv3 atomicity bugs in nfsd_setattr()
    - nfsd: set security label during create operations
    - csky: fix csky_cmpxchg_fixup not working
    - ARM: 9461/1: Disable HIGHPTE on PREEMPT_RT kernels
    - alpha: don't reference obsolete termio struct for TC* constants
    - dm-snapshot: fix 'scheduling while atomic' on real-time kernels
    - NFSv4: ensure the open stateid seqid doesn't go backwards
    - NFS: Fix up the automount fs_context to use the correct cred
    - smb/client: fix NT_STATUS_UNABLE_TO_FREE_VM value
    - smb/client: fix NT_STATUS_DEVICE_DOOR_OPEN value
    - smb/client: fix NT_STATUS_NO_DATA_DETECTED value
    - scsi: ipr: Enable/disable IRQD_NO_BALANCING during reset
    - scsi: ufs: core: Fix EH failure after W-LUN resume error
    - scsi: Revert "scsi: libsas: Fix exp-attached device scan after probe
      failure scanned in again after probe failed"
    - arm64: dts: add off-on-delay-us for usdhc2 regulator
    - ARM: dts: imx6q-ba16: fix RTC interrupt level
    - arm64: dts: imx8mp: Fix LAN8740Ai PHY reference clock on DH electronics
      i.MX8M Plus DHCOM
    - netfilter: nft_synproxy: avoid possible data-race on update operation
    - gpio: pca953x: Add support for level-triggered interrupts
    - gpio: pca953x: handle short interrupt pulses on PCAL devices
    - netfilter: nf_tables: fix memory leak in nf_tables_newrule()
    - bridge: fix C-VLAN preservation in 802.1ad vlan_tunnel egress
    - inet: ping: Fix icmp out counting
    - netdev: preserve NETIF_F_ALL_FOR_ALL across TSO updates
    - net/mlx5e: Don't print error message due to invalid module
    - net: wwan: iosm: Fix memory leak in ipc_mux_deinit()
    - bnxt_en: Fix potential data corruption with HW GRO/LRO
    - net: enetc: fix build warning when PAGE_SIZE is greater than 128K
    - arp: do not assume dev_hard_header() does not change skb->head
    - ALSA: ac97bus: Use guard() for mutex locks
    - NFS: trace: show TIMEDOUT instead of 0x6e
    - nfs_common: factor out nfs_errtbl and nfs_stat_to_errno
    - NFSD: Remove NFSERR_EAGAIN
    - bpf: Fix an issue in bpf_prog_test_run_xdp when page size greater than
      4K
    - bpf: Make variables in bpf_prog_test_run_xdp less confusing
    - bpf: Support specifying linear xdp packet data size for
      BPF_PROG_TEST_RUN
    - powercap: fix race condition in register_control_type()
    - powercap: fix sscanf() error return value handling
    - ALSA: usb-audio: Update for native DSD support quirks
    - ASoC: amd: yc: Add quirk for Honor MagicBook X16 2025
    - ASoC: fsl_sai: Add missing registers to cache default
    - scsi: sg: Fix occasional bogus elapsed time that exceeds timeout
    - bpf: test_run: Fix ctx leak in bpf_prog_test_run_xdp error path
    - ASoC: rockchip: Fix Wvoid-pointer-to-enum-cast warning (again)
    - btrfs: tracepoints: use btrfs_root_id() to get the id of a root
    - crypto: qat - fix duplicate restarting msg during AER error
    - netfilter: nft_set_pipapo: fix range overlap detection
    - vsock: Make accept()ed sockets use custom setsockopt()
    - btrfs: only enforce free space tree if v1 cache is required for bs < ps
      cases
    - riscv: pgtable: Cleanup useless VA_USER_XXX definitions
    - idpf: keep the netdev when a reset fails
    - net: sfp: extend Potron XGSPON quirk to cover additional EEPROM variant
    - ata: libata-core: Disable LPM on ST2000DM008-2FR102
    - drm/amd/display: Fix DP no audio issue
    - ALSA: hda/realtek: enable woofer speakers on Medion NM14LNL
    - spi: cadence-quadspi: Prevent lost complete() call during indirect read
    - ALSA: hda: intel-dsp-config: Prefer legacy driver as fallback
    - Upstream stable to v6.6.121, v6.12.66
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2025-71184
    - btrfs: fix NULL dereference on root when tracing inode eviction
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2025-71182
    - can: j1939: make j1939_session_activate() fail if device is no longer
      registered
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2025-71160
    - netfilter: nf_tables: avoid chain re-validation if possible
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22994
    - bpf: Fix reference count leak in bpf_prog_test_run_xdp()
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-23140
    - bpf, test_run: Subtract size of xdp_frame from allowed metadata size
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2025-71192
    - ALSA: ac97: fix a double free in snd_ac97_controller_register()
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-23021
    - net: usb: pegasus: fix memory leak in update_eth_regs_async()
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22976
    - net/sched: sch_qfq: Fix NULL deref when deactivating inactive aggregate
      in qfq_reset
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22979
    - net: fix memory leak in skb_segment_list for GRO packets
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22977
    - net: sock: fix hardened usercopy panic in sock_recv_errqueue
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22982
    - net: mscc: ocelot: Fix crash when adding interface under a lag
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-23019
    - net: marvell: prestera: fix NULL dereference on devlink_alloc() failure
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-23139
    - netfilter: nf_conncount: update last_gc only when GC has been performed
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2025-40149
    - tls: Use __sk_dst_get() and dst_dev_rcu() in get_netdev_for_sock().
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2025-68803
    - NFSD: NFSv4 file creation neglects setting ACL
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-23047
    - libceph: make calc_target() set t->paused, not just clear it
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-23136
    - libceph: reset sparse-read state in osd_fault()
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22992
    - libceph: return the handler error from mon_handle_auth_done()
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22991
    - libceph: make free_choose_arg_map() resilient to partial allocation
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22990
    - libceph: replace overzealous BUG_ON in osdmap_apply_incremental()
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22984
    - libceph: prevent potential out-of-bounds reads in handle_auth_done()
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22978
    - wifi: avoid kernel-infoleak from struct iw_point
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2025-71180
    - counter: interrupt-cnt: Drop IRQF_NO_THREAD flag
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2025-71183
    - btrfs: always detect conflicting inodes when logging inode refs
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-23020
    - net: 3com: 3c59x: fix possible null dereference in vortex_probe1()
  * Noble update: upstream stable patchset 2026-03-12 (LP: #2144058) //
    CVE-2026-22980
    - nfsd: provide locking for v4_end_grace
  * CVE-2024-50004
    - drm/amd/display: update DML2 policy
      EnhancedPrefetchScheduleAccelerationFinal DCN35
  * CVE-2026-23274
    - netfilter: xt_IDLETIMER: reject rev0 reuse of ALARM timer labels
  * CVE-2026-23351
    - netfilter: nft_set_pipapo: split gc into unlink and reclaim phase
  * CVE-2026-23231
    - netfilter: nf_tables: fix use-after-free in nf_tables_addchain()
  * macvlan: observe an RCU grace period in macvlan_common_newlink() error
    path (LP: #2144380) // CVE-2026-23209
    - macvlan: observe an RCU grace period in macvlan_common_newlink() error
      path
  * CVE-2026-23112
    - nvmet-tcp: add bounds checks in nvmet_tcp_build_pdu_iovec

 -- Jacob Martin <jacob.martin@canonical.com>  Wed, 29 Apr 2026 16:54:52 -0500

linux-nvidia (6.8.0-1052.55) noble; urgency=medium

  * noble/linux-nvidia: 6.8.0-1052.55 -proposed tracker (LP: #2147872)

  [ Ubuntu: 6.8.0-111.111 ]

  * noble/linux: 6.8.0-111.111 -proposed tracker (LP: #2147890)
  * CVE-2026-23231
    - netfilter: nf_tables: fix use-after-free in nf_tables_addchain()
  * macvlan: observe an RCU grace period in macvlan_common_newlink() error
    path (LP: #2144380) // CVE-2026-23209
    - macvlan: observe an RCU grace period in macvlan_common_newlink() error
      path
  * CVE-2026-23112
    - nvmet-tcp: add bounds checks in nvmet_tcp_build_pdu_iovec

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 16 Apr 2026 14:15:19 -0500

linux-nvidia (6.8.0-1051.54) noble; urgency=medium

  * noble/linux-nvidia: 6.8.0-1051.54 -proposed tracker (LP: #2143460)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.nvidia/dkms-versions -- update from kernel-versions
      (main/2026.03.09)

  * linux-nvidia-6.8: Avoid arm_smmu_update_ctx_desc_devices() WARNINGs in
    IOMMU groups with mixed PASID Support (LP: #2144814)
    - NVIDIA: SAUCE: iommu/arm-smmu-v3: Skip non-PASID devices in SVA context
      descriptor updates

  * Backport arm64: contpte: fix set_access_flags() no-op check for SMMU/ATS
    faults (LP: #2143602)
    - arm64: contpte: fix set_access_flags() no-op check for SMMU/ATS faults

  [ Ubuntu: 6.8.0-110.110 ]

  * noble/linux: 6.8.0-110.110 -proposed tracker (LP: #2144887)
  * ITS mitigation is not enabled on affected CPUs (LP: #2144730)
    - x86/bugs: Rename CONFIG_RETPOLINE => CONFIG_MITIGATION_RETPOLINE
    - x86/bugs: Rename CONFIG_RETHUNK => CONFIG_MITIGATION_RETHUNK
    - [Config] rename config options RETHUNK and RETPOLINE

  [ Ubuntu: 6.8.0-108.108 ]

  * noble/linux: 6.8.0-108.108 -proposed tracker (LP: #2143478)
  * linux-riscv-6.8 is FTBFS because of missing patches (LP: #2142235)
    - riscv, bpf: Unify 32-bit sign-extension to emit_sextw
    - riscv, bpf: Unify 32-bit zero-extension to emit_zextw
    - riscv, bpf: Simplify sext and zext logics in branch instructions
    - riscv, bpf: Add necessary Zbb instructions
    - riscv, bpf: Optimize sign-extention mov insns with Zbb support
    - riscv, bpf: Optimize bswap insns with Zbb support
  * ADT test for linux package failed with "fatal: unable to connect to
    git.launchpad.net" (LP: #2143033)
    - [Packaging] d/t/ubuntu-regression-suite: use https to clone
  * Coresight fails to build on 6.8.0-102 due to missing function and arg
    definitions (LP: #2142337)
    - SAUCE: Revert "coresight: catu: Support atclk"
    - SAUCE: Revert "coresight: catu: Move ACPI support from AMBA driver to
      platform driver"
    - SAUCE: Revert "coresight: tmc: Support atclk"
    - SAUCE: Revert "coresight: tmc: Move ACPI support from AMBA driver to
      platform driver"
    - SAUCE: Revert "Coresight: Set correct cs_mode for TPDM to fix disable
      issue"
    - SAUCE: Revert "Coresight: Set correct cs_mode for dummy source to fix
      disable issue"
  * efi: Fix swapped arguments to bsearch() in efi_status_to_*() SAUCE patch
    (LP: #2141276)
    - SAUCE efi: Fix swapped arguments to bsearch() in efi_status_to_*()
  * Fix conntrack use after free when ovs hardware offload is enabled
    (LP: #2139322)
    - netfilter: conntrack: remove skb argument from nf_ct_refresh
    - netfilter: conntrack: rework offload nf_conn timeout extension logic
    - netfilter: conntrack: fix erronous removal of offload bit
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789)
    - xhci: fix stale flag preventig URBs after link state error is cleared
    - Revert "xfrm: destroy xfrm_state synchronously on net exit path"
    - xfrm: flush all states in xfrm_state_fini
    - leds: spi-byte: Use devm_led_classdev_register_ext()
    - Documentation: process: Also mention Sasha Levin as stable tree
      maintainer
    - USB: serial: option: add Foxconn T99W760
    - USB: serial: option: add Telit Cinterion FE910C04 new compositions
    - USB: serial: option: move Telit 0x10c7 composition in the right place
    - USB: serial: ftdi_sio: match on interface number for jtag
    - serial: add support of CPCI cards
    - USB: serial: belkin_sa: fix TIOCMBIS and TIOCMBIC
    - USB: serial: kobil_sct: fix TIOCMBIS and TIOCMBIC
    - ftrace: bpf: Fix IPMODIFY + DIRECT in modify_ftrace_direct()
    - spi: xilinx: increase number of retries before declaring stall
    - spi: imx: keep dma request disabled before dma transfer setup
    - drm/vmwgfx: Use kref in vmw_bo_dirty
    - Bluetooth: btrtl: Avoid loading the config file on security chips
    - smb: fix invalid username check in smb3_fs_context_parse_param()
    - ALSA: usb-audio: Add native DSD quirks for PureAudio DAC series
    - HID: hid-input: Extend Elan ignore battery quirk to USB
    - pinctrl: qcom: msm: Fix deadlock in pinmux configuration
    - platform/x86: acer-wmi: Ignore backlight event
    - HID: apple: Add SONiX AK870 PRO to non_apple_keyboards quirk list
    - platform/x86: huawei-wmi: add keys for HONOR models
    - platform/x86/amd: pmc: Add Lenovo Legion Go 2 to pmc quirk list
    - platform/x86/amd/pmc: Add spurious_8042 to Xbox Ally
    - HID: elecom: Add support for ELECOM M-XT3URBK (018F)
    - LoongArch: Mask all interrupts during kexec/kdump
    - samples: work around glibc redefining some of our defines wrong
    - wifi: rtw88: Add USB ID 2001:3329 for D-Link AC13U rev. A1
    - drm/panel: visionox-rm69299: Don't clear all mode flags
    - USB: Fix descriptor count when handling invalid MBIM extended descriptor
    - clk: renesas: cpg-mssr: Add missing 1ms delay into reset toggle callback
    - clk: renesas: Use str_on_off() helper
    - clk: renesas: Pass sub struct of cpg_mssr_priv to cpg_clk_register
    - clk: renesas: cpg-mssr: Read back reset registers to assure values
      latched
    - HID: logitech-hidpp: Do not assume FAP in hidpp_send_message_sync()
    - objtool: Fix standalone --hacks=jump_label
    - objtool: Fix weak symbol detection
    - sched/fair: Forfeit vruntime on yield
    - irqchip/irq-bcm7038-l1: Fix section mismatch
    - irqchip/irq-bcm7120-l2: Fix section mismatch
    - irqchip/irq-brcmstb-l2: Fix section mismatch
    - irqchip/imx-mu-msi: Fix section mismatch
    - irqchip/qcom-irq-combiner: Fix section mismatch
    - crypto: authenc - Correctly pass EINPROGRESS back up to the caller
    - rculist: Add hlist_nulls_replace_rcu() and
      hlist_nulls_replace_init_rcu()
    - inet: Avoid ehash lookup race in inet_ehash_insert()
    - iio: imu: st_lsm6dsx: Fix measurement unit for odr struct member
    - arm64: dts: freescale: imx8mp-venice-gw7905-2x: remove duplicate usdhc1
      props
    - arm64: dts: imx8mm-venice-gw72xx: remove unused sdhc1 pinctrl
    - arm64: dts: imx8mp-venice-gw702x: remove off-board uart
    - arm64: dts: imx8mp-venice-gw702x: remove off-board sdhc1
    - PCI: rcar-gen2: Drop ARM dependency from PCI_RCAR_GEN2
    - uio: uio_fsl_elbc_gpcm:: Add null pointer check to
      uio_fsl_elbc_gpcm_probe
    - clk: qcom: camcc-sm6350: Specify Titan GDSC power domain as a parent to
      other
    - clk: qcom: camcc-sm6350: Fix PLL config of PLL2
    - crypto: hisilicon/qm - restore original qos values
    - s390/smp: Fix fallback CPU detection
    - s390/ap: Don't leak debug feature files if AP instructions are not
      available
    - arm64: dts: ti: k3-am62p: Fix memory ranges for GPU
    - firmware: imx: scu-irq: fix OF node leak in
    - arm64: dts: qcom: sdm845-oneplus: Correct gpio used for slider
    - phy: mscc: Fix PTP for VSC8574 and VSC8572
    - sctp: Defer SCTP_DBG_OBJCNT_DEC() to sctp_destroy_sock().
    - ARM: dts: renesas: gose: Remove superfluous port property
    - ARM: dts: renesas: r9a06g032-rzn1d400-db: Drop invalid #cells properties
    - Revert "mtd: rawnand: marvell: fix layouts"
    - mtd: nand: relax ECC parameter validation check
    - mtd: rawnand: lpc32xx_slc: fix GPIO descriptor leak on probe error and
      remove
    - task_work: Fix NMI race condition
    - x86/dumpstack: Prevent KASAN false positive warnings in __show_regs()
    - tools/nolibc/stdio: let perror work when NOLIBC_IGNORE_ERRNO is set
    - soc: qcom: smem: fix hwspinlock resource leak in probe error paths
    - pinctrl: stm32: fix hwspinlock resource leak in probe function
    - i3c: fix refcount inconsistency in i3c_master_register
    - i3c: master: svc: Prevent incomplete IBI transaction
    - interconnect: qcom: msm8996: add missing link to SLAVE_USB_HS
    - arm64: dts: qcom: msm8996: add interconnect paths to USB2 controller
    - interconnect: debugfs: Fix incorrect error handling for NULL path
    - perf lock contention: Load kernel map before lookup
    - perf record: skip synthesize event when open evsel failed
    - power: supply: cw2015: Check devm_delayed_work_autocancel() return code
    - power: supply: rt9467: Return error on failure in
      rt9467_set_value_from_ranges()
    - power: supply: rt9467: Prevent using uninitialized local variable in
      rt9467_set_value_from_ranges()
    - power: supply: wm831x: Check wm831x_set_bits() return value
    - power: supply: apm_power: only unset own apm_get_power_status
    - scsi: target: Do not write NUL characters into ASCII configfs output
    - fs/9p: Don't open remote file with APPEND mode when writeback cache is
      used
    - ARM: dts: am335x-netcom-plus-2xx: add missing GPIO labels
    - ARM: dts: omap3: beagle-xm: Correct obsolete TWL4030 power compatible
    - ARM: dts: omap3: n900: Correct obsolete TWL4030 power compatible
    - x86/boot: Fix page table access in 5-level to 4-level paging transition
    - efi/libstub: Fix page table access in 5-level to 4-level paging
      transition
    - mfd: da9055: Fix missing regmap_del_irq_chip() in error path
    - ext4: correct the checking of quota files before moving extents
    - perf/x86/intel: Correct large PEBS flag check
    - regulator: core: disable supply if enabling main regulator fails
    - scsi: stex: Fix reboot_notifier leak in probe error path
    - staging: most: i2c: Drop explicit initialization of struct
      i2c_device_id::driver_data to 0
    - [Config] remove MOST_I2C driver
    - dt-bindings: PCI: amlogic: Fix the register name of the DBI region
    - RDMA/rtrs: server: Fix error handling in get_or_create_srv
    - ARM: dts: stm32: stm32mp157c-phycore: Fix STMPE811 touchscreen node
      properties
    - ntfs3: init run lock for extend inode
    - scsi: ufs: core: fix incorrect buffer duplication in
      ufshcd_read_string_desc()
    - cpufreq/amd-pstate: Call cppc_set_auto_sel() only for online CPUs
    - powerpc/32: Fix unpaired stwcx. on interrupt exit
    - wifi: cw1200: Fix potential memory leak in cw1200_bh_rx_helper()
    - coresight: etm4x: Correct polling IDLE bit
    - coresight: etm4x: Extract the trace unit controlling
    - coresight: etm4x: Add context synchronization before enabling trace
    - clk: renesas: r9a06g032: Fix memory leak in error path
    - lib/vsprintf: Check pointer before dereferencing in time_and_date()
    - ACPI: property: Fix fwnode refcount leak in
      acpi_fwnode_graph_parse_endpoint()
    - scsi: sim710: Fix resource leak by adding missing ioport_unmap() calls
    - leds: netxbig: Fix GPIO descriptor leak in error paths
    - PCI: keystone: Exit ks_pcie_probe() for invalid mode
    - arm64: dts: rockchip: Move the EEPROM to correct I2C bus on Radxa ROCK
      5A
    - arm64: dts: rockchip: Add eeprom vcc-supply for Radxa ROCK 5A
    - ps3disk: use memcpy_{from,to}_bvec index
    - bpf: Handle return value of ftrace_set_filter_ip in register_fentry
    - selftests/bpf: Fix failure paths in send_signal test
    - watchdog: wdat_wdt: Fix ACPI table leak in probe function
    - watchdog: starfive: Fix resource leak in probe error path
    - tracefs: fix a leak in eventfs_create_events_dir()
    - NFSD/blocklayout: Fix minlength check in proc_layoutget
    - drm/msm/a2xx: stop over-complaining about the legacy firmware
    - bpf: Improve program stats run-time calculation
    - powerpc/64s/hash: Restrict stress_hpt_struct memblock region to within
      RMA limit
    - powerpc/64s/ptdump: Fix kernel_hash_pagetable dump for ISA v3.00 HPTE
      format
    - fs/ntfs3: out1 also needs to put mi
    - fs/ntfs3: Prevent memory leaks in add sub record
    - drm/mediatek: Fix CCORR mtk_ctm_s31_32_to_s1_n function issue
    - net/ipv6: Remove expired routes with a separated list of routes.
    - ipv6: clear RA flags when adding a static route
    - perf arm-spe: Extend branch operations
    - perf arm_spe: Fix memset subclass in operation
    - pwm: bcm2835: Make sure the channel is enabled after pwm_request()
    - wifi: mac80211: fix CMAC functions not handling errors
    - mfd: mt6397-irq: Fix missing irq_domain_remove() in error path
    - mfd: mt6358-irq: Fix missing irq_domain_remove() in error path
    - phy: renesas: rcar-gen3-usb2: Fix an error handling path in
      rcar_gen3_phy_usb2_probe()
    - net: phy: adin1100: Fix software power-down ready condition
    - cpuset: Treat cpusets in attaching as populated
    - usb: chaoskey: fix locking for O_NONBLOCK
    - usb: dwc2: disable platform lowlevel hw resources during shutdown
    - usb: dwc2: fix hang during shutdown if set as peripheral
    - usb: dwc2: fix hang during suspend if set as peripheral
    - usb: raw-gadget: cap raw_io transfer length to KMALLOC_MAX_SIZE
    - selftests/bpf: skip test_perf_branches_hw() on unsupported platforms
    - selftests/bpf: Improve reliability of test_perf_branches_no_hw()
    - crypto: ccree - Correctly handle return of sg_nents_for_len
    - RISC-V: KVM: Fix guest page fault within HLV* instructions
    - RDMA/bnxt_re: Fix the inline size for GenP7 devices
    - firmware: stratix10-svc: fix make htmldocs warning for stratix10_svc
    - staging: fbtft: core: fix potential memory leak in fbtft_probe_common()
    - btrfs: fix leaf leak in an error path in btrfs_del_items()
    - PCI: dwc: Fix wrong PORT_LOGIC_LTSSM_STATE_MASK definition
    - drm/nouveau: restrict the flush page to a 32-bit address
    - iomap: factor out a iomap_dio_done helper
    - iomap: always run error completions in user context
    - wifi: ieee80211: correct FILS status codes
    - backlight: lp855x: Fix lp855x.h kernel-doc warnings
    - iommu/arm-smmu-qcom: Enable use of all SMR groups when running bare-
      metal
    - RDMA/irdma: Fix data race in irdma_sc_ccq_arm
    - RDMA/irdma: Fix data race in irdma_free_pble
    - RDMA/irdma: Do not directly rely on IB_PD_UNSAFE_GLOBAL_RKEY
    - ASoC: fsl_xcvr: clear the channel status control memory
    - drm/amd/display: Fix logical vs bitwise bug in
      get_embedded_panel_info_v2_1()
    - hwmon: sy7636a: Fix regulator_enable resource leak on error path
    - ACPI: processor_core: fix map_x2apic_id for amd-pstate on am4
    - ublk: prevent invalid access with DEBUG
    - ext4: improve integrity checking in __mb_check_buddy by enhancing
      order-0 validation
    - virtio_vdpa: fix misleading return in void function
    - virtio: fix typo in virtio_device_ready() comment
    - virtio: fix whitespace in virtio_config_ops
    - virtio: fix virtqueue_set_affinity() docs
    - vdpa/pds: use %pe for ERR_PTR() in event handler registration
    - ASoC: Intel: catpt: Fix error path in hw_params()
    - ARM: dts: samsung: universal_c210: turn off SDIO WLAN chip during system
      suspend
    - ARM: dts: samsung: exynos4210-i9100: turn off SDIO WLAN chip during
      system suspend
    - ARM: dts: samsung: exynos4210-trats: turn off SDIO WLAN chip during
      system suspend
    - ARM: dts: samsung: exynos4412-midas: turn off SDIO WLAN chip during
      system suspend
    - resource: replace open coded resource_intersection()
    - resource: introduce is_type_match() helper and use it
    - Reinstate "resource: avoid unnecessary lookups in find_next_iomem_res()"
    - netfilter: flowtable: check for maximum number of encapsulations in
      bridge vlan
    - netfilter: nf_conncount: rework API to use sk_buff directly
    - netfilter: nft_connlimit: update the count if add was skipped
    - net: stmmac: fix rx limit check in stmmac_rx_zc()
    - mtd: rawnand: renesas: Handle devm_pm_runtime_enable() errors
    - selftests: bonding: add ipvlan over bond testing
    - selftests: bonding: add delay before each xvlan_over_bond connectivity
      check
    - mtd: lpddr_cmds: fix signed shifts in lpddr_cmds
    - remoteproc: qcom_q6v5_wcss: fix parsing of qcom,halt-regs
    - md/raid5: fix IO hang when array is broken with IO inflight
    - clk: keystone: fix compile testing
    - perf tools: Fix split kallsyms DSO counting
    - pinctrl: single: Fix PIN_CONFIG_BIAS_DISABLE handling
    - pinctrl: single: Fix incorrect type for error return variable
    - fbdev: ssd1307fb: fix potential page leak in ssd1307fb_probe()
    - 9p: fix cache/debug options printing in v9fs_show_options
    - NFS: Avoid changing nlink when file removes and attribute updates race
    - fs/nls: Fix utf16 to utf8 conversion
    - NFS: Initialise verifiers for visible dentries in readdir and lookup
    - NFS: Initialise verifiers for visible dentries in nfs_atomic_open()
    - Revert "nfs: ignore SB_RDONLY when remounting nfs"
    - Revert "nfs: clear SB_RDONLY before getting superblock"
    - Revert "nfs: ignore SB_RDONLY when mounting nfs"
    - Expand the type of nfs_fattr->valid
    - NFS: Fix inheritance of the block sizes when automounting
    - fs/nls: Fix inconsistency between utf8_to_utf32() and utf32_to_utf8()
    - platform/x86: asus-wmi: use brightness_set_blocking() for kbd led
    - ASoC: bcm: bcm63xx-pcm-whistler: Check return value of
      of_dma_configure()
    - ASoC: ak4458: Disable regulator when error happens
    - ASoC: ak5558: Disable regulator when error happens
    - blk-mq: Abort suspend when wakeup events are pending
    - block: fix comment for op_is_zone_mgmt() to include RESET_ALL
    - nvme-auth: use kvfree() for memory allocated with kvcalloc()
    - dma/pool: eliminate alloc_pages warning in atomic_pool_expand
    - ALSA: uapi: Fix typo in asound.h comment
    - rtc: gamecube: Check the return value of ioremap()
    - ARM: 9464/1: fix input-only operand modification in
      load_unaligned_zeropad()
    - dm-raid: fix possible NULL dereference with undefined raid type
    - dm log-writes: Add missing set_freezable() for freezable kthread
    - efi/cper: Add a new helper function to print bitmasks
    - efi/cper: Adjust infopfx size to accept an extra space
    - efi/cper: align ARM CPER type with UEFI 2.9A/2.10 specs
    - ocfs2: fix memory leak in ocfs2_merge_rec_left()
    - LoongArch: Add machine_kexec_mask_interrupts() implementation
    - net: lan743x: Allocate rings outside ZONE_DMA
    - usb: gadget: tegra-xudc: Always reinitialize data toggle when clear halt
    - usb: phy: Initialize struct usb_phy list_head
    - ipv6: add exception routes to GC list in rt6_insert_exception
    - btrfs: do not skip logging new dentries when logging a new name
    - btrfs: fix a potential path leak in print_data_reloc_error()
    - bpf, arm64: Do not audit capability check in do_jit()
    - btrfs: fix memory leak of fs_devices in degraded seed device path
    - iomap: account for unaligned end offsets when truncating read range
    - sched/fair: Revert max_newidle_lb_cost bump
    - x86/ptrace: Always inline trivial accessors
    - ACPI: property: Use ACPI functions in acpi_graph_get_next_endpoint()
      only
    - cpufreq: dt-platdev: Add JH7110S SOC to the allowlist
    - cpufreq: s5pv210: fix refcount leak
    - cpuidle: menu: Use residency threshold in polling state override
      decisions
    - livepatch: Match old_sympos 0 and 1 in klp_find_func()
    - fs/ntfs3: Support timestamps prior to epoch
    - kbuild: Use objtree for module signing key path
    - hfsplus: fix volume corruption issue for generic/070
    - hfsplus: fix volume corruption issue for generic/073
    - wifi: brcmfmac: Add DMI nvram filename quirk for Acer A1 840 tablet
    - btrfs: scrub: always update btrfs_scrub_progress::last_physical
    - gfs2: fix remote evict for read-only filesystems
    - smb/server: fix return value of smb2_ioctl()
    - ksmbd: use rwsem instead of rwlock for lease break
    - Bluetooth: btusb: Add new VID/PID 2b89/6275 for RTL8761BUV
    - Bluetooth: btusb: Add new VID/PID 13d3/3533 for RTL8821CE
    - net: fec: ERR007885 Workaround for XDP TX path
    - ipvlan: Ignore PACKET_LOOPBACK in handle_mode_l2()
    - mlxsw: spectrum_router: Fix possible neighbour reference count leak
    - broadcom: b44: prevent uninitialized value usage
    - netfilter: nf_conncount: fix leaked ct in error paths
    - nfc: pn533: Fix error code in pn533_acr122_poweron_rdr()
    - netfilter: nf_tables: pass context structure to nft_parse_register_load
    - netfilter: nf_tables: allow loads only when register is initialized
    - netfilter: nf_tables: remove redundant chain validation on register
      store
    - net/mlx5: fw reset, clear reset requested on drain_fw_reset
    - net/mlx5: Drain firmware reset in shutdown callback
    - net/mlx5: fw_tracer, Handle escaped percent properly
    - net/mlx5: Skip HotPlug check on sync reset using hot reset
    - net/mlx5: Serialize firmware reset with devlink
    - net: enetc: do not transmit redirected XDP frames when the link is down
    - net: hns3: using the num_tqps to check whether tqp_index is out of range
      when vf get ring info from mbx
    - hwmon: (tmp401) fix overflow caused by default conversion rate value
    - MIPS: Fix a reference leak bug in ip22_check_gio()
    - drm/panel: sony-td4353-jdi: Enable prepare_prev_first
    - x86/xen: Move Xen upcall handler
    - x86/xen: Fix sparse warning in enlighten_pv.c
    - spi: cadence-quadspi: Fix clock disable on probe failure path
    - block: rnbd-clt: Fix leaked ID in init_dev()
    - HID: input: map HID_GD_Z to ABS_DISTANCE for stylus/pen
    - Input: i8042 - add TUXEDO InfinityBook Max Gen10 AMD to i8042 quirk
      table
    - can: gs_usb: gs_can_open(): fix error handling
    - ACPI: PCC: Fix race condition by removing static qualifier
    - ACPI: CPPC: Fix missing PCC check for guaranteed_perf
    - mmc: sdhci-esdhc-imx: add alternate ARCH_S32 dependency to Kconfig
    - dt-bindings: mmc: sdhci-of-aspeed: Switch ref to sdhci-common.yaml
    - ALSA: vxpocket: Fix resource leak in vxpocket_probe error path
    - ALSA: pcmcia: Fix resource leak in snd_pdacf_probe error path
    - ipmi: Fix the race between __scan_channels() and deliver_response()
    - ipmi: Fix __scan_channels() failing to rescan channels
    - firmware: imx: scu-irq: Init workqueue before request mbox channel
    - ti-sysc: allow OMAP2 and OMAP4 timers to be reserved on AM33xx
    - clk: mvebu: cp110 add CLK_IGNORE_UNUSED to pcie_x10, pcie_x11 & pcie_x4
    - powerpc/addnote: Fix overflow on 32-bit builds
    - scsi: qla2xxx: Fix lost interrupts with qlini_mode=disabled
    - scsi: qla2xxx: Fix initiator mode with qlini_mode=exclusive
    - scsi: qla2xxx: Use reinit_completion on mbx_intr_comp
    - fuse: Always flush the page cache before FOPEN_DIRECT_IO write
    - fuse: Invalidate the page cache after FOPEN_DIRECT_IO write
    - reset: fix BIT macro reference
    - exfat: fix remount failure in different process environments
    - usbip: Fix locking bug in RT-enabled kernels
    - iio: adc: ti_am335x_adc: Limit step_avg to valid range for gcc complains
    - usb: xhci: limit run_graceperiod for only usb 3.0 devices
    - usb: usb-storage: No additional quirks need to be added to the EL-R12
      optical drive.
    - serial: sprd: Return -EPROBE_DEFER when uart clock is not ready
    - libperf cpumap: Fix perf_cpu_map__max for an empty/NULL map
    - i2c: designware: Disable SMBus interrupts to prevent storms from mis-
      configured firmware
    - nvme-fc: don't hold rport lock when putting ctrl
    - platform/x86/intel/hid: Add Dell Pro Rugged 10/12 tablet to VGBS DMI
      quirks
    - block: rnbd-clt: Fix signedness bug in init_dev()
    - vhost/vsock: improve RCU read sections around vhost_vsock_get()
    - mmc: sdhci-msm: Avoid early clock doubling during HS400 transition
    - lib/crypto: x86/blake2s: Fix 32-bit arg treated as 64-bit
    - s390/dasd: Fix gendisk parent after copy pair swap
    - block: rate-limit capacity change info log
    - floppy: fix for PAGE_SIZE != 4KB
    - kallsyms: Fix wrong "big" kernel symbol type read from procfs
    - fs/ntfs3: fix mount failure for sparse runs in run_unpack()
    - ktest.pl: Fix uninitialized var in config-bisect.pl
    - ext4: clear i_state_flags when alloc inode
    - ext4: fix incorrect group number assertion in mb_check_buddy
    - ext4: align max orphan file size with e2fsprogs limit
    - jbd2: use a per-journal lock_class_key for jbd2_trans_commit_key
    - jbd2: use a weaker annotation in journal handling
    - media: v4l2-mem2mem: Fix outdated documentation
    - mptcp: schedule rtx timer only after pushing data
    - usb: usb-storage: Maintain minimal modifications to the bcdDevice range.
    - media: pvrusb2: Fix incorrect variable used in trace message
    - phy: broadcom: bcm63xx-usbh: fix section mismatches
    - USB: lpc32xx_udc: Fix error handling in probe
    - usb: phy: isp1301: fix non-OF device reference imbalance
    - usb: dwc3: of-simple: fix clock resource leak in dwc3_of_simple_probe
    - usb: dwc3: keep susphy enabled during exit to avoid controller faults
    - usb: renesas_usbhs: Fix a resource leak in usbhs_pipe_malloc()
    - intel_th: Fix error handling in intel_th_output_open
    - cpuidle: governors: teo: Drop misguided target residency check
    - cpufreq: nforce2: fix reference count leak in nforce2
    - NFSD: use correct reservation type in nfsd4_scsi_fence_client
    - f2fs: fix age extent cache insertion skip on counter overflow
    - tools/testing/nvdimm: Use per-DIMM device handle
    - KVM: x86: Don't clear async #PF queue when CR0.PG is disabled (e.g. on
      #SMI)
    - KVM: x86: WARN if hrtimer callback for periodic APIC timer fires with
      period=0
    - KVM: x86: Explicitly set new periodic hrtimer expiration in
      apic_timer_fn()
    - KVM: nSVM: Avoid incorrect injection of SVM_EXIT_CR0_SEL_WRITE
    - KVM: SVM: Mark VMCB_NPT as dirty on nested VMRUN
    - KVM: nSVM: Propagate SVM_EXIT_CR0_SEL_WRITE correctly for LMSW emulation
    - KVM: SVM: Mark VMCB_PERM_MAP as dirty on nested VMRUN
    - KVM: nSVM: Set exit_code_hi to -1 when synthesizing SVM_EXIT_ERR (failed
      VMRUN)
    - KVM: nSVM: Clear exit_code_hi in VMCB when synthesizing nested VM-Exits
    - xfs: fix a memory leak in xfs_buf_item_init()
    - PM: runtime: Do not clear needs_force_resume with enabled runtime PM
    - r8169: fix RTL8117 Wake-on-Lan in DASH mode
    - nfsd: Mark variable __maybe_unused to avoid W=1 build break
    - svcrdma: return 0 on success from svc_rdma_copy_inline_range
    - s390/ipl: Clear SBP flag when bootprog is set
    - gpio: regmap: Fix memleak in error path in gpio_regmap_register()
    - drm/amd/display: Use GFP_ATOMIC in dc_create_plane_state()
    - selftests: openvswitch: Fix escape chars in regexp.
    - crypto: caam - Add check for kcalloc() in test_len()
    - amba: tegra-ahb: Fix device leak on SMMU enable
    - tracing: Fix fixed array of synthetic event
    - soc: qcom: ocmem: fix device leak on lookup
    - soc: amlogic: canvas: fix device leak on lookup
    - rpmsg: glink: fix rpmsg device leak
    - platform/x86: intel: chtwc_int33fe: don't dereference swnode args
    - i2c: amd-mp2: fix reference leak in MP2 PCI device
    - hwmon: (max16065) Use local variable to avoid TOCTOU
    - hwmon: (w83l786ng) Convert macros to functions to avoid TOCTOU
    - ARM: dts: microchip: sama5d2: fix spi flexcom fifo size to 32
    - wifi: rtw88: limit indirect IO under powered off for RTL8822CS
    - wifi: cfg80211: sme: store capped length in __cfg80211_connect_result()
    - wifi: mac80211: do not use old MBSSID elements
    - i40e: fix scheduling in set_rx_mode
    - net: mdio: aspeed: add dummy read to avoid read-after-write issue
    - net: openvswitch: Avoid needlessly taking the RTNL on vport destroy
    - platform/x86: msi-laptop: add missing sysfs_remove_group()
    - platform/x86: ibm_rtl: fix EBDA signature search pointer arithmetic
    - amd-xgbe: reset retries and mode on RX adapt failures
    - Revert "UBUNTU: SAUCE: selftests: net: fix "buffer overflow detected"
      for tap.c"
    - selftests: net: fix "buffer overflow detected" for tap.c
    - genalloc.h: fix htmldocs warning
    - firewire: nosy: Fix dma_free_coherent() size
    - net: dsa: b53: skip multicast entries for fdb_dump()
    - net: bridge: Describe @tunnel_hash member in net_bridge_vlan_group
      struct
    - RDMA/efa: Remove possible negative shift
    - RDMA/core: Fix logic error in ib_get_gids_from_rdma_hdr()
    - RDMA/bnxt_re: Fix incorrect BAR check in bnxt_qplib_map_creq_db()
    - RDMA/bnxt_re: Fix IB_SEND_IP_CSUM handling in post_send
    - RDMA/bnxt_re: Fix to use correct page size for PDE table
    - RDMA/rtrs: Fix clt_path::max_pages_per_mr calculation
    - RDMA/bnxt_re: fix dma_free_coherent() pointer
    - blk-mq: don't schedule block kworker on isolated CPUs
    - blk-mq: skip CPU offline notify on unmapped hctx
    - selftests/ftrace: traceonoff_triggers: strip off names
    - ntfs: Do not overwrite uptodate pages
    - ASoC: stm32: sai: fix device leak on probe
    - ASoC: stm32: sai: fix clk prepare imbalance on probe failure
    - ASoC: qcom: q6apm-dai: set flags to reflect correct operation of
      appl_ptr
    - ASoC: qcom: q6asm-dai: perform correct state check before closing
    - ASoC: qcom: q6adm: the the copp device only during last instance
    - ASoC: qcom: qdsp6: q6asm-dai: set 10 ms period and buffer alignment.
    - iommu/amd: Fix pci_segment memleak in alloc_pci_segment()
    - iommu/apple-dart: fix device leak on of_xlate()
    - iommu/exynos: fix device leak on of_xlate()
    - iommu/ipmmu-vmsa: fix device leak on of_xlate()
    - iommu/mediatek-v1: fix device leak on probe_device()
    - iommu/mediatek-v1: fix device leaks on probe()
    - iommu/mediatek: fix device leak on of_xlate()
    - iommu/omap: fix device leaks on probe_device()
    - iommu/qcom: fix device leak on of_xlate()
    - iommu/sun50i: fix device leak on of_xlate()
    - iommu/tegra: fix device leak on probe_device()
    - HID: logitech-dj: Remove duplicate error logging
    - PCI/PM: Reinstate clearing state_saved in legacy and !PM codepaths
    - SAUCE: Revert "arm64: dts: ti: k3-j721e-sk: Add DT nodes for power
      regulators"
    - arm64: dts: ti: k3-j721e-sk: Fix pinmux for pin Y1 used by power
      regulator
    - powerpc, mm: Fix mprotect on book3s 32-bit
    - leds: leds-lp50xx: Allow LED 0 to be added to module bank
    - leds: leds-lp50xx: LP5009 supports 3 modules for a total of 9 LEDs
    - leds: leds-lp50xx: Enable chip before any communication
    - mfd: altera-sysmgr: Fix device leak on sysmgr regmap lookup
    - mfd: max77620: Fix potential IRQ chip conflict when probing two devices
    - media: rc: st_rc: Fix reset control resource leak
    - parisc: entry.S: fix space adjustment on interruption for 64-bit
      userspace
    - parisc: entry: set W bit for !compat tasks in syscall_restore_rfi()
    - powerpc/pseries/cmm: call balloon_devinfo_init() also without
      CONFIG_BALLOON_COMPACTION
    - firmware: stratix10-svc: Add mutex in stratix10 memory management
    - dm-ebs: Mark full buffer dirty even on partial write
    - dm-bufio: align write boundary on physical block size
    - fbdev: gbefb: fix to use physical address instead of dma address
    - fbdev: pxafb: Fix multiple clamped values in pxafb_adjust_timing
    - fbdev: tcx.c fix mem_map to correct smem_start offset
    - media: cec: Fix debugfs leak on bus_register() failure
    - media: msp3400: Avoid possible out-of-bounds array accesses in
      msp3400c_thread()
    - media: renesas: rcar_drif: fix device node reference leak in
      rcar_drif_bond_enabled
    - media: samsung: exynos4-is: fix potential ABBA deadlock on init
    - media: TDA1997x: Remove redundant cancel_delayed_work in probe
    - media: verisilicon: Protect G2 HEVC decoder against invalid DPB index
    - media: videobuf2: Fix device reference leak in vb2_dc_alloc error path
    - media: vpif_capture: fix section mismatch
    - media: vpif_display: fix section mismatch
    - media: amphion: Cancel message work before releasing the VPU core
    - media: i2c: ADV7604: Remove redundant cancel_delayed_work in probe
    - media: i2c: adv7842: Remove redundant cancel_delayed_work in probe
    - media: mediatek: vcodec: Fix a reference leak in
      mtk_vcodec_fw_vpu_init()
    - LoongArch: Add new PCI ID for pci_fixup_vgadev()
    - LoongArch: Correct the calculation logic of thread_count
    - LoongArch: Fix build errors for CONFIG_RANDSTRUCT
    - LoongArch: Use __pmd()/__pte() for swap entry conversions
    - LoongArch: Use unsigned long for _end and _text
    - compiler_types.h: add "auto" as a macro for "__auto_type"
    - kasan: refactor pcpu kasan vmalloc unpoison
    - idr: fix idr_alloc() returning an ID out of range
    - tools/mm/page_owner_sort: fix timestamp comparison for stable sorting
    - samples/ftrace: Adjust LoongArch register restore order in direct calls
    - fjes: Add missing iounmap in fjes_hw_init()
    - LoongArch: BPF: Zero-extend bpf_tail_call() index
    - nfsd: Drop the client reference in client_states_open()
    - net: usb: sr9700: fix incorrect command used to write single register
    - net: macb: Relocate mog_init_rings() callback from macb_mac_link_up() to
      macb_open()
    - drm/amdgpu: add missing lock to amdgpu_ttm_access_memory_sdma
    - drm/msm/a6xx: Fix out of bound IO access in a6xx_get_gmu_registers
    - drm/gma500: Remove unused helper psb_fbdev_fb_setcolreg()
    - drm/mediatek: Fix device node reference leak in mtk_dp_dt_parse()
    - drm/mgag200: Fix big-endian support
    - drm/nouveau/dispnv50: Don't call drm_atomic_get_crtc_state() in
      prepare_fb
    - blk-mq: add helper for checking if one CPU is mapped to specified hctx
    - mptcp: Initialise rcv_mss before calling tcp_send_active_reset() in
      mptcp_do_fastclose().
    - ALSA: wavefront: Use standard print API
    - ALSA: wavefront: Use guard() for spin locks
    - ALSA: wavefront: Clear substream pointers on close
    - ext4: fix string copying in parse_apply_sb_mount_options()
    - jbd2: fix the inconsistency between checksum and data in memory for
      journal sb
    - btrfs: don't rewrite ret from inode_permission
    - mm/ksm: fix exec/fork inheritance support for prctl
    - usb: ohci-nxp: Use helper function devm_clk_get_enabled()
    - usb: ohci-nxp: fix device leak on probe failure
    - scsi: ufs: core: Add ufshcd_update_evt_hist() for UFS suspend error
    - f2fs: use f2fs_err_ratelimited() to avoid redundant logs
    - ARM: dts: microchip: sama7g5: fix uart fifo size to 32
    - fuse: fix readahead reclaim deadlock
    - PCI: brcmstb: Fix disabling L0s capability
    - lockd: fix vfs_test_lock() calls
    - mm: simplify folio_expected_ref_count()
    - mm: consider non-anon swap cache folios in folio_expected_ref_count()
    - pmdomain: imx: Fix reference count leak in imx_gpc_probe()
    - net: phy: mediatek: fix nvmem cell reference leak in
      mt798x_phy_calibration
    - drm/amdgpu: Forward VMID reservation errors
    - drm/mediatek: Fix probe memory leak
    - drm/mediatek: Fix probe resource leaks
    - drm/tilcdc: request and mapp iomem with devres
    - tty: introduce and use tty_port_tty_vhangup() helper
    - xhci: dbgtty: fix device unregister: fixup
    - usb: xhci: move link chain bit quirk checks into one helper function.
    - LoongArch: Refactor register restoration in ftrace_common_return
    - f2fs: remove unused GC_FAILURE_PIN
    - f2fs: keep POSIX_FADV_NOREUSE ranges
    - f2fs: drop inode from the donation list when the last file is closed
    - f2fs: fix to propagate error from f2fs_enable_checkpoint()
    - f2fs: fix to detect recoverable inode during dryrun of
      find_fsync_dnodes()
    - media: verisilicon: Fix CPU stalls on G2 bus error
    - mm/balloon_compaction: we cannot have isolated pages in the balloon list
    - mm/balloon_compaction: convert balloon_page_delete() to
      balloon_page_finalize()
    - powerpc/pseries/cmm: adjust BALLOON_MIGRATE when migrating pages
    - KVM: nVMX: Immediately refresh APICv controls as needed on nested VM-
      Exit
    - media: amphion: Add a frame flush mode for decoder
    - media: amphion: Make some vpu_v4l2 functions static
    - media: amphion: Remove vpu_vb_is_codecconfig
    - mm/damon/tests/vaddr-kunit: handle alloc failures in
      damon_test_split_evenly_fail()
    - mm/damon/tests/vaddr-kunit: handle alloc failures on
      damon_do_test_apply_three_regions()
    - sched/fair: Small cleanup to sched_balance_newidle()
    - sched/fair: Small cleanup to update_newidle_cost()
    - sched/fair: Proportional newidle balance
    - RDMA/rxe: Fix the failure of ibv_query_device() and
      ibv_query_device_ex() tests
    - mm/damon/tests/vaddr-kunit: handle alloc failures on
      damon_test_split_evenly_succ()
    - mm/damon/tests/core-kunit: handle alloc failres in
      damon_test_new_filter()
    - mm/damon/tests/core-kunit: handle allocation failures in
      damon_test_regions()
    - mm/damon/tests/core-kunit: handle memory failure from
      damon_test_target()
    - mm/damon/tests/core-kunit: handle alloc failures on
      damon_test_split_regions_of()
    - mm/damon/tests/core-kunit: handle alloc failures on
      damos_test_filter_out()
    - mm/damon/tests/core-kunit: handle alloc failures in
      damon_test_set_regions()
    - mm/damon/tests/core-kunit: handle alloc failures in
      damon_test_ops_registration()
    - mm/damon/tests/core-kunit: handle alloc failure on
      damon_test_set_attrs()
    - virtio_console: fix order of fields cols and rows
    - pwm: stm32: Always program polarity
    - tty: fix tty_port_tty_*hangup() kernel-doc
    - firmware: arm_scmi: Fix unused notifier-block in unregister
    - ext4: filesystems without casefold feature cannot be mounted with
      siphash
    - drm/amdkfd: Fix GPU mappings for APU after prefetch
    - wifi: rtl8xxxu: Add USB ID 2001:3328 for D-Link AN3U rev. A1
    - smack: fix bug: setting task label silently ignores input garbage
    - wifi: ath10k: Avoid vdev delete timeout when firmware is already down
    - wifi: ath10k: Add missing include of export.h
    - wifi: ath10k: move recovery check logic into a new work
    - wifi: ath11k: restore register window after global reset
    - dt-bindings: clock: qcom,x1e80100-gcc: Add missing video resets
    - dt-bindings: clock: qcom,x1e80100-gcc: Add missing USB4 clocks/resets
    - clk: qcom: gcc-x1e80100: Add missing USB4 clocks/resets
    - inet: Avoid ehash lookup race in inet_twsk_hashdance_schedule()
    - block/mq-deadline: Introduce dd_start_request()
    - block/mq-deadline: Switch back to a single dispatch list
    - perf annotate: Check return value of evsel__get_arch() properly
    - arm64: dts: exynos: gs101: fix sysreg_apm reg property
    - clk: qcom: camcc-sm8550: Specify Titan GDSC power domain as a parent to
      other
    - soc: qcom: gsbi: fix double disable caused by devm
    - wifi: ath11k: fix VHT MCS assignment
    - arm64: dts: qcom: sm8650: set ufs as dma coherent
    - perf: Remove get_perf_callchain() init_nr argument
    - bpf: Refactor stack map trace depth calculation into helper function
    - perf/x86/intel/cstate: Remove PC3 support from LunarLake
    - drm/imagination: Fix reference to
      devm_platform_get_and_ioremap_resource()
    - power: supply: rt5033_charger: Fix device node reference leaks
    - power: supply: max17040: Check iio_read_channel_processed() return code
    - libbpf: Fix parsing of multi-split BTF
    - locktorture: Fix memory leak in param_set_cpumask()
    - crypto: iaa - Fix incorrect return value in save_iaa_wq()
    - drm/msm/dpu: drop dpu_hw_dsc_destroy() prototype
    - leds: rgb: leds-qcom-lpg: Don't enable TRILED when configuring PWM
    - RAS: Report all ARM processor CPER information to userspace
    - vhost: Fix kthread worker cgroup failure handling
    - vfio/pci: Use RCU for error/request triggers to avoid circular locking
    - net: phy: aquantia: check for NVMEM deferral
    - perf tools: Mark split kallsyms DSOs as loaded
    - perf hist: In init, ensure mem_info is put on error paths
    - sched/fair: Fix unfairness caused by stalled tg_load_avg_contrib when
      the last task migrates out
    - platform/x86:intel/pmc: Update Arrow Lake telemetry GUID
    - nfs/vfs: discard d_exact_alias()
    - NFS: Initialise verifiers for visible dentries in
      _nfs4_open_and_get_state
    - drm/plane: Fix IS_ERR() vs NULL check in
      drm_plane_create_hotspot_properties()
    - regulator: fixed: Rely on the core freeing the enable GPIO
    - drm/nouveau: refactor deprecated strcpy
    - drm/amdkfd: Use huge page size to check split svm range alignment
    - block: return unsigned int from queue_dma_alignment
    - fs/ntfs3: check for shutdown in fsync
    - wifi: rtl8xxxu: Fix HT40 channel config for RTL8192CU, RTL8723AU
    - wifi: cfg80211: use cfg80211_leave() in iftype change
    - wifi: mt76: mt792x: fix wifi init fail by setting MCU_RUNNING after CLC
      load
    - gfs2: Fix "gfs2: Switch to wait_event in gfs2_quotad"
    - Bluetooth: btusb: MT7922: Add VID/PID 0489/e170
    - Bluetooth: btusb: MT7920: Add VID/PID 0489/e135
    - Bluetooth: btusb: Add new VID/PID 0x0489/0xE12F for RTL8852BE-VT
    - netfilter: nf_nat: remove bogus direction check
    - iommufd/selftest: Add coverage for reporting max_pasid_log2 via
      IOMMU_HW_INFO
    - iommufd/selftest: Update hw_info coverage for an input data_type
    - iommufd/selftest: Make it clearer to gcc that the access is not out of
      bounds
    - hwmon: (dell-smm) Limit fan multiplier to avoid overflow
    - drm/xe: Restore engine registers before restarting schedulers after GT
      reset
    - mmc: sdhci-of-arasan: Increase CD stable timeout to 2 seconds
    - scsi: ufs: host: mediatek: Fix shutdown/suspend race condition
    - scsi: smartpqi: Add support for Hurray Data new controller PCI device
    - exfat: zero out post-EOF page cache on file extension
    - x86/mce: Do not clear bank's poll bit in mce_poll_banks on AMD SMCA
      systems
    - perf: arm_cspmu: fix error handling in arm_cspmu_impl_unregister()
    - wifi: mt76: Fix DTS power-limits on little endian systems
    - usb: gadget: lpc32xx_udc: fix clock imbalance in error path
    - mei: gsc: add dependency on Xe driver
    - serial: sh-sci: Check that the DMA cookie is valid
    - powerpc: Add reloc_offset() to font bitmap pointer used for
      bootx_printf()
    - xfs: fix stupid compiler warning
    - NFSD: Clear SECLABEL in the suppattr_exclcreat bitmap
    - drm/amd/display: Fix scratch registers offsets for DCN35
    - drm/displayid: pass iter to drm_find_displayid_extension()
    - KVM: arm64: Initialize SCTLR_EL1 in __kvm_hyp_init_cpu()
    - soc: apple: mailbox: fix device leak on lookup
    - interconnect: qcom: sdx75: Drop QPIC interconnect and BCM nodes
    - i40e: validate ring_len parameter against hardware-specific values
    - idpf: reduce mbx_task schedule delay to 300us
    - platform/mellanox: mlxbf-pmc: Remove trailing whitespaces from event
      names
    - net: dsa: fix missing put_device() in dsa_tree_find_first_conduit()
    - vfio/pds: Fix memory leak in pds_vfio_dirty_enable()
    - md: Fix static checker warning in analyze_sbs
    - ASoC: codecs: lpass-tx-macro: fix SM6115 support
    - iommu/amd: Propagate the error code returned by __modify_irte_ga() in
      modify_irte_ga()
    - mtd: mtdpart: ignore error -ENOENT from parsers on subpartitions
    - mtd: spi-nor: winbond: Add support for W25Q01NWxxIQ chips
    - mtd: spi-nor: winbond: Add support for W25Q01NWxxIM chips
    - mtd: spi-nor: winbond: Add support for W25Q02NWxxIM chips
    - mtd: spi-nor: winbond: Add support for W25H512NWxxAM chips
    - mtd: spi-nor: winbond: Add support for W25H01NWxxAM chips
    - mtd: spi-nor: winbond: Add support for W25H02NWxxAM chips
    - perf/x86/amd/uncore: Fix the return value of amd_uncore_df_event_init()
      on error
    - mm/damon/tests/sysfs-kunit: handle alloc failures on
      damon_sysfs_test_add_targets()
    - mm/damon/tests/core-kunit: handle alloc failures on
      damon_test_split_at()
    - mm/damon/tests/core-kunit: handle memory alloc failure from
      damon_test_aggregate()
    - mm/damon/tests/core-kunit: handle alloc failures on
      dasmon_test_merge_regions_of()
    - mm/damon/tests/core-kunit: handle alloc failures on
      damon_test_merge_two()
    - mm/damon/tests/core-kunit: handle alloc failures in
      damon_test_update_monitoring_result()
    - kasan: unpoison vms[area] addresses with a common tag
    - drm/amdgpu/gmc11: add amdgpu_vm_handle_fault() handling
    - drm/edid: add DRM_EDID_IDENT_INIT() to initialize struct drm_edid_ident
    - drm/mediatek: Fix probe device leaks
    - drm/i915: Fix format string truncation warning
    - drm/xe/bo: Don't include the CCS metadata in the dma-buf sg-table
    - drm/xe: Adjust long-running workload timeslices to reasonable values
    - drm/xe: Use usleep_range for accurate long-running workload timeslicing
    - drm/xe: Drop preempt-fences when destroying imported dma-bufs.
    - drm/imagination: Disallow exporting of PM/FW protected objects
    - gfs2: fix freeze error handling
    - sched/eevdf: Remove min_vruntime_copy
    - sched/eevdf: Fix min_vruntime vs avg_vruntime
    - serial: core: fix OF node leak
    - serial: core: Restore sysfs fwnode information
    - mptcp: pm: ignore unknown endpoint flags
    - f2fs: clear SBI_POR_DOING before initing inmem curseg
    - f2fs: add timeout in f2fs_enable_checkpoint()
    - f2fs: dump more information for f2fs_{enable,disable}_checkpoint()
    - gpiolib: acpi: Switch to use enum in acpi_gpio_in_ignore_list()
    - gpiolib: acpi: Handle deferred list via new API
    - gpiolib: acpi: Add acpi_gpio_need_run_edge_events_on_boot() getter
    - gpiolib: acpi: Move quirks to a separate file
    - gpiolib: acpi: Add a quirk for Acer Nitro V15
    - gpiolib: acpi: Add quirk for ASUS ProArt PX13
    - gpiolib: acpi: Add quirk for Dell Precision 7780
    - serial: core: Fix serial device initialization
    - media: i2c: imx219: Fix 1920x1080 mode to use 1:1 pixel aspect ratio
    - wifi: mt76: mt7925: fix CLC command timeout when suspend/resume
    - soundwire: stream: extend sdw_alloc_stream() to take 'type' parameter
    - ASoC: qcom: sdw: fix memory leak for sdw_stream_runtime
    - vfio/pci: Disable qword access to the PCI ROM bar
    - iomap: allocate s_dio_done_wq for async reads as well
    - mptcp: ensure context reset on disconnect()
    - Upstream stable to v6.6.120, v6.12.62, v6.12.63, v6.12.64, v6.12.65
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2024-36347
    - x86/microcode/AMD: Fix Entrysign revision check for Zen5/Strix Halo
    - x86/microcode/AMD: Select which microcode patch to load
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-40164
    - usbnet: Fix using smp_processor_id() in preemptible code warnings
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-40325
    - md/raid10: wait barrier before returning discard request with REQ_NOWAIT
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68206
    - netfilter: nft_ct: add seqadj extension for natted connections
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71068
    - svcrdma: bound check rq_pages index in inline path
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71135
    - md/raid5: fix possible null-pointer dereferences in
      raid5_store_group_thread_cnt()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-38234
    - sched/rt: Fix race in push_rt_task
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68811
    - svcrdma: use rc_pageoff for memcpy byte offset
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68810
    - KVM: Disallow toggling KVM_MEM_GUEST_MEMFD on an existing memslot
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71109
    - MIPS: ftrace: Fix memory corruption when kernel is located beyond 32
      bits
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68770
    - bnxt_en: Fix XDP_TX path
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71072
    - shmem: fix recovery on rename failures
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68374
    - md: fix rcu protection in md_wakeup_thread
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68378
    - bpf: Fix stackmap overflow check in __bpf_get_stackid()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2024-57795
    - RDMA/rxe: Remove the direct link to net_device
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-38022
    - RDMA/core: Fix "KASAN: slab-use-after-free Read in ib_register_device"
      problem
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71140
    - media: mediatek: vcodec: Use spinlock for context list protection lock
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71105
    - f2fs: use global inline_xattr_slab instead of per-sb slab cache
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68772
    - f2fs: fix to avoid updating compression context during writeback
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-22111
    - net: Remove RTNL dance for SIOCBRADDIF and SIOCBRDELIF.
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-22022
    - usb: xhci: Apply the link chain quirk on NEC isoc endpoints
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71141
    - drm/tilcdc: Fix removal actions in case of failed probe
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71127
    - wifi: mac80211: Discard Beacon frames to non-broadcast address
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71088
    - mptcp: fallback earlier on simult connection
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71065
    - f2fs: fix to avoid potential deadlock
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68345
    - ALSA: hda: cs35l41: Fix NULL pointer dereference in
      cs35l41_hda_read_acpi()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68344
    - ALSA: wavefront: Fix integer overflow in sample size validation
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71077
    - tpm: Cap the number of PCR banks
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71130
    - drm/i915/gem: Zero-initialize the eb.vma array in i915_gem_do_execbuffer
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71138
    - drm/msm/dpu: Add missing NULL pointer check for pingpong interface
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71083
    - drm/ttm: Avoid NULL pointer deref for evicted BOs
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71079
    - net: nfc: fix deadlock between nfc_unregister_device and
      rfkill_fop_write
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71129
    - LoongArch: BPF: Sign extend kfunc call arguments
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71093
    - e1000: fix OOB in e1000_tbi_should_accept()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71084
    - RDMA/cm: Fix leaking the multicast GID table reference
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71096
    - RDMA/core: Check for the presence of LS_NLA_TYPE_DGID correctly
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71136
    - media: adv7842: Avoid possible out-of-bounds array accesses in
      adv7842_cp_log_status()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71143
    - clk: samsung: exynos-clkout: Assign .num before accessing .hws
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71078
    - powerpc/64s/slb: Fix SLB multihit issue during SLB preload
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71089
    - iommu: disable SVA when CONFIG_X86 is set
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71081
    - ASoC: stm32: sai: fix OF node leak on probe
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71153
    - ksmbd: Fix memory leak in get_file_all_info()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71133
    - RDMA/irdma: avoid invalid read in irdma_net_event
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71086
    - net: rose: fix invalid array index in rose_kill_by_device()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71097
    - ipv4: Fix reference count leak when using error routes with nexthop
      objects
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71085
    - ipv6: BUG() in pskb_expand_head() as part of calipso_skbuff_setattr()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71095
    - net: stmmac: fix the crash issue for zero copy XDP_TX action
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71137
    - octeontx2-pf: fix "UBSAN: shift-out-of-bounds error"
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71101
    - platform/x86: hp-bioscfg: Fix out-of-bounds array access in ACPI package
      parsing
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71094
    - net: usb: asix: validate PHY address before use
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71132
    - smc91x: fix broken irq-context in PREEMPT_RT
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71154
    - net: usb: rtl8150: fix memory leak on usb_submit_urb() failure
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71091
    - team: fix check for port enabled in
      team_queue_override_port_prio_changed()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71098
    - ip6_gre: make ip6gre_header() robust
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71082
    - Bluetooth: btusb: revert use of devm_kzalloc in btusb
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71131
    - crypto: seqiv - Do not use req->iv after crypto_aead_encrypt
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71087
    - iavf: fix off-by-one issues in iavf_config_rss_reg()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71071
    - iommu/mediatek: fix use-after-free on probe deferral
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71111
    - hwmon: (w83791d) Convert macros to functions to avoid TOCTOU
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71113
    - crypto: af_alg - zero initialize memory allocated via sock_kmalloc
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71149
    - io_uring/poll: correctly handle io_poll_add() return value on update
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68778
    - btrfs: don't log conflicting inode if it's a dir moved in the current
      transaction
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71119
    - powerpc/kexec: Enable SMT before waking offline CPUs
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71120
    - SUNRPC: svcauth_gss: avoid NULL deref on zero length gss_token in
      gss_read_proxy_verf
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71148
    - net/handshake: restore destructor on submit failure
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68788
    - fsnotify: do not generate ACCESS/MODIFY events on child for special
      files
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71125
    - tracing: Do not register unsupported perf events
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71104
    - KVM: x86: Fix VM hard lockup after prolonged inactivity with periodic HV
      timer
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71116
    - libceph: make decode_pool() more resilient against corrupted osdmaps
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71121
    - parisc: Do not reprogram affinitiy on ASP chip
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71102
    - scs: fix a wrong parameter in __scs_magic
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68804
    - platform/chrome: cros_ec_ishtp: Fix UAF after unbinding driver
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68771
    - ocfs2: fix kernel BUG in ocfs2_find_victim_chain
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68808
    - media: vidtv: initialize local pointers upon transfer of memory
      ownership
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68769
    - f2fs: fix return value of f2fs_recover_fsync_data()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71069
    - f2fs: invalidate dentry cache on failed whiteout creation
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68796
    - f2fs: fix to avoid updating zero-sized extent in extent cache
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71107
    - f2fs: ensure node page reads complete before f2fs_put_super() finishes
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68782
    - scsi: target: Reset t_task_cdb pointer in error case
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71075
    - scsi: aic94xx: fix use-after-free in device removal path
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68818
    - scsi: Revert "scsi: qla2xxx: Perform lockless command completion in
      abort path"
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68797
    - char: applicom: fix NULL pointer dereference in ac_ioctl
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68819
    - media: dvb-usb: dtv5100: fix out-of-bounds in dtv5100_i2c_msg()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71126
    - mptcp: avoid deadlock on fallback while reinjecting
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68820
    - ext4: xattr: fix null pointer deref in ext4_raw_inode()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68814
    - io_uring: fix filename leak in __io_openat_prep()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71147
    - KEYS: trusted: Fix a memory leak in tpm2_load_cmd
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71151
    - cifs: Fix memory and information leak in smb3_reconfigure()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71108
    - usb: typec: ucsi: Handle incorrect num_connectors capability
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71114
    - via_wdt: fix critical boot hang due to unnamed resource allocation
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68783
    - ALSA: usb-mixer: us16x08: validate meter packet indices
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68776
    - net/hsr: fix NULL pointer dereference in prp_get_untagged_frame()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68773
    - spi: fsl-cpm: Check length parity before switching to 16 bit mode
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68777
    - Input: ti_am335x_tsc - fix off-by-one error in wire_order validation
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68806
    - ksmbd: fix buffer validation by including null terminator size in EA
      length
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71150
    - ksmbd: Fix refcount leak when invalid session is found on session lookup
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68786
    - ksmbd: skip lock-range check on equal size to avoid size==0 underflow
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68789
    - hwmon: (ibmpex) fix use-after-free in high/low store
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71112
    - net: hns3: add VLAN id validation before using
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71064
    - net: hns3: using the num_tqps in the vf driver to apply for resources
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68775
    - net/handshake: duplicate handshake cancellations leak socket
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68816
    - net/mlx5: fw_tracer, Validate format string parameters
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68795
    - ethtool: Avoid overflowing userspace buffer on stats query
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71122
    - iommufd/selftest: Check for overflow in IOMMU_TEST_OP_ADD_RESERVED
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68815
    - net/sched: ets: Remove drr class from the active list if it changes to
      strict
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68799
    - caif: fix integer underflow in cffrml_receive()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68813
    - ipvs: fix ipv4 null-ptr-deref in route error path
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68785
    - net: openvswitch: fix middle attribute validation in push_nsh() action
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68800
    - mlxsw: spectrum_mr: Fix use-after-free when updating multicast route
      stats
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68801
    - mlxsw: spectrum_router: Fix neighbour use-after-free
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71066
    - net/sched: ets: Always remove class from active list before deleting in
      ets_qdisc_change
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68787
    - netrom: Fix memory leak in nr_sendmsg()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68809
    - ksmbd: vfs: fix race on m_flags in vfs_cache
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68817
    - ksmbd: fix use-after-free in ksmbd_tree_connect_put under concurrency
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68767
    - hfsplus: Verify inode mode when loading from disk
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68774
    - hfsplus: fix missing hfs_bnode_get() in __hfs_bnode_create
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71067
    - ntfs: set dummy blocksize to read boot_block when mounting
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-71118
    - ACPICA: Avoid walking the Namespace if start_node is NULL
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68780
    - sched/deadline: only set free_cpus for online runqueues
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68798
    - perf/x86/amd: Check event before enable to avoid GPF
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68794
    - iomap: adjust read range correctly for non-block-aligned positions
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68346
    - ALSA: dice: fix buffer overflow in detect_stream_formats()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68766
    - irqchip/mchp-eic: Fix error code in mchp_eic_domain_alloc()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68756
    - block: Use RCU in blk_mq_[un]quiesce_tagset() instead of
      set->tag_list_lock
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68753
    - ALSA: firewire-motu: add bounds check in put_user loop for DSP events
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68347
    - ALSA: firewire-motu: fix buffer overflow in hwdep read for DSP events
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68764
    - NFS: Automounted filesystems should inherit ro,noexec,nodev,sync flags
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68349
    - NFSv4/pNFS: Clear NFS_INO_LAYOUTCOMMIT in
      pnfs_mark_layout_stateid_invalid
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68325
    - net/sched: sch_cake: Fix incorrect qlen reduction in cake_drop
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68354
    - regulator: core: Protect regulator_supply_alias_list with
      regulator_list_mutex
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68758
    - backlight: led-bl: Add devlink to supplier LEDs
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68765
    - mt76: mt7615: Fix memory leak in mt7615_mcu_wtbl_sta_add()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68763
    - crypto: starfive - Correctly handle return of sg_nents_for_len
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68740
    - ima: Handle error code returned by ima_filter_rule_match()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68362
    - wifi: rtl818x: rtl8187: Fix potential buffer underflow in
      rtl8187_rx_cb()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68741
    - scsi: qla2xxx: Fix improper freeing of purex item
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68742
    - bpf: Fix invalid prog->stats access when update_effective_progs fails
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68759
    - wifi: rtl818x: Fix potential memory leaks in rtl8180_init_rx_ring()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68363
    - bpf: Check skb->transport_header is set in bpf_skb_check_mtu
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68744
    - bpf: Free special fields when update [lru_,]percpu_hash maps
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68364
    - ocfs2: relax BUG() to ocfs2_error() in __ocfs2_move_extent()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68366
    - nbd: defer config unlock in nbd_genl_connect
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68367
    - macintosh/mac_hid: fix race condition in mac_hid_toggle_emumouse
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68755
    - staging: most: remove broken i2c driver
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68371
    - scsi: smartpqi: Fix device resources accessed after device removal
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68372
    - nbd: defer config put in recv_work
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68746
    - spi: tegra210-quad: Fix timeout handling
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68379
    - RDMA/rxe: Fix null deref on srq->rq.queue after resize failure
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68380
    - wifi: ath11k: fix peer HE MCS assignment
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68724
    - crypto: asymmetric_keys - prevent overflow in asymmetric_key_generate_id
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68727
    - ntfs3: Fix uninit buffer allocated by __getname()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68728
    - ntfs3: fix uninit memory after failed mi_read in mi_format_new
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68757
    - drm/vgem-fence: Fix potential deadlock on release
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68732
    - gpu: host1x: Fix race in syncpt alloc/free
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68733
    - smack: fix bug: unprivileged task can create labels
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68254
    - staging: rtl8723bs: fix out-of-bounds read in OnBeacon ESR IE parsing
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68255
    - staging: rtl8723bs: fix stack buffer overflow in OnAssocReq IE parsing
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68256
    - staging: rtl8723bs: fix out-of-bounds read in rtw_get_ie() parser
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68257
    - comedi: check device's attached status in compat ioctls
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68258
    - comedi: multiq3: sanitize config options in multiq3_attach()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68332
    - comedi: c6xdigio: Fix invalid PNP driver unregistration
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68265
    - nvme: fix admin request_queue lifetime
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68266
    - bfs: Reconstruct file type when loading from disk
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68259
    - KVM: SVM: Don't skip unrelated instruction if INT3/INTO is replaced
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68335
    - comedi: pcl818: fix null-ptr-deref in pcl818_ai_cancel()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68261
    - ext4: add i_data_sem protection in ext4_destroy_inline_data_nolock()
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68336
    - locking/spinlock/debug: Fix data-race in do_raw_write_lock
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68263
    - ksmbd: ipc: fix use-after-free in ipc_msg_send_request
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68264
    - ext4: refresh inline data size before write operations
  * Noble update: upstream stable patchset 2026-03-04 (LP: #2142789) //
    CVE-2025-68337
    - jbd2: avoid bug_on in jbd2_journal_get_create_access() when file system
      corrupted
  * CVE-2026-23111
    - netfilter: nf_tables: fix inverted genmask check in
      nft_map_catchall_activate()
  * CVE-2026-23209
    - macvlan: fix error recovery in macvlan_common_newlink()
  * CVE-2026-23074
    - net/sched: Enforce that teql can only be used as root qdisc
  * CVE-2026-23060
    - crypto: authencesn - reject too-short AAD (assoclen<8) to match ESP/ESN
      spec

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 02 Apr 2026 09:36:10 -0500

linux-nvidia (6.8.0-1050.53) noble; urgency=medium

  * noble/linux-nvidia: 6.8.0-1050.53 -proposed tracker (LP: #2144249)

  [ Ubuntu: 6.8.0-107.107 ]

  * noble/linux: 6.8.0-107.107 -proposed tracker (LP: #2144267)
  * CVE-2026-23074
    - net/sched: Enforce that teql can only be used as root qdisc
  * CVE-2026-23060
    - crypto: authencesn - reject too-short AAD (assoclen<8) to match ESP/ESN
      spec
  * CVE-2026-23111
    - netfilter: nf_tables: fix inverted genmask check in
      nft_map_catchall_activate()

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 19 Mar 2026 17:35:40 -0500

linux-nvidia (6.8.0-1049.52) noble; urgency=medium

  [ Ubuntu: 6.8.0-106.106 ]

  * Miscellaneous upstream changes
    - apparmor: validate DFA start states are in bounds in unpack_pdb
    - apparmor: fix memory leak in verify_header
    - apparmor: replace recursive profile removal with iterative approach
    - apparmor: fix: limit the number of levels of policy namespaces
    - apparmor: fix side-effect bug in match_char() macro usage
    - apparmor: fix missing bounds check on DEFAULT table in verify_dfa()
    - apparmor: Fix double free of ns_name in aa_replace_profiles()
    - apparmor: fix unprivileged local user can do privileged policy
      management
    - apparmor: fix differential encoding verification
    - apparmor: fix race on rawdata dereference
    - apparmor: fix race between freeing data and fs accessing it

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 06 Mar 2026 16:41:11 -0600

linux-nvidia (6.8.0-1048.51) noble; urgency=medium

  * noble/linux-nvidia: 6.8.0-1048.51 -proposed tracker (LP: #2141097)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.nvidia/dkms-versions -- update from kernel-versions
      (main/2026.02.09)

  * Coresight fails to build on 6.8.0-102 due to missing function and arg
    definitions (LP: #2142337)
    - SAUCE: Revert "coresight: catu: Support atclk"
    - SAUCE: Revert "coresight: catu: Move ACPI support from AMBA driver to
      platform driver"
    - SAUCE: Revert "coresight: tmc: Support atclk"
    - SAUCE: Revert "coresight: tmc: Move ACPI support from AMBA driver to
      platform driver"
    - SAUCE: Revert "Coresight: Set correct cs_mode for TPDM to fix disable
      issue"
    - SAUCE: Revert "Coresight: Set correct cs_mode for dummy source to fix
      disable issue"

  * tegra-qspi: Fix race condition causing NULL pointer dereference
    (LP: #2139640)
    - spi: tegra210-quad: Return IRQ_HANDLED when timeout already processed
      transfer
    - spi: tegra210-quad: Move curr_xfer read inside spinlock
    - spi: tegra210-quad: Protect curr_xfer assignment in
      tegra_qspi_setup_transfer_one
    - spi: tegra210-quad: Protect curr_xfer in tegra_qspi_combined_seq_xfer
    - spi: tegra210-quad: Protect curr_xfer clearing in
      tegra_qspi_non_combined_seq_xfer
    - spi: tegra210-quad: Protect curr_xfer check in IRQ handler

  [ Ubuntu: 6.8.0-104.104 ]

  * noble/linux: 6.8.0-104.104 -proposed tracker (LP: #2141774)
  * Change of ABI in 6.8.0 kernel breaks some OTT modules (LP: #2141778)
    - Revert "net: tls: Cancel RX async resync request on rcd_delta overflow"
    - Revert "net: tls: Change async resync helpers argument"

  [ Ubuntu: 6.8.0-103.103 ]

  * noble/linux: 6.8.0-103.103 -proposed tracker (LP: #2141411)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2026.02.09)
  * xhci_find_slot_id_by_port kernel panic on boot on arm64 (LP: #2141314)
    - Revert "xhci: fix stale flag preventig URBs after link state error is
      cleared"
  * Boot up hang with ucsi call trace while plug power cord or device on tbt5
    port (LP: #2127764)
    - SAUCE: usb: typec: ucsi: Fix workqueue destruction race during connector
      cleanup
  * TBT call trace while connecting TBT4 monitor on TBT5 port (LP: #2137613)
    - thunderbolt: Show path name in debug log when path is deactivated
    - thunderbolt: Log path activation failures without WARN backtraces
  *  x86: tsc: Fix TSC clock source being disabled when SNC is enabled causing
    fall back to less precise HPET (LP: #2138120)
    - x86/tsc: Use topology_max_packages() to get package number
  * Random flickering with Intel i915 (CoffeeLake and WhiskeyLake) on Linux
    6.8 (LP: #2136958)
    - SAUCE: iommu/intel: disable DMAR for CFL and WHL integrated gfx
  * CXL: Fix slab-out-of-bounds in cxl_setup_parent_dport (LP: #2130240)
    - cxl/pci: Get AER capability address from RCRB only for RCH dport
    - cxl/test: Skip cxl_setup_parent_dport() for emulated dports
  * net:tap in ubuntu_kselftests_net fails on Noble (buffer overflow detected)
    (LP: #2067642)
    - SAUCE: selftests: net: fix "buffer overflow detected" for tap.c
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633)
    - Bluetooth: SMP: Fix not generating mackey and ltk when repairing
    - net: phy: mxl-gpy: fix bogus error on USXGMII and integrated PHY
    - net: aquantia: Add missing descriptor cache invalidation on ATL2
    - net: lan966x: Fix the initialization of taprio
    - net/mlx5e: Fix validation logic in rate limiting
    - drm/amdgpu: fix cyan_skillfish2 gpu info fw handling
    - net: dsa: sja1105: simplify static configuration reload
    - net: dsa: sja1105: fix SGMII linking at 10M or 100M but not passing
      traffic
    - net: fec: cancel perout_timer when PEROUT is disabled
    - net: fec: do not update PEROUT if it is enabled
    - net: fec: do not allow enabling PPS and PEROUT simultaneously
    - net: fec: do not register PPS event for PEROUT
    - iio: st_lsm6dsx: Fixed calibrated timestamp calculation
    - usb: gadget: renesas_usbf: Handle devm_pm_runtime_enable() errors
    - mailbox: mailbox-test: Fix debugfs_create_dir error checking
    - mailbox: pcc: Refactor error handling in irq handler into separate
      function
    - mailbox: pcc: don't zero error register
    - spi: tegra114: remove Kconfig dependency on TEGRA20_APB_DMA
    - spi: amlogic-spifc-a1: Handle devm_pm_runtime_enable() errors
    - spi: spi-mem: Allow specifying the byte order in Octal DTR mode
    - spi: spi-mem: Extend spi-mem operations with a per-operation maximum
      frequency
    - spi: spi-mem: Add a new controller capability
    - spi: nxp-fspi: Support per spi-mem operation frequency switches
    - spi: nxp-fspi: Propagate fwnode in ACPI case as well
    - spi: bcm63xx: fix premature CS deassertion on RX-only transactions
    - Revert "perf/x86: Always store regs->ip in perf_callchain_kernel()"
    - iio: imu: st_lsm6dsx: fix array size for st_lsm6dsx_settings fields
    - iio:common:ssp_sensors: Fix an error handling path ssp_probe()
    - iio: accel: fix ADXL355 startup race condition
    - iio: adc: ad7280a: fix ad7280_store_balance_timer()
    - MIPS: mm: Prevent a TLB shutdown on initial uniquification
    - MIPS: mm: kmalloc tlb_vpn array to avoid stack overflow
    - ALSA: usb-audio: Add DSD quirk for LEAK Stereo 230
    - ARM: dts: nxp: imx6ul: correct SAI3 interrupt line
    - can: sja1000: fix max irq loop handling
    - can: sun4i_can: sun4i_can_interrupt(): fix max irq loop handling
    - dm-verity: fix unreliable memory allocation
    - drivers/usb/dwc3: fix PCI parent check
    - thunderbolt: Add support for Intel Wildcat Lake
    - slimbus: ngd: Fix reference count leak in qcom_slim_ngd_notify_slaves
    - mptcp: clear scheduled subflows on retransmit
    - serial: amba-pl011: prefer dma_mapping_error() over explicit address
      checking
    - usb: cdns3: Fix double resource release in cdns3_pci_probe
    - USB: storage: Remove subclass and protocol overrides from Novatek quirk
    - usb: dwc3: pci: add support for the Intel Nova Lake -S
    - usb: dwc3: pci: Sort out the Intel device IDs
    - xhci: dbgtty: Fix data corruption when transmitting data form DbC to
      host
    - xhci: dbgtty: fix device unregister
    - USB: serial: ftdi_sio: add support for u-blox EVK-M101
    - USB: serial: option: add support for Rolling RW101R-GL
    - drm: sti: fix device leaks at component probe
    - net: dsa: microchip: common: Fix checks on irq_find_mapping()
    - net: dsa: microchip: ptp: Fix checks on irq_find_mapping()
    - nfsd: Replace clamp_t in nfsd4_get_drc_mem()
    - usb: udc: Add trace event for usb_gadget_set_state
    - usb: typec: ucsi: psy: Set max current to zero when disconnected
    - can: rcar_canfd: Fix CAN-FD mode as default
    - iio: adc: rtq6056: Correct the sign bit index
    - net: dsa: microchip: Fix symetry in ksz_ptp_msg_irq_{setup/free}()
    - net: dsa: microchip: Free previously initialized ports on init failures
    - mailbox: mtk-cmdq: Refine DMA address handling for the command buffer
    - iio: humditiy: hdc3020: fix units for temperature and humidity
      measurement
    - arm64: dts: imx8dxl-ss-conn: swap interrupts number of eqos
    - nvmem: layouts: fix nvmem_layout_bus_uevent
    - xhci: fix stale flag preventig URBs after link state error is cleared
    - drm/amd/display: Don't change brightness for disabled connectors
    - KVM: SVM: Introduce svm_recalc_lbr_msr_intercepts()
    - KVM: nSVM: Always recalculate LBR MSR intercepts in svm_update_lbrv()
    - KVM: nSVM: Fix and simplify LBR virtualization handling with nested
    - KVM: SVM: Fix redundant updates of LBR MSR intercepts
    - wifi: ath12k: correctly handle mcast packets for clients
    - drm/i915/dp: Initialize the source OUI write timestamp always
    - SAUCE: bpf: introduce __MAX_BPF_PROG_TYPE delimiter
    - Upstream stable to v6.6.119, v6.12.61
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68340
    - team: Move team device type change at the end of team_port_add
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68282
    - usb: gadget: udc: fix use-after-free in usb_gadget_state_work
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68283
    - libceph: replace BUG_ON with bounds check for map->max_osd
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68284
    - libceph: prevent potential out-of-bounds writes in
      handle_auth_session_key()
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68285
    - libceph: fix potential use-after-free in have_mon_and_osd_map()
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68286
    - drm/amd/display: Check NULL before accessing
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68287
    - usb: dwc3: Fix race condition between concurrent dwc3_remove_requests()
      call paths
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68331
    - usb: uas: fix urb unmapping issue when the uas device is remove during
      ongoing data transfer
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-40345
    - usb: storage: sddr55: Reject out-of-bound new_pba
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68288
    - usb: storage: Fix memory leak in USB bulk transport
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68327
    - usb: renesas_usbhs: Fix synchronous external abort on unbind
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68289
    - usb: gadget: f_eem: Fix memory leak in eem_unwrap
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68290
    - most: usb: fix double free on late probe failure
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68328
    - firmware: stratix10-svc: fix bug in saving controller data
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68295
    - smb: client: fix memory leak in cifs_construct_tcon()
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68297
    - ceph: fix crash in process_v2_sparse_read() for encrypted directories
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68339
    - atm/fore200e: Fix possible data race in fore200e_open()
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68330
    - iio: accel: bmc150: Fix irq assumption regression
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68301
    - net: atlantic: fix fragment overflow handling in RX path
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68302
    - net: sxgbe: fix potential NULL dereference in sxgbe_rx()
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68303
    - platform/x86: intel: punit_ipc: fix memory corruption
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68305
    - Bluetooth: hci_sock: Prevent race in socket write iter and sock bind
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68342
    - can: gs_usb: gs_usb_receive_bulk_callback(): check actual_length before
      accessing data
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68343
    - can: gs_usb: gs_usb_receive_bulk_callback(): check actual_length before
      accessing header
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68307
    - can: gs_usb: gs_usb_xmit_callback(): fix handling of failed transmitted
      URBs
  * Noble update: upstream stable patchset 2026-02-03 (LP: #2139633) //
    CVE-2025-68308
    - can: kvaser_usb: leaf: Fix potential infinite loop in command parsers
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624)
    - HID: quirks: work around VID/PID conflict for 0x4c4a/0x4155
    - shmem: fix tmpfs reconfiguration (remount) when noswap is set
    - exfat: check return value of sb_min_blocksize in exfat_read_boot_sector
    - mptcp: Disallow MPTCP subflows from sockmap
    - ata: libata-scsi: Fix system suspend for a security locked drive
    - smb: client: introduce close_cached_dir_locked()
    - ata: libata-scsi: Add missing scsi_device_put() in ata_scsi_dev_rescan()
    - net: dsa: microchip: lan937x: Fix RGMII delay tuning
    - Revert "drm/tegra: dsi: Clear enable register if powered by bootloader"
    - Input: goodix - add support for ACPI ID GDIX1003
    - nvme: nvme-fc: move tagset removal to nvme_fc_delete_ctrl()
    - MIPS: Malta: Fix !EVA SOC-it PCI MMIO
    - dt-bindings: pinctrl: toshiba,visconti: Fix number of items in groups
    - LoongArch: Don't panic if no valid cache info for PCI
    - mptcp: fix ack generation for fallback msk
    - mptcp: fix premature close in case of fallback
    - mptcp: avoid unneeded subflow-level drops
    - mptcp: decouple mptcp fastclose from tcp close
    - mptcp: do not fallback when OoO is present
    - drm/tegra: dc: Fix reference leak in tegra_dc_couple()
    - drm/amdgpu: Skip emit de meta data on gfx11 with rs64 enabled
    - drm/amd/display: Increase DPCD read retries
    - drm/amd/display: Move sleep into each retry for retrieve_link_cap()
    - xfrm: Determine inner GSO type from packet inner protocol
    - xfrm: Prevent locally generated packets from direct output in tunnel
      mode
    - pinctrl: cirrus: Fix fwnode leak in cs42l43_pin_probe()
    - mlxsw: spectrum: Fix memory leak in mlxsw_sp_flower_stats()
    - net: dsa: hellcreek: fix missing error handling in LED registration
    - net: mlxsw: linecards: fix missing error check in
      mlxsw_linecard_devlink_info_get()
    - platform/x86/intel/speed_select_if: Convert PCIBIOS_* return codes to
      errnos
    - pinctrl: s32cc: initialize gpio_pin_config::list after kmalloc()
    - LoongArch: Use UAPI types in ptrace UAPI header
    - bcma: don't register devices disabled in OF
    - cifs: fix typo in enable_gcm_256 module parameter
    - scsi: core: Fix a regression triggered by scsi_host_busy()
    - x86/microcode/AMD: Limit Entrysign signature checking to known
      generations
    - selftests: net: use BASH for bareudp testing
    - net: tls: Cancel RX async resync request on rcd_delta overflow
    - kconfig/mconf: Initialize the default locale at startup
    - kconfig/nconf: Initialize the default locale at startup
    - f2fs: compress: change the first parameter of page_array_{alloc,free} to
      sbi
    - s390/mm: Fix __ptep_rdp() inline assembly
    - ALSA: usb-audio: fix uac2 clock source at terminal parser
    - tracing/tools: Fix incorrcet short option in usage text for --threads
    - smb: client: fix incomplete backport in cfids_invalidation_worker()
    - uio_hv_generic: Set event for all channels on the device
    - maple_tree: fix tracepoint string pointers
    - selftests: mptcp: join: endpoints: longer transfer
    - HID: amd_sfh: Stop sensor before starting
    - arm64: dts: rockchip: fix PCIe 3.3V regulator voltage on orangepi-5
    - mptcp: fix duplicate reset on fastclose
    - selftests: mptcp: join: endpoints: longer timeout
    - selftests: mptcp: join: userspace: longer timeout
    - drm/amd/display: Clear the CUR_ENABLE register on DCN20 on DPP5
    - xfrm: set err and extack on failure to create pcpu SA
    - pinctrl: realtek: Select REGMAP_MMIO for RTD driver
    - selftests: net: lib: Do not overwrite error messages
    - af_unix: Cache state->msg in unix_stream_read_generic().
    - af_unix: Read sk_peek_offset() again after sleeping in
      unix_stream_read_generic().
    - net: tls: Change async resync helpers argument
    - ALSA: usb-audio: Fix missing unlock at error path of maxpacksize check
    - drm/xe: Prevent BIT() overflow when handling invalid prefetch region
    - tty/vt: fix up incorrect backport to stable releases
    - Upstream stable to v6.6.118, v6.12.60
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68213
    - idpf: fix possible vport_config NULL pointer deref in remove
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68223
    - drm/radeon: delete radeon_fence_process in is_signaled, no deadlock
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40257
    - mptcp: fix a race in mptcp_pm_del_add_timer()
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68231
    - mm/mempool: fix poisoning order>0 pages with HIGHMEM
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68198
    - crash: fix crashkernel resource shrink
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40266
    - KVM: arm64: Check the untrusted offset in FF-A memory share
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68220
    - net: ethernet: ti: netcp: Standardize knav_dma_open_channel to return
      NULL on error
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-38627
    - f2fs: compress: fix UAF of f2fs_inode_info in f2fs_free_dic
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40248
    - vsock: Ignore signal/timeout on connect() if already established
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68219
    - cifs: fix memory leak in smb3_fs_context_parse_param error path
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40250
    - net/mlx5: Clean up only new IRQ glue on request_irq() failure
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40251
    - devlink: rate: Unset parent pointer in devl_rate_nodes_destroy
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68222
    - pinctrl: s32cc: fix uninitialized memory in s32_pinctrl_desc
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40252
    - net: qlogic/qede: fix potential out-of-bounds read in qede_tpa_cont()
      and qede_tpa_end()
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40253
    - s390/ctcm: Fix double-kfree
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68218
    - nvme-multipath: fix lockdep WARN due to partition scan work
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40254
    - net: openvswitch: remove never-working support for setting nsh fields
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68233
    - drm/tegra: Add call to put_pid()
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40258
    - mptcp: fix race condition in mptcp_schedule_work()
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68229
    - scsi: target: tcm_loop: Fix segfault in tcm_loop_tpg_address_show()
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40259
    - scsi: sg: Do not sleep in atomic context
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40261
    - nvme: nvme-fc: Ensure ->ioerr_work is cancelled in nvme_fc_delete_ctrl()
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68235
    - nouveau/firmware: Add missing kfree() of nvkm_falcon_fw::boot
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68217
    - Input: pegasus-notetaker - fix potential out-of-bounds access
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40262
    - Input: imx_sc_key - fix memory corruption on unload
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40263
    - Input: cros_ec_keyb - fix an invalid memory access
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-40264
    - be2net: pass wrb_params in case of OS2BMC
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68227
    - mptcp: Fix proto fallback detection with BPF
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68237
    - mtdchar: fix integer overflow in read/write ioctls
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68238
    - mtd: rawnand: cadence: fix DMA device NULL pointer dereference
  * Noble update: upstream stable patchset 2026-02-02 (LP: #2139624) //
    CVE-2025-68214
    - timers: Fix NULL function pointer race in timer_shutdown_sync()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460)
    - net: usb: asix_devices: Check return value of usbnet_get_endpoints
    - fbdev: atyfb: Check if pll_ops->init_pll failed
    - ACPI: button: Call input_free_device() on failing input device
      registration
    - Bluetooth: rfcomm: fix modem control handling
    - fbdev: pvr2fb: Fix leftover reference to ONCHIP_NR_DMA_CHANNELS
    - fbdev: valkyriefb: Fix reference count leak in valkyriefb_init
    - mptcp: drop bogus optimization in __mptcp_check_push()
    - mptcp: restore window probe
    - ASoC: qdsp6: q6asm: do not sleep while atomic
    - wifi: ath10k: Fix memory leak on unsupported WMI command
    - wifi: ath11k: Add missing platform IDs for quirk table
    - wifi: ath12k: free skb during idr cleanup callback
    - drm/msm/a6xx: Fix GMU firmware parser
    - ALSA: usb-audio: fix control pipe direction
    - scsi: ufs: core: Initialize value of an attribute returned by uic cmd
    - ASoC: Intel: avs: Unprepare a stream when XRUN occurs
    - ASoC: fsl_sai: fix bit order for DSD format
    - libbpf: Fix powerpc's stack register definition in bpf_tracing.h
    - Bluetooth: btmtksdio: Add pmctrl handling for BT closed state during
      reset
    - Bluetooth: HCI: Fix tracking of advertisement set/instance 0x00
    - Bluetooth: ISO: Fix another instance of dst_type handling
    - Bluetooth: hci_core: Fix tracking of periodic advertisement
    - drm/etnaviv: fix flush sequence logic
    - net: hns3: return error code when function fails
    - sfc: fix potential memory leak in efx_mae_process_mport()
    - drm/amd/pm: fix smu table id bound check issue in smu_cmn_update_table()
    - drm/amd/pm/powerplay/smumgr: Fix PCIeBootLinkLevel value on Fiji
    - drm/amd/pm/powerplay/smumgr: Fix PCIeBootLinkLevel value on Iceland
    - block: fix op_is_zone_mgmt() to handle REQ_OP_ZONE_RESET_ALL
    - block: make REQ_OP_ZONE_OPEN a write operation
    - drm/mediatek: Fix device use-after-free on unbind
    - mptcp: fix MSG_PEEK stream corruption
    - cpuidle: governors: menu: Rearrange main loop in menu_select()
    - cpuidle: governors: menu: Select polling state in some more cases
    - net: phy: dp83867: Disable EEE support as not implemented
    - [Config] disable ARCH_WANT_OPTIMIZE_HUGETLB_VMEMMAP for s390x
    - drm/sched: Fix race in drm_sched_entity_select_rq()
    - soc: aspeed: socinfo: Add AST27xx silicon IDs
    - soc: qcom: smem: Fix endian-unaware access of num_entries
    - spi: loopback-test: Don't use %pK through printk
    - bpf: Don't use %pK through printk
    - pinctrl: single: fix bias pull up/down handling in pin_config_set
    - mmc: host: renesas_sdhi: Fix the actual clock
    - memstick: Add timeout to prevent indefinite waiting
    - irqchip/sifive-plic: Respect mask state when setting affinity
    - selftests/bpf: Fix bpf_prog_detach2 usage in test_lirc_mode2
    - arc: Fix __fls() const-foldability via __builtin_clzl()
    - selftests/bpf: Upon failures, exit with code 1 in test_xsk.sh
    - irqchip/gic-v2m: Handle Multiple MSI base IRQ Alignment
    - ACPI: PRM: Skip handlers with NULL handler_address or NULL VA
    - ACPI: scan: Add Intel CVS ACPI HIDs to acpi_ignore_dep_ids[]
    - power: supply: qcom_battmgr: add OOI chemistry
    - hwmon: (k10temp) Add device ID for Strix Halo
    - hwmon: (sbtsi_temp) AMD CPU extended temperature range support
    - pinctrl: keembay: release allocated memory in detach path
    - power: supply: sbs-charger: Support multiple devices
    - hwmon: sy7636a: add alias
    - irqchip/loongson-pch-lpc: Use legacy domain for PCH-LPC IRQ controller
    - arm64: zynqmp: Revert usb node drive strength and slew rate for zcu106
    - soc/tegra: fuse: Add Tegra114 nvmem cells and fuse lookups
    - ARM: tegra: transformer-20: add missing magnetometer interrupt
    - ARM: tegra: transformer-20: fix audio-codec interrupt
    - mmc: sdhci-msm: Enable tuning for SDR50 mode for SD card
    - ACPICA: dispatcher: Use acpi_ds_clear_operands() in
      acpi_ds_call_control_method()
    - tee: allow a driver to allocate a tee_device without a pool
    - bpf: Do not limit bpf_cgroup_from_id to current's namespace
    - video: backlight: lp855x_bl: Set correct EPROM start for LP8556
    - tools/cpupower: fix error return value in cpupower_write_sysfs()
    - pmdomain: apple: Add "apple,t8103-pmgr-pwrstate"
    - power: supply: qcom_battmgr: handle charging state change notifications
    - bpftool: Fix -Wuninitialized-const-pointer warnings with clang >= 21
    - cpuidle: Fail cpuidle device registration if there is one already
    - spi: rpc-if: Add resume support for RZ/G3E
    - clocksource/drivers/vf-pit: Replace raw_readl/writel to readl/writel
    - riscv: bpf: Fix uninitialized symbol 'retval_off'
    - bpf: Clear pfmemalloc flag when freeing all fragments
    - nvme: Use non zero KATO for persistent discovery connections
    - uprobe: Do not emulate/sstep original instruction when ip is changed
    - hwmon: (asus-ec-sensors) increase timeout for locking ACPI mutex
    - hwmon: (dell-smm) Add support for Dell OptiPlex 7040
    - tools/cpupower: Fix incorrect size in cpuidle_state_disable()
    - tools/power x86_energy_perf_policy: Fix incorrect fopen mode usage
    - tools/power x86_energy_perf_policy: Enhance HWP enable
    - tools/power x86_energy_perf_policy: Prefer driver HWP limits
    - mfd: stmpe: Remove IRQ domain upon removal
    - mfd: stmpe-i2c: Add missing MODULE_LICENSE
    - mfd: madera: Work around false-positive -Wininitialized warning
    - mfd: da9063: Split chip variant reading in two bus transactions
    - drm/amd/display: ensure committing streams is seamless
    - drm/amd/display: Increase AUX Intra-Hop Done Max Wait Duration
    - drm/amd/display: add more cyan skillfish devices
    - drm/amd/display: update dpp/disp clock from smu clock table
    - drm/amd/pm: Use cached metrics data on aldebaran
    - drm/amd/pm: Use cached metrics data on arcturus
    - drm/amdgpu/jpeg: Hold pg_lock before jpeg poweroff
    - drm/nouveau: replace snprintf() with scnprintf() in nvkm_snprintbf()
    - PCI: Disable MSI on RDC PCI to PCIe bridges
    - selftests/net: Replace non-standard __WORDSIZE with sizeof(long) * 8
    - selftests/net: Ensure assert() triggers in psock_tpacket.c
    - wifi: rtw88: sdio: use indirect IO for device registers before power-on
    - drm/amdkfd: return -ENOTTY for unsupported IOCTLs
    - media: pci: ivtv: Don't create fake v4l2_fh
    - media: amphion: Delete v4l2_fh synchronously in .release()
    - drm/tidss: Use the crtc_* timings when programming the HW
    - drm/bridge: cdns-dsi: Fix REG_WAKEUP_TIME value
    - drm/bridge: cdns-dsi: Don't fail on MIPI_DSI_MODE_VIDEO_BURST
    - drm/tidss: Set crtc modesetting parameters with adjusted mode
    - media: i2c: Kconfig: Ensure a dependency on HAVE_CLK for
      VIDEO_CAMERA_SENSOR
    - x86/vsyscall: Do not require X86_PF_INSTR to emulate vsyscall
    - net: stmmac: Check stmmac_hw_setup() in stmmac_resume()
    - ice: Don't use %pK through printk or tracepoints
    - thunderbolt: Use is_pciehp instead of is_hotplug_bridge
    - powerpc/eeh: Use result of error_detected() in uevent
    - s390/pci: Use pci_uevent_ers() in PCI recovery
    - bridge: Redirect to backup port when port is administratively down
    - scsi: ufs: host: mediatek: Fix auto-hibern8 timer configuration
    - scsi: ufs: host: mediatek: Assign power mode userdata before FASTAUTO
      mode change
    - scsi: ufs: host: mediatek: Change reset sequence for improved stability
    - scsi: ufs: host: mediatek: Fix invalid access in vccqx handling
    - drm/bridge: display-connector: don't set OP_DETECT for DisplayPorts
    - drm/amdkfd: Handle lack of READ permissions in SVM mapping
    - iio: adc: spear_adc: mask SPEAR_ADC_STATUS channel and avg sample before
      setting register
    - iio: adc: imx93_adc: load calibrated values even calibration failed
    - usb: gadget: f_ncm: Fix MAC assignment NCM ethernet
    - char: misc: Make misc_register() reentry for miscdevice who wants
      dynamic minor
    - char: misc: Does not request module for miscdevice with dynamic minor
    - net: When removing nexthops, don't call synchronize_net if it is not
      necessary
    - net: Call trace_sock_exceed_buf_limit() for memcg failure with
      SK_MEM_RECV.
    - PCI/P2PDMA: Fix incorrect pointer usage in devm_kfree() call
    - ALSA: usb-audio: Add validation of UAC2/UAC3 effect units
    - rds: Fix endianness annotation for RDS_MPATH_HASH
    - scsi: mpi3mr: Fix controller init failure on fault during queue creation
    - scsi: pm80xx: Fix race condition caused by static variables
    - extcon: adc-jack: Fix wakeup source leaks on device unbind
    - remoteproc: wkup_m3: Use devm_pm_runtime_enable() helper
    - net: phy: fixed_phy: let fixed_phy_unregister free the phy_device
    - fuse: zero initialize inode private data
    - drm/amdkfd: fix vram allocation failure for a special case
    - drm/amdkfd: Tie UNMAP_LATENCY to queue_preemption
    - media: fix uninitialized symbol warnings
    - drm/amdgpu: Respect max pixel clock for HDMI and DVI-D (v2)
    - mips: lantiq: danube: add missing properties to cpu node
    - mips: lantiq: danube: add model to EASY50712 dts
    - mips: lantiq: danube: add missing device_type in pci node
    - mips: lantiq: xway: sysctrl: rename stp clock
    - mips: lantiq: danube: rename stp node on EASY50712 reference board
    - crypto: qat - use kcalloc() in qat_uclo_map_objs_from_mof()
    - scsi: pm8001: Use int instead of u32 to store error codes
    - ptp: Limit time setting of PTP clocks
    - dmaengine: sh: setup_xref error handling
    - dmaengine: mv_xor: match alloc_wc and free_wc
    - dmaengine: dw-edma: Set status for callback_result
    - drm/msm/dsi/phy: Toggle back buffer resync after preparing PLL
    - drm/msm/dsi/phy_7nm: Fix missing initial VCO rate
    - drm/amdgpu: Allow kfd CRIU with no buffer objects
    - ipv6: Add sanity checks on ipv6_devconf.rpl_seg_enabled
    - net: nfc: nci: Increase NCI_DATA_TIMEOUT to 3000 ms
    - media: adv7180: Add missing lock in suspend callback
    - media: adv7180: Do not write format to device in set_fmt
    - media: adv7180: Only validate format in querystd
    - media: verisilicon: Explicitly disable selection api ioctls for decoders
    - ALSA: usb-audio: apply quirk for MOONDROP Quark2
    - net: call cond_resched() less often in __release_sock()
    - smsc911x: add second read of EEPROM mac when possible corruption seen
    - iommu/apple-dart: Clear stream error indicator bits for T8110 DARTs
    - drm/amd: add more cyan skillfish PCI ids
    - drm/amdgpu: don't enable SMU on cyan skillfish
    - drm/amdgpu: add support for cyan skillfish gpu_info
    - usb: gadget: f_hid: Fix zero length packet transfer
    - drm/msm: make sure to not queue up recovery more than once
    - char: Use list_del_init() in misc_deregister() to reinitialize list
      pointer
    - media: ov08x40: Fix the horizontal flip control
    - media: i2c: og01a1b: Specify monochrome media bus format instead of
      Bayer
    - scsi: ufs: host: mediatek: Enhance recovery on resume failure
    - scsi: ufs: host: mediatek: Enhance recovery on hibernation exit failure
    - net: phy: marvell: Fix 88e1510 downshift counter errata
    - scsi: ufs: host: mediatek: Disable auto-hibern8 during power mode
      changes
    - wifi: mac80211: Fix HE capabilities element check
    - phy: cadence: cdns-dphy: Enable lower resolutions in dphy
    - phy: renesas: r8a779f0-ether-serdes: add new step added to latest
      datasheet
    - phy: rockchip: phy-rockchip-inno-csidphy: allow writes to grf register 0
    - net: sh_eth: Disable WoL if system can not suspend
    - selftests: net: replace sleeps in fcnal-test with waits
    - media: redrat3: use int type to store negative error codes
    - selftests: traceroute: Use require_command()
    - netfilter: nf_reject: don't reply to icmp error messages
    - x86/kvm: Prefer native qspinlock for dedicated vCPUs irrespective of
      PV_UNHALT
    - selftests: Disable dad for ipv6 in fcnal-test.sh
    - eth: 8139too: Make 8139TOO_PIO depend on !NO_IOPORT_MAP
    - [Config] disable 8139TOO_PIO for armhf
    - selftests: Replace sleep with slowwait
    - HID: asus: add Z13 folio to generic group for multitouch to work
    - watchdog: s3c2410_wdt: Fix max_timeout being calculated larger
    - crypto: sun8i-ce - remove channel timeout field
    - PCI: dwc: Verify the single eDMA IRQ in dw_pcie_edma_irq_verify()
    - crypto: caam - double the entropy delay interval for retry
    - net/cls_cgroup: Fix task_get_classid() during qdisc run
    - wifi: mt76: mt7921: Add 160MHz beamformee capability for mt7922 device
    - wifi: mt76: mt7996: Temporarily disable EPCS
    - ALSA: serial-generic: remove shared static buffer
    - drm/amdgpu: Use memdup_array_user in amdgpu_cs_wait_fences_ioctl
    - drm/amd: Avoid evicting resources at S5
    - drm/amd/display: Fix DVI-D/HDMI adapters
    - drm/amd/display: Disable VRR on DCE 6
    - ethernet: Extend device_get_mac_address() to use NVMEM
    - HID: i2c-hid: Resolve touchpad issues on Dell systems during S4
    - drm/amdgpu: reject gang submissions under SRIOV
    - selftests/Makefile: include $(INSTALL_DEP_TARGETS) in clean target to
      clean net/lib dependency
    - scsi: ufs: core: Disable timestamp functionality if not supported
    - scsi: lpfc: Check return status of lpfc_reset_flush_io_context during
      TGT_RESET
    - scsi: lpfc: Remove ndlp kref decrement clause for F_Port_Ctrl in
      lpfc_cleanup
    - scsi: lpfc: Define size of debugfs entry for xri rebalancing
    - allow finish_no_open(file, ERR_PTR(-E...))
    - usb: mon: Increase BUFF_MAX to 64 MiB to support multi-MB URBs
    - usb: xhci: plat: Facilitate using autosuspend for xhci plat devices
    - ipv6: np->rxpmtu race annotation
    - ASoC: qcom: sc8280xp: explicitly set S16LE format in
      sc8280xp_be_hw_params_fixup()
    - net: phy: clear link parameters on admin link down
    - net: ethernet: microchip: sparx5: make it selectable for ARCH_LAN969X
    - iommu/vt-d: Replace snprintf with scnprintf in dmar_latency_snapshot()
    - wifi: ath10k: Fix connection after GTK rekeying
    - net: intel: fm10k: Fix parameter idx set but not used
    - sparc/module: Add R_SPARC_UA64 relocation handling
    - sparc64: fix prototypes of reads[bwl]()
    - vfio: return -ENOTTY for unsupported device feature
    - PCI/PM: Skip resuming to D0 if device is disconnected
    - remoteproc: qcom: q6v5: Avoid handling handover twice
    - wifi: ath12k: Increase DP_REO_CMD_RING_SIZE to 256
    - drm/amd/display: Add AVI infoframe copy in copy_stream_update_to_stream
    - NFSv4: handle ERR_GRACE on delegation recalls
    - NFSv4.1: fix mount hang after CREATE_SESSION failure
    - net: bridge: Install FDB for bridge MAC on VLAN 0
    - scsi: libfc: Fix potential buffer overflow in fc_ct_ms_fill()
    - accel/habanalabs/gaudi2: fix BMON disable configuration
    - scsi: mpt3sas: Add support for 22.5 Gbps SAS link rate
    - accel/habanalabs: return ENOMEM if less than requested pages were pinned
    - accel/habanalabs/gaudi2: read preboot status after recovering from dirty
      state
    - fs: ext4: change GFP_KERNEL to GFP_NOFS to avoid deadlock
    - ext4: increase IO priority of fastcommit
    - ASoC: stm32: sai: manage context in set_sysclk callback
    - ASoC: tlv320aic3x: Fix class-D initialization for tlv320aic3007
    - net/mlx5e: Don't query FEC statistics when FEC is disabled
    - net: macb: avoid dealing with endianness in macb_set_hwaddr()
    - Bluetooth: btusb: Check for unexpected bytes when defragmenting HCI
      frames
    - ALSA: usb-audio: add mono main switch to Presonus S1824c
    - exfat: limit log print for IO error
    - 6pack: drop redundant locking and refcounting
    - page_pool: Clamp pool size to max 16K pages
    - ksmbd: use sock_create_kern interface to create kernel socket
    - smb: client: transport: avoid reconnects triggered by pending task work
    - char: misc: restrict the dynamic range to exclude reserved minors
    - ACPICA: Update dsmethod.c to get rid of unused variable warning
    - RDMA/irdma: Fix SD index calculation
    - RDMA/irdma: Remove unused struct irdma_cq fields
    - RDMA/irdma: Set irdma_cq cq_num field during CQ create
    - RDMA/hns: Fix the modification of max_send_sge
    - RDMA/hns: Fix wrong WQE data when QP wraps around
    - btrfs: mark dirty extent range for out of bound prealloc extents
    - fs/hpfs: Fix error code for new_inode() failure in
      mkdir/create/mknod/symlink
    - um: Fix help message for ssl-non-raw
    - clk: sunxi-ng: sun6i-rtc: Add A523 specifics
    - rtc: pcf2127: clear minute/second interrupt
    - ARM: at91: pm: save and restore ACR during PLL disable/enable
    - clk: at91: clk-master: Add check for divide by 3
    - clk: at91: clk-sam9x60-pll: force write to PLL_UPDT register
    - clk: ti: am33xx: keep WKUP_DEBUGSS_CLKCTRL enabled
    - NTB: epf: Allow arbitrary BAR mapping
    - 9p: fix /sys/fs/9p/caches overwriting itself
    - cpufreq: tegra186: Initialize all cores to max frequencies
    - 9p: sysfs_init: don't hardcode error to ENOMEM
    - scsi: ufs: core: Include UTP error in INT_FATAL_ERRORS
    - ACPI: property: Return present device nodes only on fwnode interface
    - tools bitmap: Add missing asm-generic/bitsperlong.h include
    - tools: lib: thermal: don't preserve owner in install
    - tools: lib: thermal: use pkg-config to locate libnl3
    - rtc: pcf2127: fix watchdog interrupt mask on pcf2131
    - kbuild: uapi: Strip comments before size type check
    - ASoC: meson: aiu-encoder-i2s: fix bit clock polarity
    - ceph: add checking of wait_for_completion_killable() return value
    - ceph: refactor wake_up_bit() pattern of calling
    - ALSA: hda/realtek: Audio disappears on HP 15-fc000 after warm boot again
    - media: uvcvideo: Use heuristic to find stream entity
    - net: libwx: fix device bus LAN ID
    - riscv: Improve exception and system call latency
    - riscv: ptdump: use seq_puts() in pt_dump_seq_puts() macro
    - Bluetooth: btrtl: Fix memory leak in rtlbt_parse_firmware_v2()
    - net: dsa: tag_brcm: legacy: fix untagged rx on unbridged ports for
      bcm63xx
    - selftests/net: fix out-of-order delivery of FIN in gro:tcp test
    - selftests/net: use destination options instead of hop-by-hop
    - netdevsim: add Makefile for selftests
    - selftests: netdevsim: Fix ethtool-coalesce.sh fail by installing
      ethtool-common.sh
    - net: vlan: sync VLAN features with lower device
    - net: dsa: b53: fix resetting speed and pause on forced link
    - net: dsa: b53: fix enabling ip multicast
    - net: dsa: b53: stop reading ARL entries if search is done
    - sctp: Hold RCU read lock while iterating over address list
    - sctp: Hold sock lock while iterating over address list
    - bnxt_en: Fix a possible memory leak in bnxt_ptp_init
    - wifi: mac80211_hwsim: Limit destroy_on_close radio removal to netgroup
    - net/mlx5e: Use extack in get module eeprom by page callback
    - net/mlx5e: Fix return value in case of module EEPROM read error
    - net/mlx5e: SHAMPO, Fix skb size check for 64K pages
    - net: dsa: microchip: Fix reserved multicast address table programming
    - net: bridge: fix MST static key usage
    - tracing: Fix memory leaks in create_field_var()
    - drm/amd/display: Enable mst when it's detected but yet to be initialized
    - rtc: rx8025: fix incorrect register reference
    - x86/microcode/AMD: Add more known models to entry sign checking
    - smb: client: validate change notify buffer before copy
    - lib/crypto: curve25519-hacl64: Fix older clang KASAN workaround for GCC
    - scsi: ufs: ufs-pci: Fix S0ix/S3 for Intel controllers
    - extcon: adc-jack: Cleanup wakeup source only if it was enabled
    - drm/amdgpu: Fix function header names in amdgpu_connectors.c
    - drm/amd/display: Fix black screen with HDMI outputs
    - riscv: stacktrace: fix backtracing through exceptions
    - selftests: netdevsim: set test timeout to 10 minutes
    - drm/i915: Fix conversion between clock ticks and nanoseconds
    - smb: client: fix refcount leak in smb2_set_path_attr
    - iommufd: Make vfio_compat's unmap succeed if the range is already empty
    - drm/amd: Fix suspend failure with secure display TA
    - compiler_types: Move unused static inline functions warning to W=2
    - RISC-V: clear hot-unplugged cores from all task mm_cpumasks to avoid
      rfence errors
    - riscv: acpi: avoid errors caused by probing DT devices when ACPI is used
    - drm/amd/pm: Disable MCLK switching on SI at high pixel clocks
    - NFS4: Fix state renewals missing after boot
    - HID: quirks: avoid Cooler Master MM712 dongle wakeup bug
    - NFS: check if suid/sgid was cleared after a write as needed
    - HID: quirks: Add ALWAYS_POLL quirk for VRS R295 steering wheel
    - ASoC: max98090/91: fixed max98091 ALSA widget powering up/down
    - wifi: ath11k: zero init info->status in wmi_process_mgmt_tx_comp()
    - selftests: net: local_termination: Wait for interfaces to come up
    - net: fec: correct rx_bytes statistic for the case SHIFT16 is set
    - Bluetooth: 6lowpan: fix BDADDR_LE vs ADDR_LE_DEV address type confusion
    - Bluetooth: 6lowpan: Don't hold spin lock over sleeping functions
    - net/smc: fix mismatch between CLC header and proposal
    - net/handshake: Fix memory leak in tls_handshake_accept()
    - net: mdio: fix resource leak in mdiobus_register_device()
    - wifi: mac80211: skip rate verification for not captured PSDUs
    - net_sched: act_connmark: use RCU in tcf_connmark_dump()
    - net/mlx5e: Fix maxrate wraparound in threshold between units
    - net/mlx5e: Fix wraparound in rate limiting for values above 255 Gbps
    - net/mlx5e: Fix potentially misleading debug message
    - net_sched: limit try_bulk_dequeue_skb() batches
    - virtio-net: fix incorrect flags recording in big mode
    - hsr: Fix supervision frame sending on HSRv0
    - ACPI: CPPC: Check _CPC validity for only the online CPUs
    - ACPI: CPPC: Perform fast check switch only for online CPUs
    - ACPI: CPPC: Limit perf ctrs in PCC check only to online CPUs
    - Bluetooth: L2CAP: export l2cap_chan_hold for modules
    - cifs: stop writeback extension when change of size is detected
    - cifs: Fix uncached read into ITER_KVEC iterator
    - acpi,srat: Fix incorrect device handle check for Generic Initiator
    - regulator: fixed: fix GPIO descriptor leak on register failure
    - ASoC: cs4271: Fix regulator leak on probe failure
    - ASoC: codecs: va-macro: fix resource leak in probe error path
    - ASoC: tas2781: fix getting the wrong device number
    - pnfs: Fix TLS logic in _nfs4_pnfs_v4_ds_connect()
    - NFS: enable nconnect for RDMA
    - pnfs: Set transport security policy to RPC_XPRTSEC_NONE unless using TLS
    - NFS: sysfs: fix leak when nfs_client kobject add fails
    - NFSv4: Fix an incorrect parameter when calling nfs4_call_sync()
    - acpi/hmat: Fix lockdep warning for hmem_register_resource()
    - irqchip/riscv-intc: Add missing free() callback in riscv_intc_domain_ops
    - lib/crypto: arm/curve25519: Disable on CPU_BIG_ENDIAN
    - mtd: onenand: Pass correct pointer to IRQ handler
    - arm64: dts: rockchip: Set correct pinctrl for I2S1 8ch TX on odroid-m1
    - ARM: dts: imx51-zii-rdu1: Fix audmux node names
    - HID: hid-ntrig: Prevent memory leak in ntrig_report_version()
    - ARM: dts: BCM53573: Fix address of Luxul XAP-1440's Ethernet PHY
    - HID: uclogic: Fix potential memory leak in error path
    - KVM: SVM: Mark VMCB_LBR dirty when MSR_IA32_DEBUGCTLMSR is updated
    - gcov: add support for GCC 15
    - strparser: Fix signed/unsigned mismatch bug
    - dma-mapping: benchmark: Restore padding to ensure uABI remained
      consistent
    - LoongArch: Use correct accessor to read FWPC/MWPC
    - LoongArch: Let {pte,pmd}_modify() record the status of _PAGE_DIRTY
    - selftests/tracing: Run sample events to clear page cache events
    - wifi: mac80211: reject address change while connecting
    - mm/mm_init: fix hash table order logging in alloc_large_system_hash()
    - mmc: sdhci-of-dwcmshc: Change DLL_STRBIN_TAPNUM_DEFAULT to 0x4
    - crypto: hisilicon/qm - Fix device reference leak in qm_get_qos_value
    - smb: client: fix cifs_pick_channel when channel needs reconnect
    - spi: Try to get ACPI GPIO IRQ earlier
    - x86/microcode/AMD: Add Zen5 model 0x44, stepping 0x1 minrev
    - selftests/user_events: fix type cast for write_index packed member in
      perf_test
    - LoongArch: Use physical addresses for CSR_MERRENTRY/CSR_TLBRENTRY
    - EDAC/altera: Handle OCRAM ECC enable after warm reset
    - EDAC/altera: Use INTTEST register for Ethernet and USB SBE injection
    - btrfs: scrub: put bio after errors in scrub_raid56_parity_stripe()
    - btrfs: do not update last_log_commit when logging inode due to a new
      name
    - pmdomain: samsung: plug potential memleak during probe
    - selftests: mptcp: connect: fix fallback note due to OoO
    - selftests: mptcp: join: rm: set backup flag
    - selftests: mptcp: connect: trunc: read all recv data
    - Revert "perf dso: Add missed dso__put to dso__load_kcore"
    - mm, percpu: do not consider sleepable allocations atomic
    - netpoll: remove netpoll_srcu
    - net: netpoll: Individualize the skb pool
    - net: netpoll: flush skb pool during cleanup
    - scsi: ufs: core: Add UFSHCD_QUIRK_CUSTOM_CRYPTO_PROFILE
    - scsi: ufs: core: fold ufshcd_clear_keyslot() into its caller
    - scsi: ufs: core: Add UFSHCD_QUIRK_BROKEN_CRYPTO_ENABLE
    - scsi: ufs: core: Add fill_crypto_prdt variant op
    - scsi: ufs: core: Add UFSHCD_QUIRK_KEYS_IN_PRDT
    - scsi: ufs: core: Add a quirk for handling broken LSDBS field in
      controller capabilities register
    - scsi: ufs: core: Add a quirk to suppress link_startup_again
    - scsi: ufs: ufs-pci: Set UFSHCD_QUIRK_PERFORM_LINK_STARTUP_ONCE for Intel
      ADL
    - filemap: cap PTE range to be created to allowed zero fill in
      folio_map_range()
    - mm/memory: do not populate page table entries beyond i_size
    - mm/truncate: unmap large folio on split failure
    - net: netpoll: ensure skb_pool list is always initialized
    - memory tiers: use default_dram_perf_ref_source in log message
    - memcg: fix data-race KCSAN bug in rstats
    - s390/pci: Restore IRQ unconditionally for the zPCI device
    - wifi: ath11k: add support for MU EDCA
    - wifi: ath11k: avoid bit operation on key flags
    - wifi: mac80211: don't mark keys for inactive links as uploaded
    - wifi: mac80211: fix key tailroom accounting leak
    - kunit: test_dev_action: Correctly cast 'priv' pointer to long*
    - bpf: Find eligible subprogs for private stack support
    - bpf, x86: Avoid repeated usage of bpf_prog->aux->stack_depth
    - bpf: Do not audit capability check in do_jit()
    - Bluetooth: ISO: Update hci_conn_hash_lookup_big for Broadcast slave
    - Bluetooth: ISO: Fix BIS connection dst_type handling
    - dpll: spec: add missing module-name and clock-id to pin-get reply
    - ASoC: fsl_sai: Fix sync error in consumer mode
    - ACPI: fan: Use ACPI handle when retrieving _FST
    - drm/sched: avoid killing parent entity on child SIGKILL
    - drm/nouveau: Fix race in nouveau_sched_fini()
    - drm/ast: Clear preserved bits from register output value
    - drm/amd: Check that VPE has reached DPM0 in idle handler
    - drm/amd/display: Fix incorrect return of vblank enable on unconfigured
      crtc
    - firmware: qcom: scm: preserve assign_mem() error return value
    - soc: ti: pruss: don't use %pK through printk
    - bpf: Use tnums for JEQ/JNE is_branch_taken logic
    - ACPI: video: force native for Lenovo 82K8
    - libbpf: Fix USDT SIB argument handling causing unrecognized register
      error
    - ACPI: resource: Skip IRQ override on ASUS Vivobook Pro N6506CU
    - thermal: gov_step_wise: Allow cooling level to be reduced earlier
    - thermal: intel: selftests: workload_hint: Mask unsupported types
    - cpufreq: ondemand: Update the efficient idle check for Intel extended
      Families
    - pwm: pca9685: Use bulk write to atomicially update registers
    - i3c: mipi-i3c-hci-pci: Add support for Intel Wildcat Lake-U I3C
    - hwmon: (dell-smm) Remove Dell Precision 490 custom config data
    - selftests/bpf: Fix flaky bpf_cookie selftest
    - mfd: core: Increment of_node's refcount before linking it to the
      platform device
    - mfd: intel-lpss: Add Intel Wildcat Lake LPSS PCI IDs
    - drm/amdgpu: add range check for RAS bad page address
    - drm/amdgpu: Check vcn sram load return value
    - ASoC: mediatek: Use SND_JACK_AVOUT for HDMI/DP jacks
    - drm/amd/display: Reset apply_eamless_boot_optimization when dpms_off
    - wifi: rtw89: print just once for unknown C2H events
    - PCI/ERR: Update device error_state already after reset
    - scsi: ufs: host: mediatek: Fix PWM mode switch issue
    - HID: pidff: Use direction fix only for conditional effects
    - HID: pidff: PERMISSIVE_CONTROL quirk autodetection
    - wifi: rtw89: fix BSSID comparison for non-transmitted BSSID
    - dm error: mark as DM_TARGET_PASSES_INTEGRITY
    - bnxt_en: Add Hyper-V VF ID
    - idpf: do not linearize big TSO packets
    - net: wangxun: limit tx_max_coalesced_frames_irq
    - rpmsg: char: Export alias for RPMSG ID rpmsg-raw from table
    - net: ipv4: allow directed broadcast routes to use dst hint
    - scsi: mpi3mr: Fix I/O failures during controller reset
    - drm/amd/display: Support HW cursor 180 rot for any number of pipe splits
    - media: pci: mgb4: Fix timings comparison in VIDIOC_S_DV_TIMINGS
    - ASoC: SOF: ipc4-pcm: Add fixup for channels
    - drm/amdgpu: Avoid vcn v5.0.1 poison irq call trace on sriov guest
    - inet_diag: annotate data-races in inet_diag_bc_sk()
    - scsi: ufs: exynos: fsd: Gate ref_clk and put UFS device in reset on
      suspend
    - drm/xe/guc: Increase GuC crash dump buffer size
    - drm: panel-backlight-quirks: Make EDID match optional
    - PCI: imx6: Enable the Vaux supply if available
    - drm/xe/guc: Set upper limit of H2G retries over CTB
    - crypto: ccp: Skip SEV and SNP INIT for kdump boot
    - drm/amd/display: Fix pbn_div Calculation Error
    - tty/vt: Add missing return value for VT_RESIZE in vt_ioctl()
    - PCI: endpoint: pci-epf-test: Limit PCIe BAR size for fixed BARs
    - selftests: mptcp: join: allow more time to send ADD_ADDR
    - scsi: ufs: host: mediatek: Correct system PM flow
    - selftests: traceroute: Return correct value on failure
    - openrisc: Add R_OR1K_32_PCREL relocation type module support
    - wifi: mt76: mt76_eeprom_override to int
    - wifi: mt76: mt7996: fix memory leak on mt7996_mcu_sta_key_tlv error
    - drm/amd/display: Set up pixel encoding for YCBCR422
    - drm/amd/display: fix dml ms order of operations
    - scsi: lpfc: Clean up allocated queues when queue setup mbox commands
      fail
    - scsi: lpfc: Decrement ndlp kref after FDISC retries exhausted
    - scsi: lpfc: Ensure PLOGI_ACC is sent prior to PRLI in Point to Point
      topology
    - wifi: rtw89: renew a completion for each H2C command waiting C2H event
    - usb: xhci-pci: add support for hosts with zero USB3 ports
    - RDMA/ipoib: Remove NULL check before dev_{put, hold}
    - IB/ipoib: Ignore L3 master device
    - bus: mhi: core: Improve mhi_sync_power_up handling for SYS_ERR state
    - wifi: mac80211: Track NAN interface start/stop
    - crypto: hisilicon/qm - invalidate queues in use
    - crypto: hisilicon/qm - adjust the internal processing sequence of the vf
      enable and disable
    - crypto: hisilicon/qm - clear all VF configurations in the hardware
    - selftests: forwarding: Reorder (ar)ping arguments to obey POSIX getopt
    - net: dsa: microchip: Set SPI as bus interface during reset for KSZ8463
    - drm/amd/display: Init dispclk from bootup clock for DCN314
    - drm/amd/display: Fix for test crash due to power gating
    - drm/amd/display: change dc stream color settings only in atomic commit
    - ACPI: scan: Update honor list for RPMI System MSI
    - vfio/pci: Fix INTx handling on legacy non-PCI 2.3 devices
    - Bluetooth: btusb: Add new VID/PID 13d3/3633 for MT7922
    - net: stmmac: est: Drop frames causing HLBS error
    - usb: xhci-pci: Fix USB2-only root hub registration
    - drm/amd/display: Add fallback path for YCBCR422
    - RDMA/hns: Fix recv CQ and QP cache affinity
    - clk: clocking-wizard: Fix output clock register offset for Versal
      platforms
    - LoongArch: Handle new atomic instructions for probes
    - net: wwan: t7xx: add support for HP DRMR-H01
    - ceph: fix potential race condition in ceph_ioctl_lazyio()
    - net: ionic: add dma_wmb() before ringing TX doorbell
    - net: ionic: map SKB after pseudo-header checksum prep
    - bnxt_en: Add mem_valid bit to struct bnxt_ctx_mem_type
    - bnxt_en: Refactor bnxt_free_ctx_mem()
    - bnxt_en: Add a 'force' parameter to bnxt_free_ctx_mem()
    - net: wan: framer: pef2256: Switch to devm_mfd_add_devices()
    - drm/amdgpu/smu: Handle S0ix for vangogh
    - drm/amd/display: update color on atomic commit time
    - drm/mediatek: Add pm_runtime support for GCE power control
    - arm64: kprobes: check the return value of set_memory_rox()
    - NFS4: Apply delay_retrans to async operations
    - HID: nintendo: Wait longer for initial probe
    - HID: logitech-hidpp: Add HIDPP_QUIRK_RESET_HI_RES_SCROLL
    - NFSD: Skip close replay processing if XDR encoding fails
    - net: ethernet: ti: am65-cpsw-qos: fix IET verify/response timeout
    - net: ethernet: ti: am65-cpsw-qos: fix IET verify retry mechanism
    - proc: fix the issue of proc_mem_open returning NULL
    - ext4: introduce ITAIL helper
    - LoongArch: KVM: Add delay until timer interrupt injected
    - nfsd: add missing FATTR4_WORD2_CLONE_BLKSIZE from supported attributes
    - ftrace: Fix BPF fexit with livepatch
    - btrfs: zoned: fix conventional zone capacity calculation
    - btrfs: release root after error in data_reloc_print_warning_inode()
    - pmdomain: imx: Fix reference count leak in imx_gpc_remove
    - selftests: mptcp: join: userspace: longer transfer
    - selftests: mptcp: join: properly kill background tasks
    - wifi: cfg80211: add an hrtimer based delayed work item
    - proc: proc_maps_open allow proc_mem_open to return NULL
    - Bluetooth: MGMT: fix crash in set_mesh_sync and set_mesh_complete
    - Upstream stable to v6.6.117, v6.12.58, v6.12.59
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68204
    - pmdomain: arm: scmi: Fix genpd leak on provider registration failure
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-22107
    - net: dsa: sja1105: fix kasan out-of-bounds warning in
      sja1105_table_delete_entry()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-39981
    - Bluetooth: MGMT: Fix possible UAFs
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-22121
    - ext4: fix out-of-bound read in ext4_xattr_inode_dec_ref_all()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-23129
    - wifi: ath11k: Clear affinity hint before calling ath11k_pcic_free_irq()
      in error path
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40287
    - exfat: fix improper check of dentry.stream.valid_size
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40289
    - drm/amdgpu: hide VRAM sysfs attributes on GPUs without VRAM
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68201
    - drm/amdgpu: remove two invalid BUG_ON()s
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68180
    - drm/amd/display: Fix NULL deref in debugfs odm_combine_segments
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68322
    - parisc: Avoid crash due to unaligned access in unwinder
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40305
    - 9p/trans_fd: p9_fd_request: kick rx thread if EPOLLIN
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40307
    - exfat: validate cluster allocation bits of the allocation bitmap
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68190
    - drm/amdgpu/atom: Check kcalloc() for WS buffer in
      amdgpu_atom_execute_table_locked()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68315
    - f2fs: fix to detect potential corrupted nid in free_nid_list
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40339
    - drm/amdgpu: fix nullptr err of vm_handle_moved
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68311
    - tty: serial: ip22zilog: Use platform device for probing
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68313
    - x86/CPU/AMD: Add RDSEED fix for Zen5
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40360
    - drm/sysfb: Do not dereference NULL pointer in plane reset
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68734
    - isdn: mISDN: hfcsusb: fix memory leak in hfcsusb_probe()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40272
    - mm/secretmem: fix use-after-free race in fault handler
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40077
    - f2fs: fix to avoid overflow while left shift operation
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68245
    - net: netpoll: fix incorrect refcount handling causing incorrect cleanup
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40293
    - iommufd: Don't overflow during division for dirty tracking
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40303
    - btrfs: ensure no dirty metadata is written back for an fs with errors
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68184
    - drm/mediatek: Disable AFBC support on Mediatek DRM driver
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40268
    - cifs: client: fix memory leak in smb3_fs_context_parse_param
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40269
    - ALSA: usb-audio: Fix potential overflow of PCM transfer buffer
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40271
    - fs/proc: fix uaf in proc_readdir_de()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68241
    - ipv4: route: Prevent rt_bind_exception() from rebinding stale fnhe
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68246
    - ksmbd: close accepted socket when per-IP limit rejects connection
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40273
    - NFSD: free copynotify stateid in nfs4_free_ol_stateid()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68208
    - bpf: account for current allocated stack depth in
      widen_imprecise_scalars()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68200
    - bpf: Add bpf_prog_run_data_pointers()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40275
    - ALSA: usb-audio: Fix NULL pointer dereference in
      snd_usb_mixer_controls_badd
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40277
    - drm/vmwgfx: Validate command header size against SVGA_CMD_MAX_DATASIZE
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40278
    - net: sched: act_ife: initialize struct tc_ife to fix KMSAN kernel-
      infoleak
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40279
    - net: sched: act_connmark: initialize struct tc_ife to fix kernel leak
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40280
    - tipc: Fix use-after-free in tipc_mon_reinit_self().
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40281
    - sctp: prevent possible shift-out-of-bounds in sctp_transport_update_rto
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40282
    - Bluetooth: 6lowpan: reset link-local header on ipv6 recv path
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40283
    - Bluetooth: btusb: reorder cleanup in btusb_disconnect to avoid UAF
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40284
    - Bluetooth: MGMT: cancel mesh send timer when hdev removed
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40285
    - smb/server: fix possible refcount leak in smb2_sess_setup()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40286
    - smb/server: fix possible memory leak in smb2_read()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40288
    - drm/amdgpu: Fix NULL pointer dereference in VRAM logic for APU devices
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68244
    - drm/i915: Avoid lock inversion when pinning to GGTT on CHV/BXT+VTD
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40292
    - virtio-net: fix received length check in big packets
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40328
    - smb: client: fix potential UAF in smb2_close_cached_fid()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40294
    - Bluetooth: MGMT: Fix OOB access in parse_adv_monitor_pattern()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40329
    - drm/sched: Fix deadlock in drm_sched_entity_kill_jobs_cb
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68320
    - lan966x: Fix sleeping in atomic context
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68192
    - net: usb: qmi_wwan: initialize MAC header offset in qmimux_rx_fixup
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40331
    - sctp: Prevent TOCTOU out-of-bounds write
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40301
    - Bluetooth: hci_event: validate skb length for unknown CC opcode
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40358
    - riscv: stacktrace: Disable KASAN checks for non-current tasks
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40304
    - fbdev: Add bounds checking in bit_putcs to fix vmalloc-out-of-bounds
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68183
    - ima: don't clear IMA_DIGSIG flag when setting or removing non-IMA xattr
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68173
    - ftrace: Fix softlockup in ftrace_module_enable
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40306
    - orangefs: fix xattr related buffer overflow...
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40308
    - Bluetooth: bcsp: receive data only if registered
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40309
    - Bluetooth: SCO: Fix UAF on sco_conn_free
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40310
    - amd/amdkfd: resolve a race in amdgpu_amdkfd_device_fini_sw
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40311
    - accel/habanalabs: support mapping cb with vmalloc-backed coherent memory
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68185
    - nfs4_setup_readdir(): insufficient locking for ->d_parent->d_inode
      dereferencing
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68176
    - PCI: cadence: Check for the existence of cdns_pcie::ops before using it
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68168
    - jfs: fix uninitialized waitqueue in transaction manager
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40312
    - jfs: Verify inode mode when loading from disk
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40333
    - f2fs: fix infinite loop in __insert_extent_tree()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68321
    - page_pool: always add GFP_NOWARN for ATOMIC allocations
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68191
    - udp_tunnel: use netdev_warn() instead of netdev_WARN()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40313
    - ntfs3: pretend $Extend records as regular files
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40314
    - usb: cdns3: gadget: Use-after-free during failed initialization and exit
      of cdnsp gadget
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40337
    - net: stmmac: Correctly handle Rx checksum offload errors
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68194
    - media: imon: make send_packet() more robust
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40363
    - net: ipv6: fix field-spanning memcpy warning in AH output
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68178
    - blk-cgroup: fix possible deadlock while configuring policy
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40341
    - futex: Don't leak robust_list pointer on exec race
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40342
    - nvme-fc: use lock accessing port_state and rport state
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40343
    - nvmet-fc: avoid scheduling association deletion twice
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68177
    - cpufreq/longhaul: handle NULL policy in longhaul_exit
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40315
    - usb: gadget: f_fs: Fix epfile null pointer access after ep enable.
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68310
    - s390/pci: Avoid deadlock between PCI error recovery and mlx5 crdump
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68179
    - s390: Disable ARCH_WANT_OPTIMIZE_HUGETLB_VMEMMAP
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40317
    - regmap: slimbus: fix bus_context pointer in regmap init calls
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40318
    - Bluetooth: hci_sync: fix race in hci_cmd_sync_dequeue_once
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68312
    - usbnet: Prevents free active kevent
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68172
    - crypto: aspeed - fix double free caused by devm
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40319
    - bpf: Sync pending IRQ work before freeing ring buffer
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-68171
    - x86/fpu: Ensure XFD state on signal delivery
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40320
    - smb: client: fix potential cfid UAF in smb2_query_info_compound
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40321
    - wifi: brcmfmac: fix crash while sending Action Frames in standalone AP
      Mode
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40322
    - fbdev: bitblit: bound-check glyph index in bit_putcs*
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40211
    - ACPI: video: Fix use-after-free in acpi_video_switch_brightness()
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40323
    - fbcon: Set fb_display[i]->mode to NULL when the mode is released
  * Noble update: upstream stable patchset 2026-01-30 (LP: #2139460) //
    CVE-2025-40324
    - NFSD: Fix crash in nfsd4_read_release()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282)
    - exec: Fix incorrect type for ret
    - hfs: clear offset and space out of valid records in b-tree node
    - hfs: make proper initalization of struct hfs_find_data
    - dlm: check for defined force value in dlm_lockspace_release
    - hfsplus: return EIO when type of hidden directory mismatch in
      hfsplus_fill_super()
    - lkdtm: fortify: Fix potential NULL dereference on kmalloc failure
    - m68k: bitops: Fix find_*_bit() signatures
    - powerpc/32: Remove PAGE_KERNEL_TEXT to fix startup failure
    - drivers/perf: hisi: Relax the event ID check in the framework
    - smb: server: let smb_direct_flush_send_list() invalidate a remote key
      first
    - Unbreak 'make tools/*' for user-space targets
    - net/mlx5e: Return 1 instead of 0 in invalid case in
      mlx5e_mpwrq_umr_entry_size()
    - rtnetlink: Allow deleting FDB entries in user namespace
    - net: enetc: correct the value of ENETC_RXB_TRUESIZE
    - dpaa2-eth: fix the pointer passed to PTR_ALIGN on Tx path
    - can: bxcan: bxcan_start_xmit(): use can_dev_dropped_skb() instead of
      can_dropped_invalid_skb()
    - selftests: net: fix server bind failure in sctp_vrf.sh
    - net/mlx5e: Reuse per-RQ XDP buffer to avoid stack zeroing overhead
    - net/mlx5e: RX, Fix generating skb from non-linear xdp_buff for legacy RQ
    - arm64, mm: avoid always making PTE dirty in pte_mkwrite()
    - net: bonding: fix possible peer notify event loss or dup issue
    - dma-debug: don't report false positives with
      DMA_BOUNCE_UNALIGNED_KMALLOC
    - gpio: pci-idio-16: Define maximum valid register address offset
    - gpio: 104-idio-16: Define maximum valid register address offset
    - Revert "cpuidle: menu: Avoid discarding useful information"
    - ACPICA: Work around bogus -Wstringop-overread warning since GCC 11
    - can: netlink: can_changelink(): allow disabling of automatic restart
    - cifs: Fix TCP_Server_Info::credits to be signed
    - MIPS: Malta: Fix keyboard resource preventing i8042 driver from
      registering
    - net: stmmac: dwmac-rk: Fix disabling set_clock_selection
    - net: usb: rtl8150: Fix frame padding
    - net: ravb: Enforce descriptor type ordering
    - net: ravb: Ensure memory write completes before ringing TX doorbell
    - selftests: mptcp: join: mark 'flush re-add' as skipped if not supported
    - selftests: mptcp: join: mark implicit tests as skipped if not supported
    - spi: spi-nxp-fspi: add extra delay after dll locked
    - firmware: arm_scmi: Fix premature SCMI_XFER_FLAG_IS_RAW clearing in raw
      mode
    - RISC-V: Define pgprot_dmacoherent() for non-coherent devices
    - RISC-V: Don't print details of CPUs disabled in DT
    - hwmon: (sht3x) Fix error handling
    - gpio: ljca: Fix duplicated IRQ mapping
    - io_uring: correct __must_hold annotation in io_install_fixed_file
    - sched: Remove never used code in mm_cid_get()
    - USB: serial: option: add UNISOC UIS7720
    - USB: serial: option: add Quectel RG255C
    - USB: serial: option: add Telit FN920C04 ECM compositions
    - usb/core/quirks: Add Huawei ME906S to wakeup quirk
    - usb: raw-gadget: do not limit transfer length
    - xhci: dbc: enable back DbC in resume if it was enabled before suspend
    - x86/microcode: Fix Entrysign revision check for Zen1/Naples
    - binder: remove "invalid inc weak" check
    - mei: me: add wildcat lake P DID
    - misc: fastrpc: Fix dma_buf object leak in fastrpc_map_lookup
    - tcpm: switch check for role_sw device with fw_node
    - dt-bindings: usb: dwc3-imx8mp: dma-range is required only for imx8mp
    - serial: 8250_dw: handle reset control deassert error
    - serial: 8250_exar: add support for Advantech 2 port card with Device ID
      0x0018
    - serial: 8250_mtk: Enable baud clock and manage in runtime PM
    - devcoredump: Fix circular locking dependency with devcd->mutex.
    - xfs: always warn about deprecated mount options
    - fuse: allocate ff->release_args only if release is needed
    - audit: record fanotify event regardless of presence of rules
    - perf: Use current->flags & PF_KTHREAD|PF_USER_WORKER instead of
      current->mm == NULL
    - perf: Have get_perf_callchain() return NULL if crosstask and user are
      set
    - perf: Skip user unwind if the task is a kernel thread
    - x86/bugs: Report correct retbleed mitigation status
    - x86/bugs: Fix reporting of LFENCE retpoline
    - EDAC/mc_sysfs: Increase legacy channel support to 16
    - btrfs: zoned: return error from btrfs_zone_finish_endio()
    - btrfs: zoned: refine extent allocator hint selection
    - btrfs: scrub: replace max_t()/min_t() with clamp() in
      scrub_throttle_dev_io()
    - btrfs: always drop log root tree reference in btrfs_replay_log()
    - btrfs: use level argument in log tree walk callback replay_one_buffer()
    - btrfs: use smp_mb__after_atomic() when forcing COW in
      create_pending_snapshot()
    - arch: Add the macro COMPILE_OFFSETS to all the asm-offsets.c
    - mptcp: pm: in-kernel: C-flag: handle late ADD_ADDR
    - selftests: mptcp: disable add_addr retrans in endpoint_tests
    - selftests: mptcp: join: mark 'delete re-add signal' as skipped if not
      supported
    - serial: sc16is7xx: remove useless enable of enhanced features
    - xhci: dbc: poll at different rate depending on data transfer activity
    - xhci: dbc: Allow users to modify DbC poll interval via sysfs
    - xhci: dbc: Improve performance by removing delay in transfer event
      polling.
    - xhci: dbc: Avoid event polling busyloop if pending rx transfers are
      inactive.
    - xhci: dbc: fix bogus 1024 byte prefix if ttyDBC read races with stall
      event
    - bits: add comments and newlines to #if, #else and #endif directives
    - bits: introduce fixed-type GENMASK_U*()
    - gpio: regmap: Allow to allocate regmap-irq device
    - gpio: regmap: add the .fixed_direction_output configuration parameter
    - gpio: idio-16: Define fixed direction of the GPIO lines
    - PCI: Test for bit underflow in pcie_set_readrq()
    - arm64: sysreg: Correct sign definitions for EIESB and DoubleLock
    - s390/mm: Use __GFP_ACCOUNT for user page table allocations
    - ptp: ocp: Fix typo using index 1 instead of i in SMA initialization loop
    - riscv: hwprobe: avoid uninitialized variable use in hwprobe_arch_id()
    - perf/x86/intel: Add ICL_FIXED_0_ADAPTIVE bit into INTEL_FIXED_BITS_MASK
    - cpuset: Use new excpus for nocpu error check when enabling root
      partition
    - btrfs: abort transaction on specific error places when walking log tree
    - btrfs: abort transaction in the process_one_buffer() log tree walk
      callback
    - btrfs: abort transaction if we fail to update inode in log replay dir
      fixup
    - btrfs: tree-checker: add inode extref checks
    - docs: kdoc: handle the obsolescensce of docutils.ErrorString()
    - bonding: return detailed error when loading native XDP fails
    - btrfs: tree-checker: fix bounds check in check_inode_extref()
    - Upstream stable to v6.6.115, v6.6.116, v6.12.56, v6.12.57
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-37860
    - sfc: fix NULL dereferences in ef100_process_design_param()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-21833
    - iommu/vt-d: Avoid use of NULL after WARN_ON_ONCE
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-22105
    - bonding: check xdp prog when set bond mode
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-38643
    - wifi: cfg80211: Add missing lock in cfg80211_check_and_end_cac()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-23130
    - f2fs: fix to avoid panic once fallocation fails for pinfile
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40353
    - arm64: mte: Do not warn if the page is already tagged in copy_highpage()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-39678
    - platform/x86/amd/hsmp: Ensure sock->metric_tbl_addr is non-NULL
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40235
    - btrfs: directly free partially initialized fs_info in
      btrfs_check_leaked_roots()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40238
    - net/mlx5: Fix IPsec cleanup over MPV device
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40242
    - gfs2: Fix unlikely race in gdlm_put_lock
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40083
    - net/sched: sch_qfq: Fix null-deref in agg_dequeue
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40084
    - ksmbd: transport_ipc: validate payload size before reading handle
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40220
    - fuse: fix livelock in synchronous file put from fuseblk workers
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40237
    - fs/notify: call exportfs_encode_fid with s_umount
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-68249
    - most: usb: hdm_probe: Fix calling put_device() before device
      initialization
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40223
    - most: usb: Fix use-after-free in hdm_disconnect
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40106
    - comedi: fix divide-by-zero in comedi_buf_munge()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40226
    - firmware: arm_scmi: Account for failed debug initialization
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40231
    - vsock: fix lock inversion in vsock_assign_transport()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40233
    - ocfs2: clear extent cache after moving/defragmenting extents
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40346
    - arch_topology: Fix incorrect error check in
      topology_parse_cpu_capacity()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40240
    - sctp: avoid NULL dereference when chunk data buffer is missing
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40350
    - net/mlx5e: RX, Fix generating skb from non-linear xdp_buff for striding
      RQ
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40347
    - net: enetc: fix the deadlock of enetc_mdio_lock
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40243
    - hfs: fix KMSAN uninit-value issue in hfs_find_set_zero_bits()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40351
    - hfsplus: fix KMSAN uninit-value issue in hfsplus_delete_cat()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40349
    - hfs: validate record offset in hfsplus_bmap_alloc
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40244
    - hfsplus: fix KMSAN uninit-value issue in __hfsplus_ext_cache_extent()
  * Noble update: upstream stable patchset 2026-01-29 (LP: #2139282) //
    CVE-2025-40245
    - nios2: ensure that memblock.current_limit is set when setting pfn limits
  * Noble update: upstream stable patchset 2026-01-28 (LP: #2139267)
    - r8152: add error handling in rtl8152_driver_init
    - f2fs: fix wrong block mapping for multi-devices
    - jbd2: ensure that all ongoing I/O complete before freeing blocks
    - ext4: wait for ongoing I/O to complete before freeing blocks
    - btrfs: fix clearing of BTRFS_FS_RELOC_RUNNING if relocation already
      running
    - btrfs: fix incorrect readahead expansion length
    - can: gs_usb: gs_make_candev(): populate net_device->dev_port
    - can: gs_usb: increase max interface to U8_MAX
    - drm/amdgpu: use atomic functions with memory barriers for vm fault info
    - drm/amd: Check whether secure display TA loaded successfully
    - cpufreq: CPPC: Avoid using CPUFREQ_ETERNAL as transition delay
    - epoll: Remove ep_scan_ready_list() in comments
